<!-- COPYRIGHT:		Copyright (C) 2014-2018 McAfee, Inc.  All rights reserved-->
<%@ page import="com.mcafee.orion.core.OrionCore" %>
<%@ page import="com.mcafee.scor.common.Constants" %>
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ page import="com.mcafee.scor.rulegroup.RuleGroupConstants" %>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://www.mcafee.com/scor" prefix="scor"%>

<orion:script context="/core" src="/majic.js" />


<orion:style context="/SOLIDCORE_META" url="/css/override.css" />

<orion:message key="scor.awl.binary.button.add" var='addBtn' escape="javascript" />
<orion:message key="scor.awl.binary.button.edit" var='editBtn' escape="javascript" />
<orion:message key="scor.awl.binary.button.remove" var='removeBtn' escape="javascript" />
<orion:message key="scor.awl.binary.listBox.heading.ruleName" var='listRuleName' escape="HTML" />
<orion:message key="scor.awl.binary.listBox.heading.allowBan" var='listAllowBan' escape="HTML" />
<orion:message key="scor.awl.binary.listBox.heading.type" var='listType' escape="HTML" />
<orion:message key="scor.awl.binary.listBox.heading.value" var='listValue' escape="HTML" />
<orion:message key="scor.awl.binary.add.ruleName" var='addDialogRuleName' escape="HTML" />
<orion:message key="scor.awl.binary.add.allowBan" var='addDialogAllowBan' escape="HTML" />
<orion:message key="scor.awl.binary.add.Allow" var='addDialogAllow' escape="HTML" />
<orion:message key="scor.awl.binary.add.Ban" var='addDialogBan' escape="HTML" />
<orion:message key="scor.awl.binary.add.type" var='addDialogType' escape="HTML" />
<orion:message key="scor.awl.binary.add.byNameWithDeprecate" var='addDialogByName' escape="HTML" />
<orion:message key="scor.awl.binary.add.search.fileName" var='fileNameForUnix' escape="HTML" />
<orion:message key="scor.awl.binary.add.byChkSum" var='addDialogByChkSum' escape="HTML" />
<orion:message key="scor.awl.binary.add.byChkSum256" var='addDialogByChkSum256' escape="HTML" />
<orion:message key="scor.awl.binary.add.valueBox.nameLabel" var='addDialogNameLabel' escape="HTML" />
<orion:message key="scor.awl.binary.add.valueBox.sha1Label" var='addDialogSha1Label' escape="HTML" />
<orion:message key="scor.awl.binary.add.valueBox.sha256Label" var='addDialogSha256Label' escape="HTML" />
<orion:message key="scor.awl.binary.add.addBinaryTitle" var='addBinaryTitle' escape="HTML" />
<orion:message key="scor.awl.binary.add.search.Select" var='searchSelect' escape="HTML" />
<orion:message key="scor.awl.binary.add.search.fileName" var='searchFileName' escape="HTML" />
<orion:message key="scor.awl.binary.add.search.checksum" var='searchCheckSum' escape="HTML" />
<orion:message key="scor.awl.binary.searchFailed" var='searchBinaryFailedJs' escape="javascript" />
<orion:message key="scor.awl.binary.add.title" var='addTitle' escape="javascript" />
<orion:message key="scor.awl.binary.edit.title" var='editTitle' escape="javascript" />
<orion:message key="scor.awl.binary.searchLimit.label" var='searchLimit'  params='<%=Constants.BINARY_RESULT_LIMIT_LABEL%>' escape="javascript" />
<orion:message key="scor.awl.binary.add.heading.label" var='addBinaryLabel' escape="HTML" />
<orion:message key="scor.awl.binary.add.heading.label.part2" var='addBinaryLabelPart2' escape="HTML" />
<orion:message key="scor.awl.binary.search.ruleNameReq" var='ruleNameIsReq' escape="javascript" />
<orion:message key="scor.awl.binary.search.atLeastBinSelected" var='atLeastBinSelected' escape="javascript" />
<orion:message key="scor.awl.binary.search.addFromInv" var='addFromInv'  escape="javascript" />
<orion:message key="scor.awl.binary.search.addFromInv.title" var='addFromInvTitle' escape="javascript" />
<orion:message key="scor.allowBanBinary.duplicate.label" var="duplicateLabel" escape="HTML" />
<orion:message key="scor.awl.binary.no.editPermission.msg" var="noEditPermissionMsg" escape="HTML" />
<orion:message key="scor.awl.binary.FileNameTitle.msg" var="FileNameTitleMsg" escape="HTML" />

<c:set var="WIN_OS" scope="request" value="<%=RuleGroupConstants.RULE_GROUP_OS.WIN.getValue()%>" />
<c:set var="UNIX_OS" scope="request" value="<%=RuleGroupConstants.RULE_GROUP_OS.UNIX.getValue()%>" />
<scor:auth authClassName="com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName="isUserAllowedToViewRuleGroupBinaryRules" authToken="isAuthorizedToViewBinaryRules" />
<orion:box id="allowBanBinaryId">
	<div id="binaryErrorDivId" class="errorRuleTab">${noEditPermissionMsg}</div>
	<table id="binaryTableId" cellspacing="0" cellpadding="0" width="98%">
		<%@ include file="../AdjustOtherTabs.jsp" %>
		<tr>
			<td class="orionSummaryColumn">
				<!-- width is 98% of the width of the list widget so its 882px-->
				<table cellspacing='3' cellpadding='0' width='882px'>
					<tr>
						<td width="30%"><b>${listRuleName}</b></td>
						<td width="15%"><b>${listAllowBan}</b></td>
						<td width="15%"><b>${listType}</b></td>
						<td width="40%"><b>${listValue}</b></td>
					</tr>
				</table> <orion:box id="binaryListContainerId" height="auto" width="620" />
			</td>
		</tr>
	</table>

	<div id="binaryListRowTemplateId" style="display: none;">
		<table cellspacing='0' cellpadding='0' width='98%'
			style="table-layout: fixed">
			<tr>
				<td width='30%' class="scorWordWrap">@binaryRuleNameId</td>
				<td width='15%'>@binaryAllowBanId</td>
				<td width='15%'>@binarySearchTypeId</td>
				<td width='40%' class="scorWordWrap">@binaryValueId</td>
			</tr>
		</table>
	</div>


	<div id="binaryEditorTemplateId" style="display: none;">
		${addBinaryLabel}
		<c:if test="${param.osType == WIN_OS}">
          		${addBinaryLabelPart2}
          </c:if>
		<table width="100%">
			<tr>
				<td width="20%">${addDialogRuleName}:</td>
				<td colspan="3" width="27%"><orion:textbox
						id="binaryRuleNameId" required="true" size="64" maxlength="255" />
				</td>
			</tr>
			<tr>
				<td width="20%"><label> ${addDialogAllowBan}: </label></td>
				<td width="80%">
					<table>
						<tr>
							<td width="25%">
							    <orion:radiobutton id="binaryAllowBanId" name="binaryAllowBan" value="Allow" checked="true" onclick="setValueToBinaryAllowBanId();" />
							    <label class="orionClickableTextLabel" for="binaryAllowBanId">${addDialogAllow} </label>
							</td>
							<td width="50%"></td>
							<td width="25%" align="right">
							    <orion:radiobutton id="binaryBanId" name="binaryAllowBan" value="Ban" onclick="setValueToBinaryAllowBanId();" />
							    <label class="orionClickableTextLabel" for="binaryBanId">${addDialogBan} </label>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td width="20%"><label> ${addDialogType}: </label></td>
				<td width="80%">
					<table>
						<tr>
							<td width="40%">
							    <label>
									<orion:radiobutton name="binarySearchType" id="binarySearchTypeId"
													   value="File Name" checked="true" onclick="setNameSha1Label();" />
									<c:if  test="${param.osType == WIN_OS}">${addDialogByName}
                                        <span title="${FileNameTitleMsg}" class="exceptionQuesMark" style="margin-left: 3px;">?</span>
									</c:if> 
									<c:if test="${param.osType == 'UNIX'}">${fileNameForUnix}</c:if>
								</label>
							</td>
							<td width="30%">
							    <label>
									<orion:radiobutton name="binarySearchType" id="binarySearchTypeChecksumId"
								    				   value="Checksum" onclick="setNameSha1Label();" /> ${addDialogByChkSum}
								</label>
							</td>
							<td width="30%">
								<label>
									<orion:radiobutton name="binarySearchType" id="binarySearchTypeChecksum256Id"
													   value="Checksum256" onclick="setNameSha1Label();" /> ${addDialogByChkSum256}
								</label>
						    </td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td width="22%">
					<div id="nameLabel">${addDialogNameLabel}:</div>
					<div id="sha1Label" style="display: none;">${addDialogSha1Label}:</div>
					<div id="sha256Label" style="display: none;">${addDialogSha256Label}:</div>
				</td>
				<td colspan="3" width="27%">
					<orion:textbox id="binaryValueId" required="true" size="64" maxlength="255"/>
				</td>
			</tr>
			</tr>
		</table>

		<div id="error_include" style="display: none; color: red;">
			*&nbsp;${duplicateLabel}</div>

	</div>
</orion:box>

<script type="text/javascript">
<c:if test = "${isAuthorizedToViewBinaryRules == false}">
	$j('#allowBanBinaryId').hide();
</c:if>


var scor = scor || {};
scor.rg = scor.rg || {};
scor.rg.awl = scor.rg.awl || {};
scor.rg.awl.allowBanBinary = scor.rg.awl.allowBanBinary || {};
var editButtonClicked = false;

var binaryList = new majic.ListWidget({
    container: "binaryListContainerId",
    width: "900px",
    height: "320px",
    addCallback: binaryAddCallback,
    editCallback: binaryEditCallback,
    removeCallback: myEpoEnableApplyButton,
    buttons: {
        'add': '${addBtn}',
        'edit': '${editBtn}',
        'remove':'${removeBtn}'
    },
    content: $('binaryEditorTemplateId').innerHTML,
    displayText: $('binaryListRowTemplateId').innerHTML,
    formatCallback: listWidgetformatCallback
});

scor.rg.awl.allowBanBinary.hideButton = function(buttonName) {
	var btnNameList = ['add', 'edit', 'remove'];
	var i;
	var found = -1;//false
	var button;
	for (i=0;i<btnNameList.length;i++){
		if (buttonName === btnNameList[i]) {
			found = i;
			break;
		}
	}
	if (found !== -1) {
		button = binaryList.buttonElements[found];
		button.style.display = 'none';
	}
};

	function setValueToBinaryAllowBanId() {
	    var selectedElem = getBinaryAllowBandSelectedValue();
			if (selectedElem === 'Ban') {
				$('binaryBanId').checked = true;
			} else if (selectedElem === 'Allow') {
				$('binaryAllowBanId').checked = true;
			}
	}

	function setUpdaterBinariesValueField(){
	    if(binaryList.selrow && binaryList.selrow.id){
			var selectedRow = binaryList.getRows()[binaryList.selrow.id];
			if(selectedRow){
				if(selectedRow.binaryAllowBanId) {
					if(selectedRow.binaryAllowBanId === "Ban") {
						$('binaryBanId').checked = true;
					}
					else {
						$('binaryAllowBanId').checked = true;
					}
				}

				if(selectedRow.binaryBanId) {
					if(selectedRow.binaryBanId === "Ban") {
						$('binaryBanId').checked = true;
						selectedRow.binaryAllowBanId = "Ban";
					}
					else {
						$('binaryAllowBanId').checked = true;
						selectedRow.binaryAllowBanId = "Allow";
					}
				}

				if(selectedRow.binarySearchTypeId){
					if(selectedRow.binarySearchTypeId === "File Name") {
						$('binarySearchTypeId').checked = true;
					}
					else if(selectedRow.binarySearchTypeId === "Checksum") {
							$('binarySearchTypeChecksumId').checked = true;
						}
						else {
						$('binarySearchTypeChecksum256Id').checked = true;
					}

				}

				if(selectedRow.binarySearchTypeChecksumId) {
					$('binarySearchTypeChecksumId').checked = true;
					selectedRow.binarySearchTypeId = selectedRow.binarySearchTypeChecksumId;
				}
				if(selectedRow.binarySearchTypeChecksum256Id === "Checksum"){
					$('binarySearchTypeChecksum256Id').checked = true;
					selectedRow.binarySearchTypeId = selectedRow.binarySearchTypeChecksum256Id;
				}
			}
        }
    }

	function setNameSha1Label() {
        clearError();
		var selectedValue = getBinarySearchTypeSelectedValue();
		var sha1Label = scor.utils.GetElementFromDialogBox("sha1Label", "div");
		var sha256Label = scor.utils.GetElementFromDialogBox("sha256Label",
				"div");
		var nameLabel = scor.utils.GetElementFromDialogBox("nameLabel", "div");
		var validationObj;
		if (selectedValue === 'Checksum') {
            validationObj = binarySha1Validator();
			sha1Label.style.display = '';
			sha256Label.style.display = "none";
			nameLabel.style.display = "none";
		} else if (selectedValue === 'Checksum256') {
            validationObj = binarySha256Validator();
			sha1Label.style.display = "none";
			sha256Label.style.display = '';
			nameLabel.style.display = "none";
		} else {
            validationObj = binaryValueValidator();
			sha1Label.style.display = "none";
			sha256Label.style.display = "none";
			nameLabel.style.display = '';
		}
		return validationObj;
	}

function getBinaries(){
    var vo = [];
    var rows = binaryList.getRows();
    for (var rowKey in rows)
    {
        var row = rows[rowKey];
        if (row != null && row != undefined)
        {
            var allowBan = scor.utils.trim(row['binaryAllowBanId']);
            var searchType = scor.utils.trim(row['binarySearchTypeId']);
            if(!allowBan || allowBan === '') {
                allowBan = scor.utils.trim(row['binaryBanId']);
            }
            if(!searchType || searchType === '') {
                searchType = scor.utils.trim(row['binarySearchTypeChecksumId']);

                if(!searchType || searchType === '') {
                    searchType = scor.utils.trim(row['binarySearchTypeChecksum256Id']);
                }
            }

            vo.push({"ruleName": scor.utils.trim(row['binaryRuleNameId']),
                "allowBan": allowBan,
                "searchType":searchType,
                "searchValue":scor.utils.trim(row['binaryValueId'])
            });
        }
    }
    return vo;
}


function populateBinaries(binaries){
    scor.utils.clearMagicListWidget(binaryList);
    binaries = binaries ? binaries : {};
    for(var i=0; i < binaries.length; i++)
    {
        var newObj = {"binaryRuleNameId" : binaries[i].ruleName,
                "binaryAllowBanId" : binaries[i].allowBan,
                "binarySearchTypeId" : binaries[i].searchType,
                "binaryValueId" : binaries[i].searchValue
            }

		binaryList.insert(newObj);
    }
}


function completeObjectToInsertIntoMajicList(edit) {
	var newObj = {"binaryRuleNameId":scor.utils.GetElementFromDialogBox('binaryRuleNameId','input').value,
        "binaryAllowBanId": getBinaryAllowBanSelectedValue(),
        "binarySearchTypeId":getBinarySearchTypeSelectedValue(),
        "binaryValueId":scor.utils.GetElementFromDialogBox('binaryValueId','input').value
    }
    if(edit === true){
        binaryList.insert(newObj, true);
    }else{
        binaryList.insert(newObj);
    }
}

function enableBinaryList(enable){
    binaryList.setEnabled(enable);
}


function binaryAddCallback(){
    editButtonClicked = false;
    OrionCore.setDialogBoxTitle('${addTitle}');
    binaryCommonCallBk(editButtonClicked);
}


function binaryEditCallback(){
	 var selectedRow = binaryList.selrow;
	 if(typeof selectedRow === 'undefined' || selectedRow === null){
	        return;
	    }
    editButtonClicked = true;
    OrionCore.setDialogBoxTitle('${editTitle}');
    setUpdaterBinariesValueField();
    binaryCommonCallBk(editButtonClicked);
}

scor.rg.awl.allowBanBinary.registerHandler = function(propertyObj){
    OrionEvent.registerHandler(propertyObj.binaryRuleName,binaryRuleNameValidator , null, "keyup", false);
    OrionEvent.registerHandler(propertyObj.binaryValue,binaryValueValidator,null, "keyup", false);
    OrionEvent.registerHandler(propertyObj.binaryValue,binarySha1Validator,null, "keyup", false);
    OrionEvent.registerHandler(propertyObj.binaryValue,binarySha256Validator,null, "keyup", false);
};

scor.rg.awl.allowBanBinary.unregisterHandler = function(propertyObj) {
    OrionEvent.unregisterHandler(propertyObj.binaryRuleName, binaryRuleNameValidator,  "keyup", false );
    OrionEvent.unregisterHandler(propertyObj.binaryValue, binaryValueValidator,  "keyup", false );
};

function binaryCommonCallBk(edit){
	scorSetDialogSize(351,750);
    var binaryRuleName = scor.utils.GetElementFromDialogBox('binaryRuleNameId','input');
    var binaryValue = scor.utils.GetElementFromDialogBox('binaryValueId','input');
    var propertyObject ={'binaryRuleName': binaryRuleName, 'binaryValue': binaryValue}
    scor.rg.awl.allowBanBinary.registerHandler(propertyObject);
    OrionForm.revalidate();
    var existingOkHanlder = OrionCore.dialogBoxOkHandler;
    OrionCore.dialogBoxOkHandler = function () {
        var validationObj = binaryRuleNameValidator();
        if(validationObj.isInvalid()){
            return false;
        }
        validationObj = binaryValueValidator();
        if(validationObj.isInvalid()){
            return false;
        }
        validationObj = binarySha1Validator();
        if(validationObj.isInvalid()){
            return false;
        }
        validationObj = binarySha256Validator();
        if(validationObj.isInvalid()){
            return false;
        }
        scor.rg.awl.allowBanBinary.unregisterHandler(propertyObject);
        OrionCore.dialogBoxOkHandler = existingOkHanlder;
        completeObjectToInsertIntoMajicList(edit);
        myEpoEnableApplyButton();
    };
}

function binaryRuleNameValidator(){
    var binaryRuleName = scor.utils.GetElementFromDialogBox('binaryRuleNameId','input');
    return scor.validation.emptyValidater(binaryRuleName);
}

function binarySha1Validator(){
    clearError();
    var selectedElem =  getBinarySearchTypeSelectedValue();
    if(selectedElem === 'Checksum'){
        var binaryValue = scor.utils.GetElementFromDialogBox('binaryValueId','input');
        return scor.validation.sha1Validater(binaryValue);
    }
    return new scor.validation.constructors.ValidationResult(true,'');
}

function binarySha256Validator(){
    clearError();
    var selectedElem =  getBinarySearchTypeSelectedValue();
    if(selectedElem === 'Checksum256'){
        var binaryValue = scor.utils.GetElementFromDialogBox('binaryValueId','input');
        return scor.validation.sha256Validater(binaryValue);
    }
    return new scor.validation.constructors.ValidationResult(true,'');
}

function binaryValueValidator(){
    var binaryValue = scor.utils.GetElementFromDialogBox('binaryValueId','input');
    return scor.validation.emptyValidater(binaryValue);
}

function getBinarySearchTypeSelectedValue() {
	var selectedElement = '';
	if($j('input[name=binarySearchType]:checked')) {
	    selectedElement = $j('input[name=binarySearchType]:checked').val();
	}
	return selectedElement;
}

function getBinaryAllowBanSelectedValue() {
    var selectedElement = '';
    if($j('input[name=binaryAllowBan]:checked')) {
        selectedElement = $j('input[name=binaryAllowBan]:checked').val();
    }
    return selectedElement;
}

function clearError() {
    var error = scor.utils.GetElementFromDialogBox("error_include", "div");
    if(error){
        error.style.display = "none";
    }
}

</script>
