<!-- Copyright (C) 2014-2018 McAfee, Inc.  All rights reserved. -->
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<orion:script context="/core" src="/majic.js" />
<orion:script context="<%=URLConstants.SLASH_WEB_APP_NAME%>" src="/jsFiles/commonUtil.js"/>
<jsp:include page="../monpolicy/PathFilters.jsp"/>

<orion:message key="policy.mon.include" var="include" escape="html" />
<orion:message key="policy.mon.exclude" var="exclude" escape="html" />
<orion:message key="policy.mon.filter" var="filter" escape="none" />
<orion:message key="policy.mon.filters" var="filters" escape="none" />
<orion:message key="scor.policy.mon.file" var="file" escape="html" />

<orion:box id="wpfile">
	 <table cellspacing="0" cellpadding="0" width="98%">
                <%@ include file="../AdjustOtherTabs.jsp" %>
                <tr>
                    <td class="orionSummaryColumn">
                        <table cellspacing='3' cellpadding='0' width='620px'>
                            <tr>
                                <td width="10%"><b><orion:message key="policy.mon.filter"
                                                                  escape="html"/></b></td>
                                <td width="90%"><b><orion:message key="scor.policy.cc.file"
                                                                  escape="html"/></b>
                                </td>
                            </tr>
                        </table>
                        <orion:box id="idCCPathFilterList" height="auto" width="620"/>
                    </td>
                </tr>
            </table>


	<div id="path_filter_editor_template_cc_pol" style="display:none;">
    <c:if test="${param.osType == WIN_OS}">
        <orion:message key="policy.mon.file.msg" escape="html"/>
    </c:if>
    <c:if test="${param.osType == UNIX_OS}">
        <orion:message key="policy.mon.unix.file.msg" escape="html"/>
    </c:if>

    <table width="100%">
        <tr>
            <td width="25%" align="left">${file}:</td>
            <td width="75%">
                <orion:textbox id="field" required="true" maxlength="1024"/>
            </td>
        </tr>
        <tr>
            <td width="25%"></td>
            <td width="75%">
                <input type="radio" name="filter" id="filter" value="Include" checked onclick="scor.common.changeInputId('filter', path_filter_editor_template_cc_pol);"/>
                <label class="styledCheckbox" for="filter" id="filter_include_label">   
                    ${include}
                </label>                
                <input type="radio" name="filter" id="filterExclude" value="Exclude" onclick="scor.common.changeInputId('filter', path_filter_editor_template_cc_pol);"/>
                <label class="styledCheckbox" for="filterExclude" id="filter_exclude_label">     
                    ${exclude}
                </label>
            </td>
        </tr>

    </table>
    <div id="error_include" style="display:none;color:red;">
   </div>
    <div id="scor_warningDiv" class="scorWarning" style="display:none;"></div>
</div>

</orion:box>

<script type="text/javascript">
var ccPathFilterList = new majic.ListWidget({
    container: "idCCPathFilterList",
    width: "620px",
    height: "320px",
    addCallback: fnpathAddCallback,
    editCallback: fnpathEditCallback,
    removeCallback: myEpoEnableApplyButton,
    buttons: {
        'add': '<orion:message key="policy.mon.button.add"  escape="javascript"/>',
        'edit': '<orion:message key="policy.mon.button.edit" escape="javascript"/>',
        'remove': '<orion:message key="policy.mon.button.remove"  escape="javascript"/>'
    },
    content: $('path_filter_editor_template_cc_pol').innerHTML,
    displayText: $('filter_list_row_template').innerHTML,
formatCallback: listWidgetformatCallback 
});
function fnpathAddCallback()
{ 
	fnAddEditRpPathFilterCallback(false);
}
function fnpathEditCallback()
{ 
  var selectedRow = rppathFilterList.selrow;
  if(selectedRow){
	  fnAddEditRpPathFilterCallback(true);
   } else{
      return;
        }
 }
function fnAddEditPathFilterCallback(isEdit){
	var dialogBoxTitle;
	if(isEdit){
	   dialogBoxTitle='<orion:message key="policy.mon.file.edit.filters" escape="javascript"/>';
	}
	else{
	   dialogBoxTitle='<orion:message key="policy.mon.file.add.filters" escape="javascript"/>';
	}
    fnCommonAddEditFilterCallback(scor.ccpolicy.validation.isPathFilterValid, dialogBoxTitle, ccPathFilterList);
}

</script>