<%-- COPYRIGHT:		Copyright (C) 2018 McAfee, Inc.  All rights reserved--%>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ page import="com.mcafee.scor.common.HelpConstants" %>
<orion:message key="scor.task.bu.workflowID" var="labelWorkflowID"/>
<orion:message key="scor.task.bu.comment" var="labelcomment"/>
<orion:message key="scor.task.bu.commentError" var="labelcommentError" escape="javascript"/>
<orion:message key="scor.error.dialogBox.title" var="scorErrorDialogBoxTitle" escape="javascript"/>
<orion:message key="scor.task.bu.help.text" var="helptext"/>
<orion:message key="scor.task.bu.workflowID.help.text" var="workflowidhelptext"/>

<script type="text/javascript">
	OrionHelp.setHelpId("<%=HelpConstants.CLIENT_TASK_BEGIN_UPDATE_MODE%>");
</script>

<script type="text/javascript">
    function epoOnBeforeSubmit()
    {
        return finalvalidate();
    }
    function finalvalidate()
    {
        var workflowidbox = document.getElementById("workflow_id");
        var commentbox = document.getElementById("comment");

        if(workflowidbox.value === "" && commentbox.value!== ""){
            OrionCore.setDialogBoxTitle('${scorErrorDialogBoxTitle}');
            OrionCore.showDialogBox(true, '${labelcommentError}', OrionCore.DIALOG_OK);
            return false;
        }
        return true;
       
    }
</script>


<orion:box>
    <div class="orionDescriptionArea orionBorderBottomGrey">
                        ${helptext}
</div>
    <table>
      
        <tr>
            <td class="orionSummaryHeader" valign="top">
                    ${labelWorkflowID}
            </td>
            <td class="orionSummaryColumn" valign="top">

                <orion:textbox id="workflow_id" name="workflow_id" required="false" value="${workflow_id}" disabled="${epoReadOnlyTask}"/>
                <br>
                    ${workflowidhelptext}
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                    ${labelcomment}
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:textbox id="comment" name="comment" required="false" value="${comment}" disabled="${epoReadOnlyTask}"/>
            </td>
        </tr>

    </table>


</orion:box>
