<%-- COPYRIGHT:		Copyright (C) 2018 McAfee, Inc.  All rights reserved--%>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ page import="com.mcafee.scor.common.HelpConstants" %>

<orion:message key="scor.task.runcommand" var="labelRunCommands"/>
<orion:message key="scor.task.runcommand.error" var="labelRunCommandsError" escape="javascript"/>
<orion:message key="scor.task.requiresresponse" var="labelrequiresresponse"/>
<orion:message key="scor.task.requiresresponse" var="labelrequiresresponseCkBoxtxt" escape="none"/>
<orion:message key="scor.task.runcommand.help.text" var="helptext"/>
<orion:message key="scor.error.dialogBox.title" var="ErrorText" escape="javascript"/>
<orion:script context="/core" src="/majic.js"/>
<jsp:include page="/common/includejQuery.jsp"/>

<script type="text/javascript">
	OrionHelp.setHelpId("<%=HelpConstants.CLIENT_TASK_RUN_COMMANDS%>");
</script>

<script type="text/javascript">
    function epoOnBeforeSubmit()
    {
        var runCommandsElement = document.getElementById("runCommandsDiv");
        var commandsInputType = runCommandsElement.getElementsByTagName("input");
        if (commandsInputType.length !== 0) {
            for (var i = 0; i < commandsInputType.length; i++) {
                if (jQuery.trim(commandsInputType[i].value) === "") {
	         return false;
                }
            }

        }

        return true;
    }
    /*function finalvalidate()
    {
        if (OrionForm.isFormValid() == false)
        {
            alert("Form is inValid");
            return false;
        }
        return true;
    }*/
</script>


<orion:box>
    <div class="orionDescriptionArea orionBorderBottomGrey">
                        ${helptext}
</div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;" id="generalTab">

        <tr>
            <td class="orionSummaryHeader" valign="top">
                    ${labelRunCommands}
            </td>
            <td class="orionSummaryColumn" valign="top">
                <div id="runCommandsDiv">
                </div>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                    ${labelrequiresresponse}
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:checkbox id="requiresResponse"
                                name="requiresResponse"
                                checked='${requiresResponse}'
                                text="${labelrequiresresponseCkBoxtxt}" disabled="${epoReadOnlyTask}"/>
            </td>
        </tr>
    </table>
    <div id="runCommandsDivContent" style="display:none;">
        <orion:textbox id="cmd_@ID" name="cmd_@ID" maxlength="3000" disabled="${epoReadOnlyTask}"/>

    </div>
</orion:box>

<script type="text/javascript">

   enableDisableNavigation = function () {
   	var bValid = epoOnBeforeSubmit();
	if (bValid == true) {
     		OrionWizard.enableNavigation(); 
	} else {
		OrionWizard.disableNavigation(); 
	}
   };
	
    OrionCore.addLoadHandler(add);

    function add() {

        var runcommand = new majic.AddWidget({
            container:"runCommandsDiv" ,
            content:document.getElementById("runCommandsDivContent").innerHTML,
            addCallback: rowAddCallback
        });
    <c:forEach var="command"   items="${commands}" varStatus="rowCounter">
        runcommand.add();
        runcommand.rowDefaults({"cmd_@ID":"${orion:escapeJavaScript(command)}"});
        OrionEvent.registerHandlerById ('cmd_' + runcommand.id, enableDisableNavigation, null, 'keyup', false);
    </c:forEach>


     enableDisableNavigation();


    }

    function rowAddCallback () {
     OrionEvent.registerHandlerById ('cmd_' + this.id, enableDisableNavigation, null, 'keyup', false);

     // Register Onlick handler for minus button: runCommandsDiv_awrow_1_buttons_minus
     $j('#runCommandsDiv_awrow_' + this.id + '_buttons_minus').click(postRowRemoved);
	
     enableDisableNavigation();
    }
    
    postRowRemoved = function(e) {
    	var elementId = e.target.id;
		// Unregister handler
     	$j('#' + elementId).unbind('click', postRowRemoved);
	
		enableDisableNavigation();
    };
    
</script>
