<%--  Copyright (C) 2015-2018 McAfee, Inc.  All rights reserved.--%>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ page import="com.mcafee.scor.config.ScorConfig"%>

<orion:message key="scor.contentupdate.command.alertMessage" var="alertMessage" escape="HTML" />
<orion:message key="scor.migration.command.alertMessage" var="alertMessageForMigration" escape="HTML" />
<orion:message key="scor.rulegroupsync.command.alertMessage" var="alertMessageForRuleGroupSync" escape="HTML" />

<c:if test="<%=ScorConfig.contentUpdateState.get() == 2%>">
	<orion:hbox height="23">
		<orion:box background="#FFE5E5">
			<div style="color: #CD0000; padding: 5px; border-bottom: 1px solid #dbdbdb; border-top: 1px solid #dbb;">${alertMessage}</div>
		</orion:box>
	</orion:hbox>
</c:if>

<c:if test="<%=(ScorConfig.contentUpdateState.get() != 2) && (ScorConfig.isMigrationComplete.get() == false ) && (!ScorConfig.isMigrationFailed.get() ) %>">
	<orion:hbox height="23">
		<orion:box background="#FFE5E5">
			<div style="color: #CD0000; padding: 5px; border-bottom: 1px solid #dbdbdb; border-top: 1px solid #dbb;">${alertMessageForMigration}</div>
		</orion:box>
	</orion:hbox>
</c:if>

<c:if test="<%=(ScorConfig.contentUpdateState.get() != 2) && (ScorConfig.isMigrationComplete.get() == true) && (ScorConfig.isRuleGroupSyncCompleted.get() == false)%>">
	<orion:hbox height="23">
		<orion:box background="#FFE5E5">
			<div style="color: #CD0000; padding: 5px; border-bottom: 1px solid #dbdbdb; border-top: 1px solid #dbb;">${alertMessageForRuleGroupSync}</div>
		</orion:box>
	</orion:hbox>
</c:if>


				