<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib uri="http://java.sun.com/jstl/core_rt" prefix="c" %>

<orion:message var="close" key="scor.navigation.close" escape="none"/>

<orion:core>
    <orion:corehead>
        <script type="text/javascript">
            function _clickClose()
            {
                OrionNavigation.lastTablePage();
            }
        </script>

    </orion:corehead>
    <orion:corebody>
        <orion:tunnelPage helpId="" >

            <orion:vbox>

                <orion:box height="24">
                    <div class="tunnelPageTitleBar">
                        <orion:message key="scor.cpe.exportfile.header.text" />
                    </div>
                </orion:box>

                <orion:box height="auto">
                    <div class="orionSummaryHeaderRow">
                        <orion:message key="scor.cpe.exportfile.download.text" />

                    </div>
                    <table class="orionSummary" width="100%">
                        <tbody>
                        <tr>
                            <td class="orionSummaryHeader">
                                <orion:message key="scor.cpe.export.header.text" />
                            </td>
                            <td class="orionSummaryColumn">

                                <c:forEach var="key" items="${keys}">
                                    <a href="${uriMap[key]}" target="_blank">${orion:escapeHtml(key)}</a><br />
                                </c:forEach>

                            </td>
                        </tr>
                        </tbody>
                    </table>
                </orion:box>

                <orion:box height="32">
                    <div class="buttonBarFooter">
                        <orion:button id="exportCancel"
                                      text="${close}"
                                      onclick="_clickClose();" />
                    </div>
                </orion:box>

            </orion:vbox>

        </orion:tunnelPage>
    </orion:corebody>
</orion:core>