<!-- Copyright (C) 2014-2018 McAfee, Inc.  All rights reserved. -->
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib uri="http://www.mcafee.com/orion/console" prefix="console" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<jsp:include page="/common/includejQuery.jsp"/>
<orion:style context="/SOLIDCORE_META" url="/css/override.css" />

<orion:message key="scor.datachannel.congestion.level.label" var="congestionLevelLabel" escape="html"/>

<script type="text/javascript">
	YAHOO.util.Event.onAvailable("scorDCCongestionStatus${elementIndex}", function() {
	    <c:choose>
	       <c:when test="${statusValue == 1}">
	       		$j("#scorDCCongestionStatus${elementIndex}").addClass("scorStatusYellow");
	       </c:when>
	       <c:when test="${statusValue == 2}">
	       		$j("#scorDCCongestionStatus${elementIndex}").addClass("scorStatusOrange");
	       </c:when>
	        <c:when test="${statusValue == 3 || statusValue == 100}">
	       		$j("#scorDCCongestionStatus${elementIndex}").addClass("scorStatusRed");
	       </c:when>
	       <c:otherwise>
	       		$j("#scorDCCongestionStatus${elementIndex}").addClass("scorStatusGreen");
	       </c:otherwise>
	   </c:choose>
	       
    	});
</script>


<div id="ConjestionStatus${elementIndex}"  title="${title}">
    <table style="width: 100%; height: 100%;" cellpadding="0" cellspacing="0" border="0">
        <tr>
            <td id="scorDCCongestionStatus${elementIndex}"  valign="middle" style="text-align:center; color:#FFFFFF; font-weight:bold; font-size:12px; height: 75px; border-bottom: 1px solid #CCC; width: ${width}px;">
                 ${orion:escapeHtml(statusLevel)}
            </td>
        </tr>
        <tr>
            <td style="background-color: #FFFFFF; border-top: 1px solid #FFF; width: ${width}px;">
                <div style="padding-left: 10px; padding-right: 5px;">
                ${orion:escapeHtml(description)}
                </div>
            </td>
        </tr>
    </table>


</div>



