<%-- COPYRIGHT:		Copyright (C) 2015-2018 McAfee, Inc.  All rights reserved--%>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<orion:message key="scor.fileDiff.fileCompare" var="fileCompareReportJS"  escape="javascript"/>
<orion:message key="scor.fileDiff.legend" var="legend"  escape="html"/>
<orion:message key="scor.fileDiff.legend.equal" var="legendequal"  escape="html"/>
<orion:message key="scor.fileDiff.legend.empty" var="legendempty"  escape="html"/>
<orion:message key="scor.fileDiff.legend.deleted" var="legenddeleted"  escape="html"/>
<orion:message key="scor.fileDiff.legend.inserted" var="legendinserted"  escape="html"/>
<orion:message key="scor.fileDiff.legend.modified" var="legendmodified"  escape="html"/>
<orion:message key="scor.navigation.close" var="closeButton"  escape="none"/>
<orion:message key="scor.fileDiff.button.advanced" var="advancedButton"  escape="none"/>
<orion:message key="scor.fileDiff.host" var="host"  escape="html"/>
<orion:message key="scor.fileDiff.filename" var="filename"  escape="html"/>
<orion:message key="scor.fileDiff.user" var="user"  escape="html"/>
<orion:message key="scor.fileDiff.time" var="time"  escape="html"/>
<orion:message key="scor.fileDiff.changeagent" var="changeagent"  escape="html"/>
<orion:message key="scor.fileDiff.ticketid" var="ticketid"  escape="html"/>
<orion:message key="scor.fileDiff.attributes" var="attributes"  escape="html"/>
<orion:message key="scor.fileDiff.showattributes" var="showattributes"  escape="javascript"/>
<orion:message key="scor.fileDiff.hideattributes" var="hideattributesHtml"  escape="html"/>
<orion:message key="scor.fileDiff.hideattributes" var="hideattributesJS"  escape="javascript"/>
<orion:message key="scor.fileDiff.filecontent" var="filecontent"  escape="none"/>
<orion:message key="scor.fileDiff.contextsize" var="contextsize"  escape="html"/>
<orion:message key="scor.fileDiff.none" var="none"  escape="html"/>
<orion:message key="scor.fileDiff.titleBar" var="titleBar" escape="none"/>
<orion:message key="scor.fileDiff.onlyAttributesAreChanges" var="onlyAttributesAreChanges" escape="none"/>
<c:set var="expandFileContentSection" value="${expandFileContentSection}"/>
<c:set var="expandFileAttributeSection" value="${expandFileAttributeSection}"/>


<orion:core>
<orion:corehead>
		<style type="text/css">
			.left-content-cell {
				width: 50%;
				padding-right: 2px;
				border-right: 1px solid white; 
			}
			.right-content-cell {
				width: 50%;
				padding-left: 2px;
				border-left: 1px solid white; 
			}
			.text-align-right {
				text-align:right;
			}
			.text-align-center {
				text-align:center;
			}

			.legend {
				border-top: 1px solid black; 
				border-right: 1px solid black; 
				border-bottom: 1px solid black; 
				border-left: 1px solid black; 
				width:20%;
				}
		</style>
		<orion:script context="<%=URLConstants.SLASH_WEB_APP_NAME%>" src="/jsdifflib/difflib.js"/>
		<orion:script context="<%=URLConstants.SLASH_WEB_APP_NAME%>" src="/jsdifflib/diffview.js"/>	
		<orion:style context="<%=URLConstants.SLASH_WEB_APP_NAME%>" url="/jsdifflib/diffview.css" />
		<orion:script context="<%=URLConstants.SLASH_WEB_APP_NAME%>" src="/jsFiles/filediff/filediff.js"/>
		
		<%@ page import="com.mcafee.scor.common.URLConstants" %>
		<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>"/>
		<jsp:include page="/common/includejQuery.jsp"/>

</orion:corehead>
<orion:corebody>
<orion:navigation />
<orion:content>
<orion:vbox>   
		<orion:titlebar id="scorFileDiffTitleId" text = "${titleBar} " />   
        <orion:box id="scorfdContentSection" height = "115">			
                           <table width="100%" style="border-collapse:collapse;">
                                                    <tbody>
													 <tr>														
                                                        <td id="leftTime" style="text-align:center;" class="left-content-cell orionTitleBar"></td>
											            <td id="rightTime" style="text-align:center;" class="right-content-cell orionTitleBar"></td>		
                                                    </tr>                                
                                                    
                                                    <tr class="orionTableRow">                                                     
                                                        <td id="lefthost" class = "left-content-cell" ><b>${host}</b></td>
														<td id="righthost" class = "right-content-cell"><b>${host}</b></td>														
                                                    </tr>
                                                    <tr class="orionTableRowAlt">                                                        
                                                        <td id="leftuser" class = "left-content-cell"><b>${user}</b></td>
														<td id="rightuser" class = "right-content-cell"><b>${user}</b></td>														
                                                    </tr>
                                                    <tr class="orionTableRow">                                                        
                                                        <td id="leftchangeagent" class = "left-content-cell"><b>${changeagent}</b></td>
														<td id="rightchangeagent" class = "right-content-cell"><b>${changeagent}</b></td>
                                                    </tr>
                                                    <tr class="orionTableRowAlt"> 	 
	                                                     <td id="leftticket"class = "left-content-cell"><b >${ticketid}</b></td> 
	                                                     <td id="rightticket" class = "right-content-cell"><b>${ticketid}</b></td>                                                     
	                                                </tr>
                                                    </tbody>
                        </table>
                        <!-- Info Section Ends here-->

    </orion:box>

	 <orion:box id="scorAttributeContainerTitleId" height = "24">
			<table width="100%" style="border-collapse:collapse;">
				<tbody>
					 <tr>														
                         <td class="left-content-cell orionTitleBar">${attributes}</td>				
                         <td style="text-align:right;" class="right-content-cell orionTitleBar ">
							 <div id="scorFileDiffShowHideAttrTitleId" style="border-left: 1px black;padding-right: 4px;cursor:pointer;" onclick="scor.fd.fn.showHideAttributeDiff();"></div>
						</td>		
                       </tr> 
                </tbody>
             </table>    		
	 </orion:box>
    
    <orion:box id="attributediffContainerBox">			
    		<table id="attributeDiffTable" class="diff" style="width:100%;"> </table>
	 </orion:box>

  
	<orion:titlebar id="scorFileDiffContentTitleId" text = "${filecontent} " />
    
    <orion:box height="25" id="scorFileDiffInfoId" >
    	
         <table width="100%" style="background-color: rgb(235, 235, 235); " class="diff">
                                <tbody><tr >
                                    <th></th>
                                   <td width="49%">
                                        <b>${contextsize} : </b>
   
                                                           <select id="context">
                                                               <option value="None">${none}</option>
                                                               <option value="1">1</option>
                                                               <option value="2" selected="selected">2</option>
                                                               <option value="3">3</option>
                                                               <option value="4">4</option>
                                                               <option value="5">5</option>
                                                           </select>
                                       </td>
                                    <td  style="align: left;" width="100%">
                                            <table cellspacing="0" cellpadding="1" class="diff" width="100%">
                                                <tbody><tr>
                                                    <td class="legend" style="text-align: center;"><b>${legend} : </b></td>
                                                     <td class="empty legend" style="text-align: center;">${legendempty}</td>
                                                    <td class="delete legend" style="text-align: center;">${legenddeleted}</td>
                                                    <td class="replace legend" style="text-align: center;">${legendmodified}</td>
                                                    <td class="insert legend" style="text-align: center;">${legendinserted}</td>
                                                    </tr>
                                                  </tbody>
                                              </table>
                                     </td>
                                     </tr>
                            </tbody></table>
        </orion:box>
        <orion:box id="fileDiffbox">
                 <table id="filediffTable" width="100%" style="word-break: break-all;" class="diff"> </table>
		</orion:box>   
		
		<orion:box id = "divWhenOnlyAttributesAreChanges">${onlyAttributesAreChanges}</orion:box>

		<%@ include file="../BackCloseFooter.jsp" %> 

</orion:vbox>

<script type="text/javascript">
	var scor = scor || {};
	scor.fd = scor.fd || {};
	scor.fd.fn = scor.fd.fn || {};
	scor.fd.vo = scor.fd.vo || {};
	scor.fd.attr = scor.fd.attr || {};
	scor.fd.attr.showHide = scor.fd.attr.showHide ||{};
	scor.fd.vo.leftFileVO = scor.fd.vo.leftFileVO || {};
	scor.fd.vo.rightFileVO = scor.fd.vo.rightFileVO || {};
	scor.fd.fileContentTableRow = scor.fd.fileContentTableRow || {};
	scor.fd.fileContentTableRow.top = scor.fd.fileContentTableRow.top || 0;
	scor.fd.fileContentTableRow.index = scor.fd.fileContentTableRow.index ||0;
	
   function initUI() {
	     <c:if test="${scorleftFileJSON != null}">
            scor.fd.vo.leftFileVO = JSON.parse('${orion:escapeJavaScript(scorleftFileJSON)}');
        </c:if>
        <c:if test="${scorrightFileJSON != null}">
            scor.fd.vo.rightFileVO = JSON.parse('${orion:escapeJavaScript(scorrightFileJSON)}');
        </c:if>

        populateInfoSection();
        populateAttributesDiff();
        if((!scor.fd.vo.leftFileVO ['fileData'] && !scor.fd.vo.rightFileVO['fileData']) 
                || scor.fd.attr.showHide.state.getShowAttr()){
        	scor.fd.fn.hideFileContentSection();
         }else{
        	populateFileDiff();
			$j("select").change(populateFileDiff);
			scor.fd.fn.showHideAttributeOnPageLoad();	
			scor.fd.fn.showHideContentOnPageLoad();	
         }		
		scor.fd.fn.setStylingToFooterBar();
    }

    function populateInfoSection() {
        setScorFileDiffTitleBar();
		$j("#leftTime").append(scor.fd.vo.leftFileVO ['fileInfoVO']['time']);
        $j("#rightTime").append(scor.fd.vo.rightFileVO ['fileInfoVO']['time']);

        $j("#leftFileReposID").append(scor.fd.vo.leftFileVO ['fileInfoVO']['version']);
        $j("#rightFileReposID").append(scor.fd.vo.rightFileVO ['fileInfoVO']['version']);

        $j("#lefthost").append(scor.fd.vo.leftFileVO ['fileInfoVO']['host']);
        $j("#righthost").append(scor.fd.vo.rightFileVO ['fileInfoVO']['host']);

        $j("#leftuser").append(scor.fd.vo.leftFileVO ['fileInfoVO']['user']);
        $j("#rightuser").append(scor.fd.vo.rightFileVO ['fileInfoVO']['user']);

        $j("#lefttimeTitleId").append("<center>"+scor.fd.vo.leftFileVO ['fileInfoVO']['time']);
        $j("#righttimeTitleId").append("<center>"+scor.fd.vo.rightFileVO ['fileInfoVO']['time']);

        $j("#leftchangeagent").append(scor.fd.vo.leftFileVO ['fileInfoVO']['shortProgramName']);
        $j("#rightchangeagent").append(scor.fd.vo.rightFileVO ['fileInfoVO']['shortProgramName']);

        $j("#leftticket").append(scor.fd.vo.leftFileVO ['fileInfoVO']['workflowId']); 	 
	    $j("#rightticket").append(scor.fd.vo.rightFileVO ['fileInfoVO']['workflowId']);
        
    }

    function populateAttributesDiff() {		
        var diff = scor.fd.getDiff(scor.fd.vo.leftFileVO ['metaData'], scor.fd.vo.rightFileVO['metaData'], null);
        $j('#attributeDiffTable').html($j(diff).html());
        scor.fd.addAlternatColouring();    
        scor.fd.removeNumbering('attributeDiffTable');  
        scor.fd.setWidthColumns('attributeDiffTable');
       	scor.fd.addStyling('attributeDiffTable');
    }
   

    function populateFileDiff() {    	
		var context = $j("#context").val();
        var diff = scor.fd.getDiff(scor.fd.vo.leftFileVO ['fileData'], scor.fd.vo.rightFileVO['fileData'], context);    
		$j('#filediffTable').html($j(diff).html());
       	scor.fd.removeNumbering('filediffTable');  
       	scor.fd.setWidthColumns('filediffTable');
    }      

     function setScorFileDiffTitleBar() {     
		 if(scor.fd.vo.leftFileVO ['fileInfoVO']['fileName'] === scor.fd.vo.rightFileVO ['fileInfoVO']['fileName']){
           $j('#scorFileDiffTitleId_label').append(scor.fd.vo.rightFileVO ['fileInfoVO']['shortFileName']);
		 }else{
			  $j('#scorFileDiffTitleId_label').html('${fileCompareReportJS}');
		 }
     }  	


    function closeButton() {
        history.back()
    }

    scor.fd.setWidthColumns = function(tableId){
    	$j("#"+tableId+" tr").each(
    	    	function(){
    				$j(this).find('td:eq(0)').addClass("left-content-cell");      
    				$j(this).find('td:eq(1)').addClass("right-content-cell");     
        	    	}
    	    	);
    }

    scor.fd.fn.showHideAttributeOnPageLoad = function(){
		if(!scor.fd.attr.showHide.state.getShowAttr()){
			$j('#attributediffContainerBox').hide(); 	
			$j('#scorFileDiffShowHideAttrTitleId').html('${showattributes}');	
			scor.fd.attr.showHide.state.setShowAttr(true);			
		}else{
			$j('#attributediffContainerBox').height(200);
			$j('#scorFileDiffShowHideAttrTitleId').html('${hideattributesJS}');
			scor.fd.attr.showHide.state.setShowAttr(false);
		}
	}

	scor.fd.fn.showHideContentOnPageLoad = function(){
		if(!scor.fd.attr.showHide.state.getShowContent()){
			scor.fd.fn.hideFileContentSection();			
		}else{
			scor.fd.fn.showFileContentSection();			
			}
		}	

	scor.fd.fn.hideFileContentSection=function(){
		$j('#fileDiffbox').hide(); 	
		$j('#divWhenOnlyAttributesAreChanges').show();
		scor.fd.fn.setStylingToContentDiv('divWhenOnlyAttributesAreChanges');
		$j("#fileDiffbox").css('position', 'absolute');
		}

	scor.fd.fn.showFileContentSection=function(){
		$j('#divWhenOnlyAttributesAreChanges').hide();
		$j('#fileDiffbox').show(); 		
		scor.fd.fn.setStylingToContentDiv('fileDiffbox');          				
		}
	  

	scor.fd.fn.setStylingToContentDiv = function(divId){	
		$j("#"+divId+"").css('overflow','auto');
		$j("#"+divId+"").css('position', 'inherit');
		if(!scor.fd.attr.showHide.state.getShowAttr()){
		$j('#scorFileDiffContentTitleId').css('top',$j('#scorFileDiffTitleId').height()+$j('#scorfdContentSection').height()+$j('#scorAttributeContainerTitleId').height()+$j('#attributediffContainerBox').height());
		$j('#scorFileDiffInfoId').css('top',$j('#scorFileDiffTitleId').height()+$j('#scorfdContentSection').height()+$j('#scorAttributeContainerTitleId').height()+$j('#attributediffContainerBox').height()+$j('#scorFileDiffContentTitleId').height());
		$j("#"+divId+"").css('top',$j('#scorFileDiffTitleId').height()+$j('#scorfdContentSection').height()+$j('#scorAttributeContainerTitleId').height()+$j('#attributediffContainerBox').height()+$j('#scorFileDiffContentTitleId').height()+$j('#scorFileDiffInfoId').height());

		$j("#"+divId+"").css('height', $j('#orionRootContentID').height()-($j('#scorFileDiffTitleId').height()+$j('#scorfdContentSection').height()+$j('#scorAttributeContainerTitleId').height()+$j('#attributediffContainerBox').height()+$j('#scorFileDiffContentTitleId').height()+$j('#scorFileDiffInfoId').height())-34); 

		}
		else{			$j('#scorFileDiffContentTitleId').css('top',$j('#scorFileDiffTitleId').height()+$j('#scorfdContentSection').height()+$j('#scorAttributeContainerTitleId').height());
		$j('#scorFileDiffInfoId').css('top',$j('#scorFileDiffTitleId').height()+$j('#scorfdContentSection').height()+$j('#scorAttributeContainerTitleId').height()+$j('#scorFileDiffContentTitleId').height());
		$j("#"+divId+"").css('top',$j('#scorFileDiffTitleId').height()+$j('#scorfdContentSection').height()+$j('#scorAttributeContainerTitleId').height()+$j('#scorFileDiffContentTitleId').height()+$j('#scorFileDiffInfoId').height());

			$j("#"+divId+"").css('height', $j('#orionRootContentID').height()-($j('#scorFileDiffTitleId').height()+$j('#scorfdContentSection').height()+$j('#scorAttributeContainerTitleId').height()+$j('#scorFileDiffContentTitleId').height()+$j('#scorFileDiffInfoId').height())-34); 

		}
	}

	scor.fd.fn.setStylingToFooterBar = function(){
		
		$j('#fileDiffFooterBar').css('top',$j('#orionRootContentID').height()-20);	
		$j('#fileDiffFooterBar').css('background-image','url( /core/images/tunnel-page-footer.gif )');
		$j('#fileDiffFooterBar').css('text-align','right');	
		$j('#fileDiffFooterBar').css('height',32);
		$j("#fileDiffbox").css("position","inherit");

	}

	scor.fd.fn.showHideAttributeDiff = function(){     
         if(!scor.fd.attr.showHide.state.getShowAttr()){
			 	 			 
        	$('attributediffContainerBox').style.display = 'none'; 
			$('scorFileDiffShowHideAttrTitleId').innerHTML = '${showattributes}';
			scor.fd.attr.showHide.state.setShowAttr(true);			       	
     }
         else{    
		  
        	 $('attributediffContainerBox').style.display=''; 
			scor.fd.fn.setStylingToAttributeContainerDiv();
			$('scorFileDiffShowHideAttrTitleId').innerHTML = '${hideattributesJS}';
        	scor.fd.attr.showHide.state.setShowAttr(false);			
        }    
		scor.fd.fn.showHideContentOnPageLoad();
    } 

	scor.fd.fn.setStylingToAttributeContainerDiv = function(){
			$j('#attributediffContainerBox').height(200);			
			$j('#attributediffContainerBox').css('top',$j('#scorFileDiffTitleId').height()+$j('#scorfdContentSection').height()+$j('#scorAttributeContainerTitleId').height());
			$j('#attributediffContainerBox').css('overflow','auto');
			$j('#attributediffContainerBox').css('position', 'absolute');
			$j('#attributediffContainerBox').width('100%');
	}
   
   

   scor.fd.attr.showHide.state = function() {
 		var showAttr = String(true) =='${expandFileAttributeSection}';
 		var showContent = String(true) =='${expandFileContentSection}';
 		return {
 			getShowAttr: function() { 	
 				return showAttr;
 			},
 			setShowAttr: function(key) {
 				showAttr = key;
 			},
 			getShowContent: function() { 	
 				return showContent;
 			},
 			setShowContent: function(key) {
 				showContent = key;
 			}
 		}
     }();

     scor.fd.advancedButton = function(){
    	 OrionCore.doAction("/SOLIDCORE_META/advancedFileComparison.do", [] ,"GET");
         }

    OrionCore.addLoadHandler(initUI);
    </script>
</orion:content>
 </orion:corebody>
</orion:core>




