<!-- Copyright (C) 2014-2018 McAfee, Inc.  All rights reserved. -->
<%@ page import="com.mcafee.scor.policy.PolicyConstants" %>
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib uri="http://www.mcafee.com/scor" prefix="scor" %>

<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ page import="com.mcafee.scor.common.HelpConstants" %>

<orion:script context="/core" src="/majic.js"/>

<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>"/>

<orion:message key="scor.policy.general.tab.logging" var="loggingTab" escape="javascript"/>
<orion:message key="scor.policy.general.tab.inventory" var="inventoryTab" escape="javascript"/>
<orion:message key="scor.policy.general.tab.cert" var="certTab" escape="javascript"/>

<orion:message key="scor.policy.general.tab.logging.logFileSize" var="logFileSizeLabel" escape="html"/>
<orion:message key="scor.policy.general.tab.logging.logFileSize.kb" var="logFileSizeKB" escape="html"/>
<orion:message key="scor.policy.general.tab.logging.logFileSizeNote" var="logFileSizeNote" escape="html"/>

<orion:message key="scor.policy.general.tab.logging.logFileNum" var="logFileNumLabel" escape="html"/>
<orion:message key="scor.policy.general.tab.logging.logFileNumNote" var="logFileNumNote" escape="html"/>

<orion:message key="scor.policy.general.tab.inventory.InvMergeTimeoutPeriod" var="InvMergeTimeoutPeriodLabel" escape="html"/>
<orion:message key="scor.policy.general.tab.inventory.InvMergeTimeoutPeriodNote" var="InvMergeTimeoutPeriodNote" escape="html"/>

<orion:message key="scor.policy.general.tab.inventory.InvMergeBySize" var="InvMergeBySizeLabel" escape="html"/>
<orion:message key="scor.policy.general.tab.inventory.InvMergeBySizeNote" var="InvMergeBySizeNote" escape="html"/>


<orion:message key="scor.policy.general.tab.cert.enableVTPTrustCheck" var="enableVTPTrustCheckLabel" escape="html"/>
<orion:message key="scor.policy.general.tab.cert.enableVTPTrustCheckNote" var="enableVTPTrustCheckNote" escape="html"/>

<orion:message key="scor.policy.general.tab.cert.allowFailedCertTrustWithVTP" var="allowFailedCertTrustWithVTPLabel" escape="html"/>
<orion:message key="scor.policy.general.tab.cert.allowFailedCertTrustWithVTPNote" var="allowFailedCertTrustWithVTPNote" escape="html"/>

<orion:message key="scor.policy.general.tab.cert.catalogCertExtractionDisabled" var="catalogCertExtractionDisabledLabel" escape="html"/>
<orion:message key="scor.policy.general.tab.cert.catalogCertExtractionDisabledNote" var="catalogCertExtractionDisabledNote" escape="html"/>

<orion:message key="scor.policy.general.tab.cert.embeddedCertExtractionDisabled" var="embeddedCertExtractionDisabledLabel" escape="html"/>
<orion:message key="scor.policy.general.tab.cert.embeddedCertExtractionDisabledNote" var="embeddedCertExtractionDisabledNote" escape="html"/>



<orion:message key="scor.policy.general.localclipassword" var="clipassword"/>
<orion:message key="scor.policy.general.localclipassword.password" var="passwordHtml"/>
<orion:message key="scor.policy.general.localclipassword.confirmpassword" var="confirmpassword"/>
<orion:message key="scor.policy.general.localclipassword.passwordMismatchError" var="passwordMismatchError" escape="javascript"/>
<orion:message key="scor.policy.general.localclipassword.passwordEmptyError" var="passwordEmptyError" escape="javascript"/>

<orion:message key="scor.policy.general.tab.misc" var="miscTab" escape="javascript"/>
<orion:message key="scor.policy.general.tab.misc.fileDiffMaxFileSize" var="miscFileDiffMaxFileSize" escape="html"/>
<orion:message key="scor.policy.general.tab.misc.kb" var="kb" escape="html"/>
<orion:message key="scor.policy.general.tab.misc.fileDiffAttrOnlyTypes" var="miscFileDiffAttrOnlyTypes" escape="html"/>
<orion:message key="scor.policy.general.tab.misc.fileDiffAttrOnlyTypesNote" var="miscFileDiffAttrOnlyTypesNote" escape="html"/>
<orion:message key="scor.policy.general.tab.misc.fileDiffAttrOnlyTypes.invalidCharactersInInput" var="invalidExtnCharactersInInput" escape="javascript"/>
<orion:message key="scor.policy.general.tab.misc.fileDiffMaxFilesPerRule" var="miscFileDiffMaxFilesPerRule" escape="html"/>
<orion:message key="scor.policy.general.tab.misc.fileDiffMaxFilesPerRuleNote" var="miscFileDiffMaxFilesPerRuleNote" escape="html"/>
<orion:message key="scor.policy.general.tab.misc.invDiffConfig" var="miscInvDiffConfig" escape="html"/>
<orion:message key="scor.policy.general.tab.misc.invDiffConfig.chkBox.before620" var="invDiffChkBoxBefore" escape="none"/>
<orion:message key="scor.policy.general.tab.misc.invDiffConfig.chkBox.after620" var="invDiffChkBoxAfter" escape="none"/>
<orion:message key="scor.policy.general.tab.misc.throttlingDescriptionHeadingLine1" var="msgThrottlingDescriptionLine1" escape="html" />
<orion:message key="scor.policy.general.tab.misc.throttlingDescriptionHeadingLine2" var="msgThrottlingDescriptionLine2" escape="html" />
<orion:message key="scor.policy.general.tab.misc.throttling" var="msgThrottlingSettings" escape="javascript"/>
<orion:message key="scor.policy.general.tab.misc.throttleEvents" var="msgThrottleEvents" escape="none"/>
<orion:message key="scor.policy.general.tab.misc.throttleInvDiff" var="msgThrottleInvDiff" escape="none"/>
<orion:message key="scor.policy.general.tab.misc.throttlePolicyDiscovery" var="msgThrottlePolicyDiscovery" escape="none"/>
<orion:message key="scor.policy.general.tab.misc.throttleLimit" var="msgThrottleLimit" escape="html"/>
<orion:message key="scor.policy.general.tab.misc.throttleCacheSize" var="msgThrottleCacheSize" escape="html"/>
<orion:message key="scor.policy.general.tab.misc.enableThrottling" var="enableThrottling" escape="html"/>
<orion:message key="scor.policy.general.tab.misc.throttlingSettings" var="throttlingSettings" escape="html"/>

<orion:message key="scor.policy.general.localcliaccess.heading" var="localcliaccessHeading" escape="html"/>
<orion:message key="scor.policy.general.localcliaccess.enable" var="localcliaccessEnable" escape="none"/>
<orion:message key="scor.policy.general.localcliaccess.numFailedAttempts.before" var="localcliaccessNumFailedAttemptsBefore" escape="html"/>
<orion:message key="scor.policy.general.localcliaccess.numFailedAttempts.after" var="localcliaccessNumFailedAttemptsAfter" escape="html"/>
<orion:message key="scor.policy.general.localcliaccess.within.before" var="cliAttemptsWithinMinutesBefore" escape="html"/>
<orion:message key="scor.policy.general.localcliaccess.within.after" var="cliAttemptsWithinMinutesAfter" escape="html"/>
<orion:message key="scor.policy.general.localcliaccess.lockTime.before" var="localcliaccessLockTimeBefore" escape="html"/>
<orion:message key="scor.policy.general.localcliaccess.lockTime.after" var="localcliaccessLockTimeAfter" escape="html"/>

<jsp:include page="/common/includejQuery.jsp"/>

<orion:vbox>

<orion:box height="24" id="swaptab"></orion:box>


<orion:box id="cliPassword">

<table>
    <tr>
        <td class="orionSummaryHeader">
            ${clipassword}
        </td>
        <td class="orionSummaryColumn">
            <table>
                <tr>
                    <td>
                        ${passwordHtml}
                    </td>
                    <td>
                        <input type="password" autocomplete="new-password" size="50" maxlength="100" value="" name="localclipasswd" id="localclipasswd" class="orionInput" />
                    </td>
                </tr>
                <tr>
                    <td>
                        ${confirmpassword}
                    </td>
                    <td>
                        <orion:password id="localcliconfirmpasswd" name="localcliconfirmpasswd" onkeyup="check();"/>
                        <span id='message' style="color: red; display:none">${passwordMismatchError}</span>
                    </td>
              </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td class="orionSummaryHeader">
            ${localcliaccessHeading}
        </td>
           <td class="orionSummaryColumn">
        
            <table>
                <tr>
                    <td>
                    	<table>
                    		<tr><td><orion:checkbox id="cliAccessCkbox" name="cliAccessCkbox"  onclick="scorEnableDisableCliLockdownSettings()" text="${localcliaccessEnable}"/></td></tr>
                    		<tr>
                    			<td>&nbsp;&nbsp;&nbsp;${localcliaccessNumFailedAttemptsBefore}</td>
                    			<td><orion:numberbox id="cliAccessNumFailedAttempts" minimum="1" maximum="100" value="3"/></td>
                    			<td>${localcliaccessNumFailedAttemptsAfter}
                    			${cliAttemptsWithinMinutesBefore}
                    			<orion:numberbox id="cliAttemptsWithinMinutes" minimum="1" maximum="1440" value="30"/>
                    			${cliAttemptsWithinMinutesAfter}</td>
                </tr>
                <tr>
                    			<td>&nbsp;&nbsp;&nbsp;${localcliaccessLockTimeBefore}</td>
                    			<td><orion:numberbox id="cliAccessLockdownMinutes" minimum="1" maximum="1440"  value="30"/></td>
                    			<td>${localcliaccessLockTimeAfter}</td>
                </tr>
                    	</table>
                    	
                    </td>
                </tr>
            </table>      
        </td>  
    </tr>

</table>
</orion:box>
<orion:box id="scorMiscellaneousSettings">
<br/><br/>
<table>
   
                            
    <tr id="miscFileDiffMaxFileSizeId">
        <td class="orionSummaryHeader">
            ${miscFileDiffMaxFileSize}
        </td>
        <td class="orionSummaryColumn">
            <table>
                <tr>
                    <td>
                        <orion:numberbox id="fileDiffMaxFileSize" minimum="1" maximum="10000"/> 
						${kb}
						
                    </td>
                </tr>
             </table>
        </td>
    </tr>


    
     
    <tr id="miscFileDiffAttrOnlyTypesId">
        <td class="orionSummaryHeader">
            ${miscFileDiffAttrOnlyTypes}
        </td>
        <td class="orionSummaryColumn">
            <table>
                <tr>
                    <td>
                        <orion:textarea id="fileDiffAttrOnlyFileTypes" rows="5" cols="60" value="${fileDiffAttrOnlyTypes}"/> 
                        <span id="filediff_attrOnly_error" class="orionInputErrorText"></span>
                    </td>
                </tr>
                <tr><td><span style="font-weight:bold">${miscFileDiffAttrOnlyTypesNote}</span></td></tr>
             </table>
        </td>
    </tr>
   
    
    
	<tr id="miscFileDiffMaxFilesPerRuleId">
        <td class="orionSummaryHeader">
            ${miscFileDiffMaxFilesPerRule}
        </td>
        <td class="orionSummaryColumn">
            <table>
                <tr>
                    <td>
                        <orion:numberbox id="fileDiffMaxFilesPerRule" minimum="1" maximum="10000" value="100"/> 
                    </td>
                </tr>
                <tr><td><span style="font-weight:bold">${miscFileDiffMaxFilesPerRuleNote}</span></td></tr>
             </table>
        </td>
    </tr>

    

    <tr id="miscInvDiffConfigId">
        <td class="orionSummaryHeader">
            ${miscInvDiffConfig}
        </td>
        <td class="orionSummaryColumn">
            <table>
                   <tr><td><orion:checkbox id="invDiffConfig" onchange="epoEnableApplyButton()" text="${invDiffChkBoxBefore}"/></td></tr>      
                   <tr><td><orion:checkbox id="invDiffConfig2" onchange="epoEnableApplyButton()" text="${invDiffChkBoxAfter}" /></td></tr>         
            </table>
        </td>
    </tr>
  
</table>
</orion:box>

<orion:box id="throttlingSettings">

<table>
<%@ include file="../AdjustOtherTabs.jsp" %>
	<tr>
        <td class="orionSummaryHeader">
            ${throttlingSettings}
        </td>
        <td>
        <table>
        <tr>
        	<td style="height:5px;"></td>
        </tr>
        <tr>
            <td>
              <orion:checkbox  id="enable_throttling"  name="throttle" onclick="epoEnableApplyButton()"/>
           	</td>
           	<td>
           		<b>${enableThrottling}</b>
           	</td>     
         </tr>
            <tr>
            <td style="width:20px"></td>
        	<td>
        	<table>
            	
			    <tr>
				    <td>
				      <table id="eventThrottlingSupportedId">
					      	<tr>  
					        	<td>
					            	<orion:checkbox id="enableEvtThrottle" text = "${msgThrottleEvents}" onchange="scorSetEnableThrottleSubFeatures(true)"/>
					        	</td>
					    	</tr>
		        			<tr>
								<td style="width:80px;padding-left:25px;">
									${msgThrottleLimit}
								</td>
								<td>
				                	<orion:numberbox id="EventThrottleLimitId" minimum="1" maximum="999999" value="${EventThrottleLimit}" /> 
								</td>
							</tr>
							<tr>
								<td style="width:80px;padding-left:25px;">
		                       		${msgThrottleCacheSize}
		                   		</td>
		                   		<td>
				               		<orion:numberbox id="EventThrottleCacheSizeId" minimum="1" maximum="999999" value="${EventThrottleCacheSize}" /> 
								</td>
	             			</tr>
	            		</table>
	        		</td> 
     			</tr>
	    		<tr>
	    			<td>
	    				<table id="invDiffThrottlingSupportedId"> 
					       	<tr>
						        <td>
						           <orion:checkbox id="enableInvDiffThrottle" text= "${msgThrottleInvDiff}" onchange="scorSetEnableThrottleSubFeatures(true)"/>
						        </td>
						     </tr>
						     <tr>
						        <td>
									<table>
						            	<tr>
											<td style="width:80px;padding-left:25px;">
						                       	${msgThrottleLimit}
											</td>
											<td>
												<orion:numberbox id="InvDiffThrottleLimitId" minimum="1" maximum="999999" value="${InvDiffThrottleLimit}" /> 
											</td>
						               </tr>		               
						            </table>
						        </td>
			    			</tr>
			    		</table>
			    	</td>
			  	  </tr>
				  <tr>
				  	<td>
				  		<table id = "policyDiscoveryThrottlingSupportedId">
				      		<tr>
						        <td>
						            <orion:checkbox  id="enablePolicyDiscoveryThrottle" text = "${msgThrottlePolicyDiscovery}" onchange="scorSetEnableThrottleSubFeatures(true)"/>
						        </td>
						    </tr>
						    <tr>
						        <td>
									<table>
						            	<tr>
											<td style="width:80px;padding-left:25px;">
						                       	${msgThrottleLimit}
						                   	</td>
						                   	<td>
								               	<orion:numberbox id="PolicyDiscoveryThrottleLimitId" minimum="1" maximum="999999" value="${PolicyDiscoveryThrottleLimit}" /> 
											</td>
						               	</tr>
						               	<tr>
						                   	<td style="width:80px;padding-left:25px;">
						                       	${msgThrottleCacheSize}
						                   	</td>
						                   	<td>
								               	<orion:numberbox id="PolicyDiscoveryThrottleCacheSizeId" minimum="1" maximum="999999" value="${PolicyDiscoveryThrottleCacheSize}" /> 
											</td>
										</tr>
						            </table>
						        </td>
							</tr>
						</table>
		    		</td>
		    	</tr>
			</table>
			</td>
		</tr>
		</table>
		</td>
		</tr>
</table>
<table class="orionSummaryHeader" style="font-weight:lighter;max-width:100%;width:100%;">
	
	<tr>
		<td >
			${msgThrottlingDescriptionLine1}
			${msgThrottlingDescriptionLine2}
		</td>
	</tr>
</table>


</orion:box>

<orion:box id="scorLoggingSetting">
<br/><br/>
<table>
    <tr id="logFileSizetr">
        <td class="orionSummaryHeader">
            ${logFileSizeLabel}
            </br>
        </td>

        <td class="orionSummaryColumn">
            <table>
                <tr>
                    <td>
                        <orion:numberbox id="logFileSizeId" minimum="2000" maximum="100000" value="${logFileSize}"/>
						${logFileSizeKB}

                    </td>
                </tr>
                <tr>
                    <td>
                        <span style="font-weight:bold">${logFileSizeNote}</span>
                    </td>
                </tr>
             </table>
        </td>
    </tr>

    <tr id="logFileNumtr">
        <td class="orionSummaryHeader">
            ${logFileNumLabel}
            </br>
        </td>
        <td class="orionSummaryColumn">
            <table>
                <tr>
                    <td>
                        <orion:numberbox id="logFileNumId" minimum="5" maximum="50" value="${logFileNum}"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <span style="font-weight:bold">${logFileNumNote}</span>
                    </td>
                </tr>
             </table>
        </td>
    </tr>

</table>

</orion:box>

<orion:box id="scorInvSetting">
<br/><br/>
<table>
    <tr id="InvMergeTimeoutTR">
        <td class="orionSummaryHeader">
            ${InvMergeTimeoutPeriodLabel}
            </br>
        </td>

        <td class="orionSummaryColumn">
            <table>
                <tr>
                    <td>
                        <orion:numberbox id="invMergeTimeoutId" minimum="1800" maximum="10000" value="${invMergeTimeout}"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <span style="font-weight:bold">${InvMergeTimeoutPeriodNote}</span>
                    </td>
                </tr>
             </table>
        </td>
    </tr>

    <tr id="invMergeBySizePeriodtr">
        <td class="orionSummaryHeader">
            ${InvMergeBySizeLabel}
            </br>
        </td>
        <td class="orionSummaryColumn">
            <table>
                <tr>
                    <td>
                        <orion:numberbox id="invMergeBySizePeriodId" minimum="150" maximum="300" value="${invMergeBySizePeriod}"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <span style="font-weight:bold">${InvMergeBySizeNote}</span>
                    </td>
                </tr>
             </table>
        </td>
    </tr>

</table>
</orion:box>


<orion:box id="scorCertSetting">
<br><br>

<table>
    <tr id="checkCertTrustWithVTPTR">
        <td class="orionSummaryHeader">
            ${enableVTPTrustCheckLabel}
            </br>
        </td>

        <td class="orionSummaryColumn">
            <table>
                <tr>
                    <td>
                        <orion:numberbox id="checkCertTrustWithVTPId" minimum="0" maximum="1" value="${checkCertTrustWithVTP}"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <span style="font-weight:bold">${enableVTPTrustCheckNote}</span>
                    </td>
                </tr>
             </table>
        </td>
    </tr>

    <tr id="allowFailedCertTrustWithVTPtr">
        <td class="orionSummaryHeader">
            ${allowFailedCertTrustWithVTPLabel}
            </br>
        </td>
        <td class="orionSummaryColumn">
            <table>
                <tr>
                    <td>
                        <orion:numberbox id="allowFailedCertTrustWithVTPId" minimum="0" maximum="1" value="${allowFailedCertTrustWithVTP}"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <span style="font-weight:bold">${allowFailedCertTrustWithVTPNote}</span>
                    </td>
                </tr>
             </table>
        </td>
    </tr>

    <tr id="catalogCertExtractionDisabledtr">
        <td class="orionSummaryHeader">
            ${catalogCertExtractionDisabledLabel}
            </br>
        </td>
        <td class="orionSummaryColumn">
            <table>
                <tr>
                    <td>
                        <orion:numberbox id="catalogCertExtractionDisabledId" minimum="0" maximum="1" value="${catalogCertExtractionDisabled}"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <span style="font-weight:bold">${catalogCertExtractionDisabledNote}</span>
                    </td>
                </tr>
             </table>
        </td>
    </tr>

    <tr id="embeddedCertExtractionDisabledtr">
        <td class="orionSummaryHeader">
            ${embeddedCertExtractionDisabledLabel}
            </br>
        </td>
        <td class="orionSummaryColumn">
            <table>
                <tr>
                    <td>
                        <orion:numberbox id="embeddedCertExtractionDisabledId" minimum="0" maximum="1" value="${embeddedCertExtractionDisabled}"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <span style="font-weight:bold">${embeddedCertExtractionDisabledNote}</span>
                    </td>
                </tr>
             </table>
        </td>
    </tr>
</table>

</orion:box>

</orion:vbox>

<script type="text/javascript">

 function initui(){
         if ("${epoReadOnlyPolicyObject}" == "true") {
			$j('#localclipasswd').attr('disabled', true);
			$j('#localcliconfirmpasswd').attr('disabled', true);
        	$j('#fileDiffMaxFileSize').attr('disabled', true);
        	$j('#fileDiffAttrOnlyFileTypes').attr('disabled', true);
        	$j('#fileDiffMaxFilesPerRule').attr('disabled', true);
        	$j('#invDiffConfig').attr('disabled', true);
        	$j('#invDiffConfig2').attr('disabled', true);
        	$j('#enable_throttling').attr('disabled', true);
        	$j('#enableEvtThrottle').attr('disabled', true);
        	$j('#enableInvDiffThrottle').attr('disabled', true);
        	$j('#enablePolicyDiscoveryThrottle').attr('disabled', true);
        	$j('#EventThrottleLimitId').attr('disabled', true);
        	$j('#EventThrottleCacheSizeId').attr('disabled', true);
        	$j('#InvDiffThrottleLimitId').attr('disabled', true);
        	$j('#PolicyDiscoveryThrottleLimitId').attr('disabled', true);
        	$j('#PolicyDiscoveryThrottleCacheSizeId').attr('disabled', true);

        	$j('#logFileSizeId').attr('disabled', true);
        	$j('#logFileNumId').attr('disabled', true);

        	$j('#invMergeTimeoutId').attr('disabled', true);
        	$j('#invMergeBySizePeriodId').attr('disabled', true);


        	$j('#checkCertTrustWithVTPId').attr('disabled', true);
        	$j('#allowFailedCertTrustWithVTPId').attr('disabled', true);
        	$j('#catalogCertExtractionDisabledId').attr('disabled', true);
        	$j('#embeddedCertExtractionDisabledId').attr('disabled', true);

          }
 
          
        var enableThrottle = (${scorThrottle} == "1");
      	$j("#enable_throttling").attr('checked',enableThrottle);
     	$j('#enable_throttling').bind('click',scorSetEnableThrottlingStatus);
     	$j('#enableEvtThrottle').attr('checked', ('${throttleEvt}'== 1)?true:false);
     	$j('#enableInvDiffThrottle').attr('checked', ('${throttleInv}'== 1)?true:false);
     	$j('#enablePolicyDiscoveryThrottle').attr('checked', ('${throttleOb}'== 1)?true:false);

     	scorSetEnableThrottlingStatus();

		var swapTabConfiguration = {
			"cliPassword" :{
		        	title :  '<orion:message key="scor.policy.general.tab.clisettings" escape="javascript"/>',
					callback: function(){OrionHelp.setHelpId("<%=HelpConstants.GENERAL_POLICY_CLI_SETTINGS%>")}
		    	},
		
		    "throttlingSettings" :{
		    		title : "${msgThrottlingSettings}",
		    		callback:function(){OrionHelp.setHelpId("<%=HelpConstants.GENERAL_POLICY_EVENT_THROTTLING_SETTING%>")}
		    	},
			"scorMiscellaneousSettings" :{
		        	title : '${miscTab}',
					callback: function(){OrionHelp.setHelpId("<%=HelpConstants.GENERAL_POLICY_MISC_SETTING%>")}
		    	},
		    "scorLoggingSetting" :{
		            title : '${loggingTab}',
		            callback: function(){OrionHelp.setHelpId("<%=HelpConstants.GENERAL_POLICY_LOGGING_SETTING%>")}
		        },
		    "scorInvSetting" :{
		            title : '${inventoryTab}',
		            callback: function(){OrionHelp.setHelpId("<%=HelpConstants.GENERAL_POLICY_INV_SETTING%>")}
		        },
		    "scorCertSetting" :{
                    title : '${certTab}',
                    callback: function(){OrionHelp.setHelpId("<%=HelpConstants.GENERAL_POLICY_CERT_SETTING%>")}
                }
		};

		var swapper = showHideTabsOnLicense("swaptab", swapTabConfiguration);
	
       		 var cliAccessCkbox = (${cliAccessCkbox} == "1");
      		$j("#cliAccessCkbox").attr('checked',cliAccessCkbox); 
      	
	    	$('cliAccessNumFailedAttempts').value = '${cliAccessNumFailedAttempts}';
	    	$('cliAttemptsWithinMinutes').value = '${cliAttemptsWithinMinutes}';
	    	$('cliAccessLockdownMinutes').value = '${cliAccessLockdownMinutes}';
	    	
	    	scorEnableDisableCliLockdownSettings();
	
	
    	$('fileDiffMaxFileSize').value = '${fileDiffMaxFileSize}';
    	$('fileDiffMaxFilesPerRule').value = '${fileDiffMaxFilesPerRule}';
    	$j('#invDiffConfig').attr('checked', ('${invDiffConfig}'== 2)?true:false);
    	$j('#invDiffConfig2').attr('checked', ('${invDiffConfig2}'== 2)?true:false);
  

		$j("input[type='text']").keyup( function() {
				epoEnableApplyButton();
			});
		$j("input[type='password']").keyup( function() {
				epoEnableApplyButton();
			});
	
		$j("textarea").keyup( function() {
				epoEnableApplyButton();
			});
		$j("#fileDiffAttrOnlyFileTypes").keyup(function() {
				scorFDvalidateExtensions();
			});
	
    } 	

function showHideTabsOnLicense(tabsContainerID, swapTabConfiguration){
		var tabsVisibilty = JSON.parse('${orion:escapeJavaScript(general_configpolicy_tabs_visibilty_list)}');
		var cliPasswordTabVisibilty = tabsVisibilty['cliPassword'];
		var scorMiscellaneousSettingsTabVisibilty = tabsVisibilty['scorMiscellaneousSettings'];
		
		var updatedSwapTabConfiguration = swapTabConfiguration;
		if(cliPasswordTabVisibilty === false){
			delete updatedSwapTabConfiguration['cliPassword'];
			$j('#cliPassword').hide();
		}
		if(scorMiscellaneousSettingsTabVisibilty === false){
			delete updatedSwapTabConfiguration['scorMiscellaneousSettings'];
			$j('#scorMiscellaneousSettings').hide();
		}
		  <c:if test="${isMiscFileDiffMaxFileSize == 'false'}"> $j('#miscFileDiffMaxFileSizeId').hide();  </c:if>;
		  <c:if test="${isFileDiffAttrOnlyFileTypes == 'false'}">  $j('#miscFileDiffAttrOnlyTypesId').hide(); </c:if>;
		  <c:if test="${isFileDiffMaxFilesPerRule == 'false'}">  $j('#miscFileDiffMaxFilesPerRuleId').hide();</c:if>;
		  <c:if test="${isInvDiffConfig == 'false'}"> $j('#miscInvDiffConfigId').hide();  </c:if>;
		  <c:if test="${isEventThrottlingSupported == 'false'}"> $j('#eventThrottlingSupportedId').hide(); </c:if>;
		  <c:if test="${isInvDiffThrottlingSupported == 'false'}"> $j('#invDiffThrottlingSupportedId').hide(); </c:if>
		  <c:if test="${isPolicyDiscoveryThrottlingSupported == 'false'}"> $j('#policyDiscoveryThrottlingSupportedId').hide(); </c:if>
		  
		  return  new majic.SwapTabStrip( tabsContainerID, updatedSwapTabConfiguration );
 }

scorFDvalidateExtensions = function(){
	var field = $j("#fileDiffAttrOnlyFileTypes");
   	var INVALID_FD_EXTN_CHARS = ['.',':','?','<','>','|', '*', '"', '\\', '/'];
	var validationResult = scor.validation.validateTextForCharacters(field, INVALID_FD_EXTN_CHARS);
	if(!validationResult.getIsValid()){
		 var msg = '${invalidExtnCharactersInInput}';
	       $j("#filediff_attrOnly_error").html(msg);
	}
	      setTimeout(function() {
			$j("#filediff_attrOnly_error").html("");
  			}, 8000);
	          
}

	function epoApplyPolicySettings() {
		var passwd = document.getElementById("localclipasswd").value;
		var confirmpasswd = document.getElementById("localcliconfirmpasswd").value;

		var cliAccessCkbox ;
		if ($j('#cliAccessCkbox').is(":checked")){
			cliAccessCkbox = 1;
		}
		else{
			cliAccessCkbox = 0;
		}
		
		var cliAccessNumFailedAttempts = document.getElementById("cliAccessNumFailedAttempts").value;
		var cliAttemptsWithinMinutes = document.getElementById("cliAttemptsWithinMinutes").value;
		var cliAccessLockdownMinutes = document.getElementById("cliAccessLockdownMinutes").value;
		
		var fileDiffMaxFileSize = document.getElementById("fileDiffMaxFileSize").value;
		var fileDiffAttrOnlyFileTypes = $j("#fileDiffAttrOnlyFileTypes").val();
		var fileDiffMaxFilesPerRule = $j("#fileDiffMaxFilesPerRule").val();

		var logFileSize = $j("#logFileSizeId").val();
		var logFileNum = $j("#logFileNumId").val();

		var invMergeTimeout = $j("#invMergeTimeoutId").val();
		var invMergeBySizePeriod = $j("#invMergeBySizePeriodId").val();

		var checkCertTrustWithVTP = $j("#checkCertTrustWithVTPId").val();
		var allowFailedCertTrustWithVTP = $j("#allowFailedCertTrustWithVTPId").val();
		var catalogCertExtractionDisabled = $j("#catalogCertExtractionDisabledId").val();
		var embeddedCertExtractionDisabled = $j("#embeddedCertExtractionDisabledId").val();

		var invDiffConfig;
		var invDiffConfig2;
		if ($j('#invDiffConfig').is(":checked")){
			invDiffConfig = 2;
		}
		else{
			invDiffConfig = 1;
		}
		if ($j('#invDiffConfig2').is(":checked")){
			invDiffConfig2 = 2;
		}
		else{
			invDiffConfig2 = 1;
		}
		var eventThrottleLimit = $j("#EventThrottleLimitId").val();
		var eventThrottleCacheSize = $j("#EventThrottleCacheSizeId").val();
		var invDiffThrottleLimit = $j("#InvDiffThrottleLimitId").val();
		var policyDiscoveryThrottleLimit = $j("#PolicyDiscoveryThrottleLimitId").val();
		var policyDiscoveryThrottleCacheSize = $j("#PolicyDiscoveryThrottleCacheSizeId").val();
		var enableThrottle=($j("#enable_throttling").is(':checked') == true)?1:0;
		var throttleInv=($j("#enableInvDiffThrottle").is(':checked') == true)?1:0;
		var throttleOb=($j("#enablePolicyDiscoveryThrottle").is(':checked') == true)?1:0;
		var throttleEvt=($j("#enableEvtThrottle").is(':checked') == true)?1:0;
		
		if(passwd!==confirmpasswd ) {
			OrionCore.showDialogBox(true, '${passwordMismatchError}', OrionCore.DIALOG_OK);
            OrionCore.showPleaseWait(false);
		} else {
			scor.actions.doAsyncAction("<%=URLConstants.SAVE_GENERAL_POLICY_URL%>", 
					["<%=PolicyConstants.LOCALCLIPASSWD%>", passwd,'fileDiffMaxFileSize',fileDiffMaxFileSize,
					 'fileDiffAttrOnlyTypes',fileDiffAttrOnlyFileTypes,
					 'fileDiffMaxFilesPerRule',fileDiffMaxFilesPerRule,
					 'invDiffConfig',invDiffConfig,
					 'invDiffConfig2',invDiffConfig2,
					 "<%=PolicyConstants.REQ_ATTR_THROTTLE_INV%>", throttleInv,
					 "<%=PolicyConstants.REQ_ATTR_THROTTLE_OB%>", throttleOb,
					 "<%=PolicyConstants.REQ_ATTR_THROTTLE_EVT%>", throttleEvt,
					 "<%=PolicyConstants.EVENT_THROTTLE_LIMIT%>",eventThrottleLimit,
					 "<%=PolicyConstants.EVENT_THROTTLE_CACHE_SIZE%>",eventThrottleCacheSize,
					 "<%=PolicyConstants.INV_DIFF_THROTTLE_LIMIT%>",invDiffThrottleLimit,
					 "<%=PolicyConstants.POLICY_DISCOVERY_THROTTLE_LIMIT%>",policyDiscoveryThrottleLimit,
					 "<%=PolicyConstants.POLICY_DISCOVERY_THROTTLE_CACHE_SIZE%>",policyDiscoveryThrottleCacheSize,
					 "<%=PolicyConstants.REQ_ATTR_THROTTLE%>",enableThrottle,
					 'cliAccessCkbox',cliAccessCkbox,
					 'cliAccessNumFailedAttempts',cliAccessNumFailedAttempts,
					 'cliAccessLockdownMinutes',cliAccessLockdownMinutes
					 ,'cliAttemptsWithinMinutes',cliAttemptsWithinMinutes,
					 'logFileSize',logFileSize,
					 'logFileNum',logFileNum,
					 'invMergeTimeout',invMergeTimeout,
					 'invMergeBySizePeriod',invMergeBySizePeriod,
					 'checkCertTrustWithVTP',checkCertTrustWithVTP,
					 'allowFailedCertTrustWithVTP',allowFailedCertTrustWithVTP,
					 'catalogCertExtractionDisabled',catalogCertExtractionDisabled,
					 'embeddedCertExtractionDisabled',embeddedCertExtractionDisabled,
					 ],
					 _applyPolicySuccess);
		}
	}
	
    var _applyPolicySuccess = function ()
    {
        fnGoBack(); // This is a Mercury function and recommended.
    }
    
    function scorEnableDisableCliLockdownSettings(){
        if ("${epoReadOnlyPolicyObject}" == "true" ) {
			$('cliAccessCkbox').disabled = true;
			$('cliAccessNumFailedAttempts').disabled = true;
			$('cliAttemptsWithinMinutes').disabled = true;
			$('cliAccessLockdownMinutes').disabled = true;
    		return;
    	}
    	if (($j('#cliAccessCkbox').is(":checked")==false)) {
			$('cliAccessNumFailedAttempts').disabled = true;
			$('cliAttemptsWithinMinutes').disabled = true;
			$('cliAccessLockdownMinutes').disabled = true;
    	}else{
			$('cliAccessNumFailedAttempts').disabled = false;
			$('cliAttemptsWithinMinutes').disabled = false;
			$('cliAccessLockdownMinutes').disabled = false;
		}
    }
    
    
    function scorSetEnableThrottleSubFeatures(enableSave){
		if($j('#enableEvtThrottle').is(":checked")){
			$('EventThrottleLimitId').disabled = false;
    		$('EventThrottleCacheSizeId').disabled = false;
		}
		else
		{
			$('EventThrottleLimitId').disabled = true;
    		$('EventThrottleCacheSizeId').disabled = true;
		}
    	if($j('#enableInvDiffThrottle').is(":checked")){
    		$('InvDiffThrottleLimitId').disabled = false;
    	}
    	else
    	{
    		$('InvDiffThrottleLimitId').disabled = true;
    	}
    	if($j('#enablePolicyDiscoveryThrottle').is(":checked")){
    		$('PolicyDiscoveryThrottleLimitId').disabled = false;
    		$('PolicyDiscoveryThrottleCacheSizeId').disabled = false;
    	}
    	else{
    		$('PolicyDiscoveryThrottleLimitId').disabled = true;
    		$('PolicyDiscoveryThrottleCacheSizeId').disabled = true;
    	}
    	if($j('#enable_throttling').is(':checked') && "${epoReadOnlyPolicyObject}" != "true" && enableSave == true){
    		epoEnableApplyButton();    		
    	} 
    	
    }

    function check(){
        if ($j('#localclipasswd').val() === $j('#localcliconfirmpasswd').val()) {
            $j('#message').hide();
        }
        else{
            $j('#message').show();
        }
    }
    
    function scorSetEnableThrottlingStatus(){
    	var throttling_feature_status=$j('#enable_throttling').is(':checked');
    	
    	 if(throttling_feature_status == true && "${epoReadOnlyPolicyObject}" != "true"){
    		$('enableEvtThrottle').disabled = false;
        	$('enableInvDiffThrottle').disabled = false;
        	$('enablePolicyDiscoveryThrottle').disabled = false;
        	scorSetEnableThrottleSubFeatures(false);
    		
    	}else{
    		$('EventThrottleLimitId').disabled = true;
    		$('EventThrottleCacheSizeId').disabled = true;
    		$('InvDiffThrottleLimitId').disabled = true;
    		$('PolicyDiscoveryThrottleLimitId').disabled = true;
    		$('PolicyDiscoveryThrottleCacheSizeId').disabled = true;
    		$('enableEvtThrottle').disabled = true;
        	$('enableInvDiffThrottle').disabled = true;
        	$('enablePolicyDiscoveryThrottle').disabled = true;
    	  }		
    		
    	}
    
     OrionCore.addLoadHandler(initui);



</script>





