var scor;
scor = scor || {};
scor.tags = scor.tags || {};
scor.tags.chart = scor.tags.chart || {};

scor.tags.chart.divIdPrefix = 'scor_tags_chart_';
scor.tags.chart.chartAttrMap = scor.tags.chart.chartAttrMap || {};

scor.tags.chart.ChartTagAttrVO = function(chartId,dsAttr,width,height){
    this.chartId = chartId;
    this.dsAttr = dsAttr;
    this.height = height || 400;
    this.width = width || 550;
}
scor.tags.chart.ChartTagAttrVO.prototype = {
    getJsonStr : function(){
        return JSON.stringify(this);
    }
}

scor.tags.chart.ChartTagAttrVO.prototype.constructor = scor.tags.chart.ChartTagAttrVO;

scor.tags.chart.refreshChartSuccess = function(fusionChartVo){
    var swfFilePath = "/SOLIDCORE_META/" + fusionChartVo['swfFilePath'];
    var dataXml = fusionChartVo['dataXml'];
    var chartTagAttrVO = scor.tags.chart.getAttrVO(fusionChartVo['chartId']);
    var chart = new FusionCharts(swfFilePath, fusionChartVo['chartId'], fusionChartVo['width'] || chartTagAttrVO.width, fusionChartVo['height'] || chartTagAttrVO.height, "0", "0");
    chart.addParam("WMode","Transparent");
    chart.setDataXML(dataXml);
    chart.render(scor.tags.chart.getChartDivId(fusionChartVo['chartId']));
}

scor.tags.chart.getChartDivId = function(chartId){
    return scor.tags.chart.divIdPrefix+chartId;
}

scor.tags.chart.scorRefreshChart = function(chartId,chartParamStr){
    var chartTagAttrVO = scor.tags.chart.getAttrVO(chartId);
    scor.actions.doAsyncAction("/SOLIDCORE_META/scorRefreshChart.do",
                                ["chartTagAttrVO",chartTagAttrVO.getJsonStr(),"chartParamStr",chartParamStr],
                                scor.tags.chart.refreshChartSuccess);
}

scor.tags.chart.putAttrVO = function(chartId,chartTagAttrVO){
    scor.tags.chart.chartAttrMap[chartId] = chartTagAttrVO;
}
scor.tags.chart.putAttr = function(chartId,attrName,attrValue){
    var attrVO = scor.tags.chart.getAttrVO(chartId);
    attrVO[attrName] = attrValue;
}

scor.tags.chart.getAttrVO = function(chartId){
    return scor.tags.chart.chartAttrMap[chartId] || [];
}
scor.tags.chart.getAttr = function(chartId,attrName){
    var attrVO = scor.tags.chart.getAttrVO(chartId);
    attrVO[attrName];
}
