var scor;
scor = scor || {};
scor.vos = scor.vos || {};
scor.vos.profile = scor.vos.profile || {};
scor.vos.profile.cc = scor.vos.profile.cc || {};

scor.vos.profile.ProfileUnitVO = function(field, filter) {

    var vo = {
        "field" : field,
        "filter" : filter
    };

    var commonFunc = scor.utils.getVosCommonFuncs(vo);

    return {
        "common": commonFunc,
        "getField" : function () {
            return vo.field;
        },
        "getFilter" : function () {
            return vo.filter;
        }
    };

};


scor.vos.profile.ProfileDetailedVO = function(id, groupName, platform, readOnly, type, extensions, path, registry, users, process, advanced) {
    var vo = {
        "id" : id,
        "groupName" : groupName,
        "platform" : platform,
        "readOnly" : readOnly,
        "type" : type,
        "extensions" : extensions,
        "path" : path,
        "registry" : registry,
        "users" : users,
        "process" : process,
        "advanced" : advanced
    };

    var commonFunc = scor.utils.getVosCommonFuncs(vo);

    return {
        "common": commonFunc
    };
};

scor.vos.profile.cc.CCPolicyDetailedVO = function (id,groupName, platform, readOnly, type, wpFiles, wpRegs,rpFiles,updaters,trustedGroups,trustedUsers){

    var vo = {
        id:id,
        groupName:groupName,
        platform:platform,
        readOnly:readOnly,
        type:type,
        wpFiles:wpFiles,
        wpRegs:wpRegs,
        rpFiles:rpFiles,
        updaters:updaters,
        trustedGroups:trustedGroups,
        trustedUsers:trustedUsers
    };

    var commonFunc = scor.utils.getVosCommonFuncs(vo);

    return {
        common: commonFunc
    };
};


