<!-- Copyright (C) 2015-2018 McAfee, Inc.  All rights reserved. -->
<%@ page import="com.mcafee.scor.common.HelpConstants" %>
<%@ page import="com.mcafee.scor.policy.PolicyConstants"%>
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ page import="com.mcafee.scor.common.Constants" %>

<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>
<%@ taglib uri="http://www.mcafee.com/scor" prefix="scor" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ page import="com.mcafee.scor.config.ScorConfig"%>

<orion:script context="/core" src="/majic.js"/>
<orion:style context="/SOLIDCORE_META" url="/css/override.css" />
<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>"/>

<orion:message key="scor.policy.awl.option.tab.features" var="featuresTab" escape="javascript"/>
<orion:message key="scor.policy.awl.option.enableSelfApproval" var="enableSelfApproval"/>
<orion:message key="scor.policy.awl.option.allowNoPopupAction" var="advancedOptions"/>
<orion:message key="scor.policy.awl.option.allowNoPopupAction.text" var="advancedOptionsText"/>
<orion:message key="scor.policy.awl.option.SelfApprovalText" var="selfApprovalText"/>
<orion:message key="scor.policy.awl.option.tab.features.rebootWarning" var="featuresRebootWarning"/>
<orion:message key="scor.policy.awl.option.tab.features.pkgctrlSubOptionsVersionSpecificMsg1" var="pkgctrlSubOptionsVersionSpecificMsg1"/>
<orion:message key="scor.policy.awl.option.tab.features.pkgctrlSubOptionsVersionSpecificMsg2" var="pkgctrlSubOptionsVersionSpecificMsg2"/>
<orion:message key="scor.policy.awl.option.tab.features.pkgctrlSubOptionsVersionSpecificMsg3" var="pkgctrlSubOptionsVersionSpecificMsg3"/>
<orion:message key="scor.policy.awl.option.tab.selfApproval.bannerText" var="bannerText"/>
<orion:message key="scor.policy.awl.option.tab.selfApproval.bannerText.invalidCharactersInInput" var="invalidCharactersInInput" escape="javascript"/>
<orion:message key="scor.policy.awl.option.tab.selfApproval.timeout.invalidTimeoutValue" var="invalidTimeoutValue" escape="javascript"/>
<orion:message key="scor.policy.awl.option.tab.selfApproval.timeout" var="timeout"/>
<orion:message key="scor.policy.awl.option.tab.selfApproval.timeout.secs" var="secs"/>
<orion:message key="scor.policy.awl.option.tab.selfApproval.justificationMessage" var="justificationMessage" escape="html"/>
<orion:message key="scor.policy.awl.option.tab.selfApproval.justificationMsgMandatoryMsg" var="justificationMsgMandatoryMsg" escape="none"/>
<orion:message key="scor.policy.awl.option.tab.selfApproval.justificationMsgOptionalMsg" var="justificationMsgOptionalMsg" escape="none"/>
<orion:message key="scor.policy.general.tab.eventsCustomMessage.raiseEvent" var="raise_event" escape="none"/>
<orion:message key="scor.policy.general.tab.eventsCustomMessage.website" var="website" escape="html"/>
<orion:message key="scor.policy.general.tab.eventsCustomMessage.mailto" var="mail" escape="html"/>
<orion:message key="scor.policy.general.tab.eventsCustomMessage.mailto.helptext" var="mailHelpText" escape="html"/>
<orion:message key="scor.policy.general.tab.eventsCustomMessage.mailsubject" var="mailSubject" escape="html"/>
<orion:message key="scor.policy.general.tab.eventsCustomMessage.epo_url" var="epo_url" escape="html"/>

<orion:message key="scor.policy.awl.option.tab.invaef.title" var="msgInvAefConfigTitle" escape="javascript" />
<orion:message key="scor.policy.awl.option.tab.invaef.excludeBaseOSFiles" var="msgExcludeBaseOSFiles" escape="html" />
<orion:message key="scor.policy.awl.option.tab.invaef.OSFilesDescription" var="msgOSFilesDescription" escape="html" />
<orion:message key="scor.policy.awl.option.tab.invaef.pullInvTimeout" var="msgPullInvTimeout" escape="html" />
<orion:message key="scor.policy.awl.option.tab.invaef.invDiffTimeout" var="msgInvDiffTimeout" escape="html" />
<orion:message key="scor.policy.awl.option.tab.invaef.hours" var="msgHours" escape="html" />
<orion:message key="scor.policy.awl.option.tab.invaef.consecutiveInvPullInterval" var="msgConsecutiveInvPullInterval" escape="html" />
<orion:message key="scor.policy.awl.option.tab.reputation.reputationConfigTabTitle" var="msgReputationConfigTabTitle" escape="javascript" />

 <orion:message key="scor.policy.awl.option.tab.reputation.reputationConfigTabTitle" var="reputationSourceLabelMsg" escape="html" />
 <orion:message key="scor.policy.awl.option.tab.reputation.reputationTIE" var="reputationTIEMsg" escape="html" />
 <orion:message key="scor.policy.awl.option.tab.reputation.reputationMcAfeeGTI" var="reputationMcAfeeGTIMsg" escape="html" />
 <orion:message key="scor.policy.awl.option.tab.reputation.reputationexceutionSettingLabel" var="reputationSettingLabelMsg" escape="html" />
 <orion:message key="scor.policy.awl.option.tab.reputation.reputationAllowBinaries" var="reputationAllowBinariesMsg" escape="html" />
 <orion:message key="scor.policy.awl.option.tab.reputation.reputationAndAbove" var="reputationAndAboveMsg" escape="html" />
 <orion:message key="scor.policy.awl.option.tab.reputation.reputationBanBinaries" var="reputationBanBinariesMsg" escape="html" />
 <orion:message key="scor.policy.awl.option.tab.reputation.reputationAndbelow" var="reputationAndbelowMsg" escape="html" />
 <orion:message key="scor.policy.awl.option.tab.reputation.reputationATDSettingLabel" var="reputationATDSettingLabelMsg" escape="html" />
 <orion:message key="scor.policy.awl.option.tab.reputation.reputationSendBianry"  var="reputationSendBianryMsg" escape="html" />
 <orion:message key="scor.policy.awl.option.tab.reputation.reputationAnalysis" var="reputationAnalysisMsg" escape="html" />
 <orion:message key="scor.policy.awl.option.tab.reputation.reputationLimitSize" var="reputationLimitSizeMsg" escape="html" />
 <orion:message key="scor.policy.awl.option.tab.reputation.helpMsg" var="helpMsg" escape="html" />
 <orion:message key="scor.policy.awl.option.tab.reputation.reputationMcAfeeGTIMsg" var="reputationMcAfeeGTIDesc" escape="html" />
 <orion:message key="scor.policy.awl.option.tab.reputation.reputationMcAfeeTIEMsg" var="reputationMcAfeeTIEDesc" escape="html" />
 <orion:message key="scor.reputation.known.trusted" var="knownTrusted" escape="html" />
 <orion:message key="scor.reputation.known.trustedMsg" var="knownTrustedValue" escape="html" />
 <orion:message key="scor.reputation.most.likely.trusted" var="likelyTrusted" escape="html" />
 <orion:message key="scor.reputation.most.likely.trustedMsg" var="likelyTrustedValue" escape="html" />
 <orion:message key="scor.reputation.might.be.trusted" var="mightbeTrusted" escape="html" />
 <orion:message key="scor.reputation.might.be.trustedMsg" var="mightbeTrustedValue" escape="html" />
 <orion:message key="scor.reputation.unknown" var="unknown" escape="html" />
 <orion:message key="scor.reputation.unknownMsg" var="unknownValue" escape="html" />
 <orion:message key="scor.reputation.might.be.malicious" var="mightbeMalicious" escape="html" />
 <orion:message key="scor.reputation.might.be.maliciousMsg" var="mightbeMaliciousValue" escape="html" />
 <orion:message key="scor.reputation.most.likely.malicious" var="likelyMalicious" escape="html" />
 <orion:message key="scor.reputation.most.likely.maliciousMsg" var="likelyMaliciousValue" escape="html" />
 <orion:message key="scor.reputation.known.malicious" var="KnownMalicious" escape="html" />
 <orion:message key="scor.reputation.known.maliciousMsg" var="KnownMaliciousValue" escape="html" />
 <orion:message key="scor.reputation.known.legnedLabel" var="legnedLabel" escape="html" />
 <orion:message key="scor.policy.awl.option.tab.reputation.errorMsg" var="errorMsg" escape="javascript"/>
 <orion:message key="scor.reputation.ATD.desc" var="ATDDesc" escape="html" />
 <orion:message key="scor.reputation.whatisreputationbasedexecution.label" var="whatsReputationBasedExecution" escape="html"/>
 <orion:message key="scor.task.status.enable.solidification.priority.high" var="highPriority" escape="html"/>
 <orion:message key="scor.task.status.enable.solidification.priority.low" var="lowPriority" escape="html"/>
 
 <c:set var="reputationMaxFileSizeLimit" scope="request" value="<%=ScorConfig.atdSubmissionMaxFileSizeMB.get()%>"/>
 <orion:message key="scor.policy.awl.option.tab.reputation.reputationLimitSizeSecondPart" var="reputationLimitSizeSecondPart" params="${reputationMaxFileSizeLimit}" escape="html" />
 
<jsp:include page="/common/includejQuery.jsp"/>

<orion:vbox>

<orion:box height="24" id="swaptab"></orion:box>


<orion:box id="selfApproval">
<table>
    <tr>
        <td class="orionSummaryHeader">
            ${enableSelfApproval}
        </td>
        <td class="orionSummaryColumn">
            <table>
                <tr>
                    <td>
                        <orion:checkbox  id="self_approval"  name="self-approval" onclick="epoEnableApplyButton()"/>
                    </td>
                    
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td class="orionSummaryHeader">
            ${selfApprovalText}
        </td>
        <td class="orionSummaryColumn">
            <table>
                <tr>
                    <td>
                        <p style="color: BLACK; font-weight: BOLD">${bannerText}</p>
			<orion:textarea id="self_approval_textArea" name="self_approval_textArea" rows="5" maxlength="1500" cols="100" onclick="epoEnableApplyButton()" />
                   <br>
                   <span id="selfapproval_text_error" class="orionInputErrorText"></span>
                    </td>
                   
                </tr>
                
            </table>
        </td>
    </tr>
    <tr>
        <td class="orionSummaryHeader">
            ${timeout}
        </td>
        <td class="orionSummaryColumn">
            <table>
                <tr>
                    <td>
                        <orion:numberbox id="timeoutinsecs" minimum="1" maximum="180" onclick="epoEnableApplyButton()"/> 
						${secs}
						<br>
						<span id="selfapproval_timeoutValue_error" class="orionInputErrorText"></span>
                    </td>
                </tr>
             </table>
        </td>
    </tr>
    <tr>
        <td class="orionSummaryHeader">
            ${justificationMessage}
        </td>
        <td class="orionSummaryColumn">
            <table>
                <tr>
                    <td>
                        <orion:radiobutton id="justificationMsgMandatoryRadio"  name="justificationMsg" text="${justificationMsgMandatoryMsg}"  onclick="epoEnableApplyButton()" />
						&nbsp;&nbsp; <orion:radiobutton id="justificationMsgOptionalRadio" name="justificationMsg" text="${justificationMsgOptionalMsg}" onclick="epoEnableApplyButton()" />
                    </td>
                </tr>
             </table>
        </td>
    </tr>
    <tr id="selfApprovalPolicyAdvancedOtions">
        <td class="orionSummaryHeader">
            ${advancedOptions}
        </td>
        <td class="orionSummaryColumn">
            <table>
                <tr>
                    <td>
                        <orion:checkbox  id="no-popup-allow-action"  name="no-popup-allow-action" onclick="epoEnableApplyButton()"/>
                    </td>
                </tr>
                    <tr>
                    	<td>
                    		<span style="color: BLACK; font-weight: BOLD">${advancedOptionsText}</span>
               			</td>
               		</tr>
            </table>
        </td>
    </tr>
</table>
</orion:box>

<orion:box id="features_box">
	<scor:scorFeature id="features" features='${feature_list_attr}' />
	<table>
	<tr>
		<td style="color: RED;">
			<b>${featuresRebootWarning}</b>
		</td>
	</tr>
	<tr>
		<td style="color: RED;">
			<b>${pkgctrlSubOptionsVersionSpecificMsg1}</b>
		</td>
	</tr>
	<tr>
		<td style="color: RED;">
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;${pkgctrlSubOptionsVersionSpecificMsg2}
		</td>
	</tr>
	<tr>
		<td style="color: RED;">
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;${pkgctrlSubOptionsVersionSpecificMsg3}
		</td>
	</tr>
	
	</table>
</orion:box>



<orion:box id="customizedEventsText">
<br/><br/>
<div class="orionDescriptionArea orionBorderBottomGrey" style="overflow: auto; white-space: normal">
                      <orion:message key="scor.policy.general.tab.eventsCustomMessage.helpDescription" escape="html"/> 
    </div>
<table>
	<tr>
		<td class="orionSummaryHeader">
			<orion:message key="scor.policy.general.tab.eventsCustomMessage.UserMessage" escape="html"/>: 
		</td>
		<td class="orionSummaryColumn">
		        <orion:checkbox id="raise_event"  text="${raise_event}" onclick="epoEnableApplyButton()"/>
			
		</td>
	</tr>

	<tr>
		<td class="orionSummaryHeader">
			<orion:message key="scor.policy.general.tab.eventsCustomMessage.helpdesk" escape="html"/>: 
			
		</td>
		<td class="orionSummaryColumn">
		
			<table id="helpdesk">

			<tr>
	
				<td class="orionSummaryHeader">
					${mail}:
				</td>
				<td class="orionSummaryColumn">
					<orion:textbox id="email" name="email" onvalidate="OrionValidate.areEmailAddresses" required="true" value=" "  /> <br><br>
					<label><b>${mailHelpText}</b></label>
				</td>		
			</tr>
			<tr>
	
				<td class="orionSummaryHeader">
					${mailSubject}:
				</td>
				<td class="orionSummaryColumn">
					<orion:textbox id="subject" name="subject" required="true" value=" " />
				</td>		
			</tr>
			<tr>
	
				<td class="orionSummaryHeader">
					${website}:
				</td>
				<td class="orionSummaryColumn">
					<orion:textbox id="website" required="true" value=" "/>
				</td>		
			</tr>
			<tr>
	
				<td class="orionSummaryHeader">
					${epo_url}:
				</td>
				<td class="orionSummaryColumn">
					<orion:textbox id="epo_url" required="true" value=" "/>
				</td>		
			</tr>

			</table>	
	
	
		        
		</td>
	</tr>

	<tr>
		<td class="orionSummaryHeader">
				<orion:message key="scor.policy.general.tab.eventsCustomMessage.messageText" escape="html"/>: 
		</td>
		<td class="orionSummaryColumn">
			<scor:scorCustomMsg id="customMsg" events='${events_custom_messages_events_list}' />			
		</td>
	</tr>





</table>
</orion:box>

<orion:box id="inventoryAEFConfigTab">
<table>
	<tr>
		<td class="orionSummaryHeader" style="width:30%">
		    ${msgExcludeBaseOSFiles}
		</td>
		<td class="orionSummaryColumn" style="width:70%">
			<table>
			    <tr>
			        <td>
			            <orion:checkbox  id="excludeBaseOSFileCkBox"  name="excludeBaseOSFile" onclick="epoEnableApplyButton()" checked="true"/>
			        </td>
			        <td>
			            ${msgOSFilesDescription}
			        </td>
			    </tr>
		    </table>
		</td>
	</tr>
	<tr>
	    <td class="orionSummaryHeader" style="width:30%">
	        ${msgPullInvTimeout}
	    </td>
	    <td class="orionSummaryColumn" style="width:70%">
	        <table>
	            <tr>
	                <td>
	                	<orion:numberbox id="pullInvTimeoutId" minimum="1" maximum="180" style="text-align: center;" onclick="epoEnableApplyButton()" value="7"/> 
					</td>
	                <td>${msgConsecutiveInvPullInterval}</td>
	            </tr>
	         </table>
	    </td>
	</tr>
	<tr>
	    <td class="orionSummaryHeader" style="width:30%">
	        ${msgInvDiffTimeout}
	    </td>
	    <td class="orionSummaryColumn" style="width:70%">
	        <table>
	            <tr>
	                <td>
	                    <orion:numberbox id="invDiffTimeoutId" minimum="1" maximum="180" style="text-align: center;" onclick="epoEnableApplyButton()" value="3"/> 
					 </td>
	                <td>${msgHours}</td>
	            </tr>
	         </table>
	    </td>
	</tr>
</table>
</orion:box>
<orion:box id="reputationConfigTab">
<table width="100%">
<tbody>
<tr>
    <td>
      <table>
        <tbody>
        <c:if test="${whatsFinalReputationLink !=null}">
        	<tr><td colspan="3" align="right" style="padding-right: 2%;">
        		<a href="${orion:escapeHtml(whatsFinalReputationLink)}" target="_blank">
                       			${whatsReputationBasedExecution}
                </a>
                </td>
            </tr>
            </c:if>
          <tr>
          	 <td valign="top" class="reputationSummaryHeader">
                 ${reputationSourceLabelMsg}
             </td>
            <td valign="top" class="orionSummaryColumn" colspan="2">
          	<table class="reputationSourceSettings" width="100%">
                    <tbody>
                    	<tr>
							<td valign="top" style="width:577px;" >
								<orion:checkbox id="isTIESelectedID" class="orionCheckbox" name="isTIESelected" onclick="scor.controlOption.reputation.TIEOrGTICheckedScenerio(this)" />
								<label class="orionClickableTextLabel">${reputationTIEMsg}</label>
							</td>
							<td valign="top" style="padding-left:10px;">
								${reputationMcAfeeTIEDesc}
							</td>
						</tr>
						<tr>
							<td valign="top" style="width:577px;">
								<orion:checkbox  id="isGTISelectedID" class="orionCheckbox" name="isGTISelected" onclick="scor.controlOption.reputation.TIEOrGTICheckedScenerio(this)"/>
            					<label class="orionTextLabel">${reputationMcAfeeGTIMsg}</label> 
                        	</td>  <td valign="top" style="padding-left:10px;">
								${reputationMcAfeeGTIDesc}          
							</td>                     
                        </tr>
                   </tbody>
             </table>
			</td>
          </tr>
          <tr>
            <td valign="top" align="top" class="reputationSummaryHeader">
                ${reputationSettingLabelMsg}
            </td>
             <td valign="top" class="orionSummaryColumn" style="width:577px;">
                <table class="settingSection">
                    <tbody><tr>
                        <td valign="top" nowrap="true">
                           <orion:checkbox  id="isAllowBinariesID"  name="isAllowBinaries" onclick="scor.controlOption.reputation.handleExecutingSettingAction(this)"/>
                            <label class="orionTextLabel">${reputationAllowBinariesMsg}</label>
                        </td>
                        <td valign="top">
                              <orion:select id="trustedReputationOptionId" items="${trustedReputationSelectItems}" name="allowReputationLevel" style="width:150px;margin-left:1px;"/>
                        </td>
                        <td>${reputationAndAboveMsg}
					     </td>
                        </tr>
                   </tbody>
                </table>
                <br>
                <table class="settingSection">
                    <tbody><tr>
                        <td>
						    <orion:checkbox  id="isBanBinariesID"  name="isBanBinaries" onclick="scor.controlOption.reputation.handleExecutingSettingAction(this)"/>
						    <label class="orionTextLabel">${reputationBanBinariesMsg}</label>  
					   </td>
					   <td valign="top">
                              <orion:select id="maliciousReputationOptionId" items="${maliciousReputationSelectItems}" name="banReputationLevel" style="width:150px;margin-left:9px;"/>
                        </td>
                        <td>${reputationAndbelowMsg}
					     </td>
					   </tr>
					   <tr>
					   
					   </tr>
					  </tbody>
			   </table>  
			   </td>
			   <td class="orionSummaryColumn">
               
                <table frame="box" rules="all" style="float:left;">
                    <tbody>
                    <tr><td colspan="2"> <b>${legnedLabel}</b></td></tr>
                    <tr>
                        <td>${knownTrusted}</td>
                        <td>${knownTrustedValue}</td>
                    </tr>
                    <tr>
                        <td>${likelyTrusted}</td>
                        <td>${likelyTrustedValue}</td>
                    </tr>
                    <tr>
                        <td>${mightbeTrusted}</td>
                        <td>${mightbeTrustedValue}</td>
                    </tr>
                    <tr>
                        <td>${unknown}</td>
                        <td>${unknownValue}</td>
                    </tr>
                    <tr>
                        <td>${mightbeMalicious}</td>
                        <td>${mightbeMaliciousValue}</td>
                    </tr>
                    <tr>
                        <td>${likelyMalicious}&nbsp;&nbsp;</td>
                        <td>${likelyMaliciousValue}</td>
                    </tr>
                    <tr>
                        <td>${KnownMalicious}</td>
                        <td>${KnownMaliciousValue}</td>
                    </tr>
                </tbody></table>
                <table style="float:left;">
                 <tbody>
                   <tr><td></td></tr>
                   <tr><td><strong>&#9650; ${highPriority} </strong></td></tr>
                   <tr><td>&nbsp;</td></tr>
                   <tr><td>&nbsp;</td></tr>
                   <tr><td>&nbsp;</td></tr>
                   <tr><td>&nbsp;</td></tr>
                   <tr><td>&nbsp;</td></tr>
                   <tr><td><strong>&#9660; ${lowPriority}</strong></td></tr>
                 </tbody>
                
                </table>
         </td>
         </tr>
         <tr>
         <td valign="top" align="top" class="reputationSummaryHeader">
         ${reputationATDSettingLabelMsg}
         </td>
         <td valign="top" class="orionSummaryColumn">
                <table class="settingSection">
                    <tbody><tr>
                        <td>
                        <orion:checkbox  id="isATDSubmissionAllowedID"  name="isATDSubmissionAllowed" onclick="scor.controlOption.reputation.handleATDChkBoxAction(this)"/>
                        <label class="orionTextLabel">${reputationSendBianryMsg}</label> 
                         </td> 
                        <td>   
			                <orion:select id="ATDReputationOptionId"  items="${reputationATDSelectItems}" name="ATDReputationLevel" style="width: 150px;margin-left:5px;"/>
					     </td>
					     <td>${reputationAnalysisMsg}
					      </td> 
					    </tr>
					    <tr>
					          <td>
						          <label style="margin-left:22px;">${reputationLimitSizeMsg}</label> 
						      </td>
						       <td>      
						            <orion:numberbox id="ATDFileSizeLimitID"  minimum="1" maximum="${reputationMaxFileSizeLimit}" style="margin-left:5px;" name="ATDFileSizeLimit" onclick="epoEnableApplyButton()" value="5" /> 
						             <label id="limitSizeId">${reputationLimitSizeSecondPart}</label>
					          </td>
					    </tr>
                </tbody></table>
            </td>   
		     <td class="orionSummaryColumn">
               ${ATDDesc}
            </td>	     
         </tr>
         </tbody>
     </table>
    </td>
 </tr>
 <tr>
    <td>
     <div id="errorInformationForReputation" style="display: none; color: red;"></div>
    </td>
    <td>
     <div id="errorMsgForReputation"  style="display: none; color: red;"></div>
    </td>
 </tr>
 </tbody>
 </table>  
</orion:box>
</orion:vbox>


<script type="text/javascript">

function initui(){
	  $j("#ATDFileSizeLimitID,#ATDReputationOptionId").addClass("atdOptions");	
	 if ("${epoReadOnlyPolicyObject}" == "true") {
			$j('#self_approval').attr('disabled', true);
			$j('#self_approval_textArea').attr('disabled', true);
			$j('#timeoutinsecs').attr('disabled', true);
			$j('#raise_event').attr('disabled', true);
			$j('#excludeBaseOSFileCkBox').attr('disabled',true);
		 	$j('#pullInvTimeoutId').attr('disabled',true);
		 	$j('#invDiffTimeoutId,#isTIESelectedID,#isGTISelectedID').attr('disabled',true);
		 	$j('#justificationMsgMandatoryRadio').attr('disabled',true);
		 	$j('#justificationMsgOptionalRadio').attr('disabled',true);
			$j('#helpdesk .orionSummaryColumn').children().attr('disabled', true);
		 	ScorEventCustMsg.disable();
			scor.features.disable(); 
	}




var swapTabConfiguration = {
	"selfApproval" :
    		{
        	title :  '<orion:message key="scor.policy.awl.option.tab.selfApproval.title" escape="javascript"/>',
		callback: function(){OrionHelp.setHelpId("<%=HelpConstants.APPLICATION_CONTROL_OPTION_POLICY_SELF_APPROVAL%>")}
    		},
	"customizedEventsText" :
    		{
        	title : '<orion:message key="scor.policy.general.tab.eventsCustomMessage" escape="javascript"/>',
		callback: function(){OrionHelp.setHelpId("<%=HelpConstants.GENERAL_POLICY_CUSTOM_MESSAGE%>")}
    		},
	"features_box" :
			{
        	title : '${featuresTab}',
		callback: function(){OrionHelp.setHelpId("<%=HelpConstants.APPLICATION_CONTROL_OPTION_POLICY_FEATURES%>")}
    		},
    "inventoryAEFConfigTab" :
			{
        	title : '${msgInvAefConfigTitle}',
		callback: function(){OrionHelp.setHelpId("<%=HelpConstants.APPLICATION_CONTROL_OPTION_INVENTORY_AEF_CONFIG%>")}
    		},
    "reputationConfigTab" :
			{
        	title : '${msgReputationConfigTabTitle}',
        callback: function(){OrionHelp.setHelpId("<%=HelpConstants.APPLICATION_CONTROL_OPTION_REPUTATION_CONFIG%>")}
			}

};


new majic.SwapTabStrip( "swaptab", swapTabConfiguration );

var awlOptionVO = JSON.parse('${orion:escapeJavaScript(scorAwlPolOptionData)}');
var featuresData=awlOptionVO ['featureVO'];
var selfApprovalVO=awlOptionVO ['selfApprovalVo'];
var selfApprovalText=selfApprovalVO['approvalText'];
var selfApprovalFeatureEnabled=selfApprovalVO['status'];
var selfApprovalnoPopupAction=selfApprovalVO['noPopupAllowAction'];
var selfApprovalbannerTimeout=selfApprovalVO['timeout'];
var enforceFeatures=awlOptionVO['enforceFeatures'];
var invAefConfigVO=awlOptionVO['invAefConfigVO'];
var reputationFeatureVO=awlOptionVO['reputationFeatureVO'];

var selfApprovalJustificationMessageMandatory = selfApprovalVO['justificationMsgMandatory'];

$j("#self_approval_textArea").attr('value',selfApprovalText);
$j("#timeoutinsecs").attr('value',selfApprovalbannerTimeout);
var featureValueBool = (selfApprovalFeatureEnabled == 'true');	
$j("#self_approval").attr('checked',featureValueBool);
var noPopupAllowBool = (selfApprovalnoPopupAction == 'true');	
$j("#no-popup-allow-action").attr('checked',noPopupAllowBool);
var enforceFeaturesBool = (enforceFeatures == 'true');	
var isReadOnlyPolicyObject = ("${epoReadOnlyPolicyObject}" == "true");
scor.features.populateData(featuresData,enforceFeaturesBool,isReadOnlyPolicyObject);
if(selfApprovalJustificationMessageMandatory == 'true'){	
	$j("#justificationMsgMandatoryRadio").attr('checked',true);
}else{
	$j("#justificationMsgOptionalRadio").attr('checked',true);
}

//These styles are added to improve the UI in the "End User Notifications", "Features", "Inventory" and "Reputation" tabs in "Application Control Options".
$j("#otsID_Tabs_container").css("overflow","auto").css("position","absolute");
$j("#features_box").css("overflow","auto").css("position","inherit").css("top","24px").css("width","1906px").css("height","476px");
$j("#inventoryAEFConfigTab").css("overflow","auto").css("position","inherit").css("top","24px").css("width","1906px").css("height","476px");;
$j("#reputationConfigTab").css("overflow","auto").css("position","inherit").css("top","24px").css("width","1906px").css("height","476px");

//Customized Event message handling

var eventMessages = awlOptionVO ['eventMessagesVOs'];
var eventMessagesAttr = awlOptionVO ['attrVo'];
ScorEventCustMsg.populateData(eventMessages);
populateEventMessagesAttrData(eventMessagesAttr);


//enabling save button
$j("textarea").keyup( function() {
	epoEnableApplyButton();
	});
$j("#timeoutinsecs").keyup( function() {
	validateTimeoutValueForMaxLimit();
	});
$j("input[type='text']").keyup( function() {
	epoEnableApplyButton();
});

$j('#self_approval').bind('click',scorSetSelfApprovalOptionsStatus);

scorSetSelfApprovalOptionsStatus();
scorPopulateInventoryAEFValues(invAefConfigVO);
scorPopulateReputationFeatureValues(reputationFeatureVO);
}

function scorPopulateInventoryAEFValues(invAefConfigVO) {
	if (invAefConfigVO == null) {
		return;
	}
	
	$j("#excludeBaseOSFileCkBox").attr("checked", invAefConfigVO.excludeBaseOSFiles);
	$j("#pullInvTimeoutId").val(invAefConfigVO.invPullTimeOutInSeconds/(24 * 60 * 60));
	$j("#invDiffTimeoutId").val(invAefConfigVO.invdiffTimeoutInSeconds/(60 * 60));
}


function scorPopulateReputationFeatureValues(reputationFeatureVO) {
	if (reputationFeatureVO == null) {
		return;
	}	
	$j("#isTIESelectedID").attr("checked", reputationFeatureVO.isTIESelected);
	$j("#isGTISelectedID").attr("checked", reputationFeatureVO.isGTISelected);
	$j("#isAllowBinariesID").attr("checked",reputationFeatureVO.isAllowBinaries);
	$j("#isBanBinariesID").attr("checked", reputationFeatureVO.isBanBinaries);
	$j("#isATDSubmissionAllowedID").attr("checked", reputationFeatureVO.isATDSubmissionAllowed);
	$j("#trustedReputationOptionId").val(reputationFeatureVO.allowReputationLevel);
	$j("#maliciousReputationOptionId").val(reputationFeatureVO.banReputationLevel);
	$j("#ATDReputationOptionId").val(reputationFeatureVO.ATDReputationLevel);
	$j("#ATDFileSizeLimitID").val(reputationFeatureVO.ATDFileSizeLimit);		
	if(!reputationFeatureVO.isGTISelected && !reputationFeatureVO.isTIESelected || "${epoReadOnlyPolicyObject}" == "true"){
		 scor.controlOption.reputation.disabledChildAttr(true);
		}
	else
		{
		scor.controlOption.reputation.disabledChildAttr(false);
		}
}


  function epoApplyPolicySettings()
   {
	var awlOptionVO = {};       
	var selfApprovalVO ={} ;
	selfApprovalVO['status']=$j("#self_approval").is(':checked').toString();
	selfApprovalVO['noPopupAllowAction']=$j("#no-popup-allow-action").is(':checked').toString();
	selfApprovalVO['approvalText']=$j("#self_approval_textArea").attr('value');
	selfApprovalVO['feature']="self-approval";
	selfApprovalVO['timeout']=$j("#timeoutinsecs").attr('value');
	selfApprovalVO['justificationMsgMandatory'] = $j("#justificationMsgMandatoryRadio").is(':checked');
	awlOptionVO['selfApprovalVo']=selfApprovalVO;
	awlOptionVO['featureVO']=scor.features.getData();

	var eventMessagesAttr = getEventMsgAttrData();
	var eventMessages=ScorEventCustMsg.getData();
	awlOptionVO ['eventMessagesVOs']= eventMessages ;
	awlOptionVO ['attrVo']=eventMessagesAttr;
	awlOptionVO['enforceFeatures']=scor.features.getEnforceData();
	
	awlOptionVO.invAefConfigVO={}
	awlOptionVO.invAefConfigVO.excludeBaseOSFiles = $j("#excludeBaseOSFileCkBox").is(':checked').toString();
	awlOptionVO.invAefConfigVO.invPullTimeOutInSeconds = $j("#pullInvTimeoutId").val() * 24 * 60 * 60;
	awlOptionVO.invAefConfigVO.invdiffTimeoutInSeconds = $j("#invDiffTimeoutId").val() * 60 * 60;
	
	awlOptionVO.reputationFeatureVO={}
	awlOptionVO.reputationFeatureVO.isTIESelected = $j("#isTIESelectedID").is(':checked').toString();
	awlOptionVO.reputationFeatureVO.isGTISelected = $j("#isGTISelectedID").is(':checked').toString();
	awlOptionVO.reputationFeatureVO.isAllowBinaries = $j("#isAllowBinariesID").is(':checked').toString();
	awlOptionVO.reputationFeatureVO.isBanBinaries = $j("#isBanBinariesID").is(':checked').toString();
	awlOptionVO.reputationFeatureVO.isATDSubmissionAllowed = $j("#isATDSubmissionAllowedID").is(':checked').toString();
	awlOptionVO.reputationFeatureVO.allowReputationLevel = $j("#trustedReputationOptionId").val();
	awlOptionVO.reputationFeatureVO.banReputationLevel = $j("#maliciousReputationOptionId").val();
	awlOptionVO.reputationFeatureVO.ATDReputationLevel = $j("#ATDReputationOptionId").val();
	awlOptionVO.reputationFeatureVO.ATDFileSizeLimit = $j("#ATDFileSizeLimitID").val();
	
	var JsonSelfApprovalData = JSON.stringify(awlOptionVO);
	scor.actions.doAsyncAction("<%=URLConstants.SAVE_AWL_POLICY_OPTION_URL%>", ["<%=Constants.POLICY_AWL_OPTION_DATA%>", JsonSelfApprovalData], _applyPolicySuccess);
   }

   var _applyPolicySuccess = function ()
    {
        fnGoBack(); // This is a Mercury function and recommended.
    }


function populateEventMessagesAttrData(eventMessagesAttr){

 var mailto = eventMessagesAttr['mailto'];
 var subject= eventMessagesAttr['subject'];	
 var websitelink = eventMessagesAttr['website'];
 var raise_immediately = eventMessagesAttr['raiseImmediately'];
 var epoURL = eventMessagesAttr['epoUrl'];

$j("#email").attr('value',mailto);
$j("#website").attr('value',websitelink);
$j("#subject").attr('value',subject);
$j("#epo_url").attr('value',epoURL);
$j("#raise_event").attr('checked',raise_immediately);

}

function getEventMsgAttrData(){

   var eventMsgAttr={};
   eventMsgAttr['mailto']= $j("#email").attr('value');			
   eventMsgAttr['subject']= $j("#subject").attr('value');			
   eventMsgAttr['website']= $j("#website").attr('value');			
   eventMsgAttr['epoUrl']= $j("#epo_url").attr('value');			
   eventMsgAttr['raiseImmediately']=$j("#raise_event").is(':checked'); 			
   return eventMsgAttr;	

}
function validateTimeoutValueForMaxLimit(){
	var timeoutValue = $j("#timeoutinsecs").attr('value');
	if(timeoutValue > 180){
		$j("#timeoutinsecs").attr('value', '180');
		 msg = '${invalidTimeoutValue}';
		 $j("#selfapproval_timeoutValue_error").html(msg);
	}
	setTimeout(function() {
			$j("#selfapproval_timeoutValue_error").html("");
  			}, 8000);
}

function scorSetSelfApprovalOptionsStatus(){
var selfapproval_feature_status=$j('#self_approval').is(':checked');
 if(selfapproval_feature_status == true && "${epoReadOnlyPolicyObject}" != "true"){
	$('self_approval_textArea').disabled = false;
	$('timeoutinsecs').disabled = false;
	$('no-popup-allow-action').disabled = false;
	$j('#justificationMsgMandatoryRadio').attr('disabled',false);
	$j('#justificationMsgOptionalRadio').attr('disabled',false);
}else{
	$('self_approval_textArea').disabled = true;
	$('timeoutinsecs').disabled = true;
	$('no-popup-allow-action').disabled = true;
	$j('#justificationMsgMandatoryRadio').attr('disabled',true);
	$j('#justificationMsgOptionalRadio').attr('disabled',true);
  }		
	
}
     OrionCore.addLoadHandler(initui);
     
     var scor = scor || {};
  	scor.controlOption= scor.controlOption || {};
  	scor.controlOption.reputation=scor.controlOption.reputation || {};
 	scor.controlOption.reputation.handleATDChkBoxAction = function(attrOptionCheckBox) {
 	    $j(".atdOptions").prop("disabled", !scor.controlOption.reputation.checkChkBoxStatus(attrOptionCheckBox));
 		scor.controlOption.reputation.genricFunctionforErrMsgs();
 	}	
 	scor.controlOption.reputation.handleExecutingSettingAction = function(attrOptionCheckBox) {
  	var reputationBasedExceChkBoxID=$j(attrOptionCheckBox).closest("td").next("td").find("select").attr("id");
       $j("#"+reputationBasedExceChkBoxID).prop("disabled",!scor.controlOption.reputation.checkChkBoxStatus(attrOptionCheckBox));
 	   scor.controlOption.reputation.genricFunctionforErrMsgs();
  	}
 	scor.controlOption.reputation.TIEOrGTICheckedScenerio = function(attrOptionCheckBox) {
 	 scor.controlOption.reputation.genricFunctionforErrMsgs();
 	}
 	scor.controlOption.reputation.checkedUncheckedScenerioOfGTIAndTIE=function(){
 	var GTIAndTIEVo=scor.controlOption.reputation.checkChkBoxStatusOfGTIAndTIE();
 	 if(GTIAndTIEVo["GTI"] === false && GTIAndTIEVo["TIE"] === false){
 	 scor.controlOption.reputation.disabledChildAttr(true);
 	 }
 	 else
 	 {
 	 scor.controlOption.reputation.disabledChildAttr(false); 
 	 $j("#errorMsgForReputation").html("<b>${errorMsg}</b>");
 	 if(GTIAndTIEVo["GTI"] === true && GTIAndTIEVo["TIE"] === false){
 	 scor.controlOption.reputation.disabaledATD(false);
 	 }
 	 if(GTIAndTIEVo["GTI"] === false && GTIAndTIEVo["TIE"] === true || GTIAndTIEVo["GTI"] === true && GTIAndTIEVo["TIE"] === true){
 	   $j("#isATDSubmissionAllowedID").closest("table").addClass("settingSection");
 	 }
 	}
 	}
 	scor.controlOption.reputation.genricFunctionforErrMsgs=function(){
 	scor.controlOption.reputation.checkedUncheckedScenerioOfGTIAndTIE();
 	scor.controlOption.reputation.actionEventOnOkButton(scor.controlOption.reputation.ATDAndExcSettingChkBoxStatus());
 	}
 	scor.controlOption.reputation.checkChkBoxStatus = function(checkBoxId) {
 	 return $j(checkBoxId).is(":checked");
 	}
 	scor.controlOption.reputation.checkChkBoxStatusOfGTIAndTIE = function() {
 	var GTIAndTIEVo={};
 	GTIAndTIEVo["TIE"]=scor.controlOption.reputation.checkChkBoxStatus("#isTIESelectedID");
 	GTIAndTIEVo["GTI"]=scor.controlOption.reputation.checkChkBoxStatus("#isGTISelectedID");
 	return GTIAndTIEVo;
 	}
 	scor.controlOption.reputation.ATDAndExcSettingChkBoxStatus=function(){
 	 var chkedStatus=false;
 	 var GTIAndTIEVo=scor.controlOption.reputation.checkChkBoxStatusOfGTIAndTIE();
 	 if(!GTIAndTIEVo["TIE"] && !GTIAndTIEVo["GTI"]) {
 	    chkedStatus=true;
 	   return chkedStatus;
 	   }
 	 $j(".settingSection").find(':checkbox').each(function () { 
 	   if(scor.controlOption.reputation.checkChkBoxStatus(this) === true){
 	     chkedStatus=true;
 		 return chkedStatus;
 	   }
 	   })
 	   return chkedStatus;
 	 }
 	 scor.controlOption.reputation.actionEventOnOkButton=function(displayFlag){
     	var errorDiv = $j("#errorInformationForReputation");
     	if(displayFlag === true){
     		errorDiv.css("display","none");
 		    errorDiv.html("");
 		    $j("#obID_Apply").prop("disabled", false);
     	}
     	else
     		{
     		errorDiv.css("display","block");
     		errorDiv.html($j("#errorMsgForReputation").html());
 		    $j("#obID_Apply").prop("disabled",true);
     		}
     return displayFlag;
     } 
 	scor.controlOption.reputation.disabaledATD=function(chkBoxStatus){
 	$j("#isATDSubmissionAllowedID").closest("table").removeClass("settingSection");
 	$j(".atdOptions,#isATDSubmissionAllowedID").prop("disabled", !chkBoxStatus);
 	}
 	scor.controlOption.reputation.disabledChildAttr=function(chkboxStatus) { 
 	if(chkboxStatus === false) {
 	$j("#isBanBinariesID,#isAllowBinariesID,#isATDSubmissionAllowedID").prop("disabled",chkboxStatus);
 	scor.controlOption.reputation.changeBckGroundColorBasedOnSelectedChkBox();
 	 }
 	 else {
 	  $j("#isBanBinariesID,#isAllowBinariesID,#isATDSubmissionAllowedID,#trustedReputationOptionId,.atdOptions,#maliciousReputationOptionId").prop("disabled",chkboxStatus).css("background-color","#EAE7E7");
 	  }
  	}
 	
 	scor.controlOption.reputation.changeBckGroundColorBasedOnSelectedChkBox=function(){
 	if(scor.controlOption.reputation.checkChkBoxStatus("#isAllowBinariesID")){
 		$j("#trustedReputationOptionId").prop("disabled",false).css("background-color","");
 	}
 	else
 		{
 		$j("#trustedReputationOptionId").prop("disabled",true).css("background-color","#EAE7E7");
 		}
 	if(scor.controlOption.reputation.checkChkBoxStatus("#isBanBinariesID")){
 		$j("#maliciousReputationOptionId").prop("disabled",false).css("background-color","");
 	}
 	else
 		{
 		$j("#maliciousReputationOptionId").prop("disabled",true).css("background-color","#EAE7E7");
 		}
 	
 	if(scor.controlOption.reputation.checkChkBoxStatus("#isTIESelectedID")){
 		$j("#isATDSubmissionAllowedID").prop("disabled",false);
 		if(scor.controlOption.reputation.checkChkBoxStatus("#isATDSubmissionAllowedID"))
 			{
 			$j(".atdOptions").prop("disabled",false).css("background-color","");
 			}
 		else
 			{
 			$j(".atdOptions").prop("disabled",true).css("background-color","#EAE7E7");
 			}
 	}
 	else
 		{
 		$j("#isATDSubmissionAllowedID,.atdOptions").prop("disabled",true).css("background-color","#EAE7E7");
 		}
 	}
</script>

