<!-- COPYRIGHT:		Copyright (C) 2015 McAfee, Inc.  All rights reserved-->
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@page import="com.mcafee.scor.observationmode.ObservationModeConstants"%>
<%@ page import="com.mcafee.scor.common.URLConstants" %>



<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>"/>


<script type="text/javascript">

	var scor = scor || {};
	scor.ob = scor.ob || {};
	scor.ob.tree = scor.ob.tree || {};
	scor.ob.det = scor.ob.det || {};
	
	scor.ob.tree.state = scor.ob.tree.state || function() {
		var presentNodeSelectedKey = -1;
		var nextNodeKey = -1;
		return {
			getPresentNodeSelectedKey: function() {
				return presentNodeSelectedKey;
			},
			setPresentNodeSelectedKey: function(key) {
				presentNodeSelectedKey = key;
			},
			getNextNodeKey: function() {
				return nextNodeKey;
			},
			setNextNodeKey: function(key) {
				nextNodeKey = key;
			}
		}
	}();

	scor.ob.det.update = function() {
		var table=MFSTable.get("observationTableId");
		table.refresh();
		scor.ob.tree.state.setPresentNodeSelectedKey(scor.ob.tree.state.getNextNodeKey());
	}
	
	scor.ob.tree.nodeClickHandler = function(clickedNode) {
		var obsId = OrionTree.getNodeKey(clickedNode);
		<%-- This Check avoids unnecessary ajax calls
		when the same node is selected over and over again--%>
		if (scor.ob.tree.state.getPresentNodeSelectedKey() !== obsId) {
			scor.ob.tree.state.setNextNodeKey(obsId);

			/*Update table observations*/
			scor.actions.doAsyncAction('<%=URLConstants.SHOW_OBSERVATIONS_URL%>'
					,['<%=ObservationModeConstants.OBSERVATION_ID_PARAM%>', obsId]
					, scor.ob.det.update);
				
			
		}
	}
	
	scor.ob.det.init = function() {
		var presentNodeSelectedId = '${scorObsIdSelectedNodeReqAttr}';
		scor.ob.tree.state.setPresentNodeSelectedKey(presentNodeSelectedId);

		/*Select the root node by default*/
		var selectedNode = OrionTree.getNodeByKey("binaryTreeId", presentNodeSelectedId);
		OrionTree.setSelectedNode(selectedNode); //TODO do not use hadrcoded Id's
		$('rejectGroup').style.display = 'none';
		$('saveGroup').style.display = 'none';

		OrionTree.setSelectHandler(scor.ob.tree.nodeClickHandler);
	}

	OrionCore.addLoadHandler(scor.ob.det.init);
</script>

<orion:vbox>
	<orion:table2 id="observationTableId" showTitleBar="false"
		datasourceAttr="<%=ObservationModeConstants.OBSERVATION_DATA_SOURCE_ATTR%>"
	showCheckboxColumn="false" enableDrilldown="false" properties="detectedUTC,userName,binaryName,observationType" />
	
</orion:vbox>
