<%-- COPYRIGHT:		Copyright (C) 2014-2018 McAfee, Inc.  All rights reserved--%>
<%@ page import="com.mcafee.orion.core.OrionCore" %>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ page import="com.mcafee.scor.common.URLConstants"%>
<%@ taglib uri="http://www.mcafee.com/scor" prefix="scor" %>

<orion:message key="scor.selfapproval.createCustomPolicy.save" var="savePolicyTxt" escape="None"/>
<orion:message key="scor.selfapproval.createCustomPolicy.cancel" var="cancelPolicyTxt" escape="None"/>
<orion:message key="scor.selfapproval.createCustomPolicy.customRules" var="customRulesVar" escape="None"/>
<orion:message key="scor.selfapproval.createCustomPolicy.requestInformationTitle" var="requestInformationTitleVar" escape="html"/>
<orion:message key="scor.selfapproval.auditrequests.da.activity" var="activityHTMLVar" escape="html"/>
<orion:message key="scor.selfapproval.auditrequests.da.calcBinaryBaseName" var="fileNameHTMLVar" escape="html"/>
<orion:message key="scor.selfapproval.auditrequests.da.certificate" var="publisherHTMLVar" escape="html"/>
<orion:message key="scor.selfapproval.auditrequests.da.binaryAppName" var="appNameHTMLVar" escape="html"/>
<orion:message key="scor.selfapproval.da.checksum" var="checksumHTMLVar" escape="html"/>
<orion:message key="scor.selfapproval.da.checksum256" var="checksum256HTMLVar" escape="html"/>
<orion:message key="scor.selfapproval.auditrequests.hideRequestInformation" var="hideRequestInformationVarJS" escape="javascript"/>
<orion:message key="scor.selfapproval.auditrequests.showRequestInformation" var="showRequestInformationVarJS" escape="javascript"/>
<orion:message var="suggestedPathHeading" key="scor.selfapproval.globalChanges.warning.allowNetworkPath.suggestedPathHeading" escape="HTML"/>
<orion:message var="matchingRequestCountHeading" key="scor.selfapproval.globalChanges.warning.allowNetworkPath.matchingRequestsCountHeading" escape="HTML"/>
<orion:message key="scor.selfapproval.createCustom.moreSuggestionHover" var="moreSuggestionHover" escape="HTML"/>
<orion:message key="scor.selfapproval.createCustom.moreSuggestion" var="moreSuggestion" escape="HTML"/>
<orion:message key="scor.selfapproval.cert.all.catalog" var="allCatalogCertJS" escape="javascript"/>
<orion:message key="scor.ruleGroup.failureSavingMsg" var="failureRuleGroupSavingMsg" escape="javascript" />
<orion:core>
	<orion:corehead>
	<jsp:include page="/common/includejQuery.jsp" />
	<style type="text/css">
			.left-content-cell {
				width: 50%;
				padding-right: 2px;		
				border:none;		
			}
			.right-content-cell {
				width: 50%;
				padding-left: 2px;	
				border:none;			
			}
	</style>
	</orion:corehead>
	<orion:corebody>
		<orion:navigation/>
		<orion:content>
			<script type="text/javascript">
				OrionHelp.setHelpId("${helpPageId}");
			</script>		
			<orion:message key="scor.selfapproval.custompolicy.allow" var="allowSABinaryMsg" escape="None"/>
			<orion:message key="scor.selfapproval.custompolicy.ban" var="banSABinaryMsg" escape="None"/>
			<orion:message key="scor.selfapproval.custompolicy.allowbypublisher" var="allowByPubSABinaryMsg" escape="None"/>
			<orion:message key="scor.selfapproval.custompolicy.bypassMemoryProtection" var="bypassMemoryProtection" escape="None"/>
			<orion:message key="scor.selfapproval.custompolicy.addAsTrustedDirectory" var="addAsTrustedDirectory" escape="None"/>
			<orion:message key="scor.selfapproval.custompolicy.titlebar" var="customPolicyTitleBarMsg" escape="None" />
			<orion:message key="scor.selfapproval.custompolicy.addRuleGroupToExistingPolicies" var="addRuleGroupToExistingPolicyMsg" escape="None" />
			<orion:message var="certAsUpdaterWarning" key="scor.selfapproval.publisher.customPageUpdaterWarnMsg" escape="javascript"/>
			<orion:message var="allowByCertWarning" key="scor.selfapproval.publisher.customPageAddByPublisherWarnMsg" escape="javascript"/>
			<orion:message var="certAsUpdaterWarningExample" key="scor.selfapproval.publisher.customPageUpdaterWarnMsg.example" escape="javascript"/>
			<orion:message key="scor.selfapproval.custompolicy.allowTrustedPath" var="allowTrustedPathMsg" escape="None"/>
			<orion:message key="scor.selfapproval.custompolicy.suggestedPathDialogBoxTitle" var="suggestedPathDialogBoxTitle" escape="javascript"/>
			<orion:message key="scor.selfapproval.custompolicy.approveSubDirectoriesDialogBoxTitle" var="approveSubDirectoriesDialogBoxTitle" escape="javascript"/>
			
			<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToViewRuleGroupUpdaterRules" authToken = "isAuthorizedToViewUpdaterRules"/>
			<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToViewRuleGroupBinaryRules" authToken = "isAuthorizedToViewBinaryRules"/>
			<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToViewRuleGroupTrustedUserRules" authToken = "isAuthorizedToViewTrustedUserRules"/>
			<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToViewRuleGroupPublisherRules" authToken = "isAuthorizedToViewPublisherRules"/>
			<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToViewRuleGroupInstallerRules" authToken = "isAuthorizedToViewInstallerRules"/>
			<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToViewRuleGroupExceptionRules" authToken = "isAuthorizedToViewExceptionRules"/>
			<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToViewRuleGroupTrustedDirRules" authToken = "isAuthorizedToViewTrustedDirRules"/>
			<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToViewRuleGroupFilterRules" authToken = "isAuthorizedToViewFilterRules"/>

			<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToEditRuleGroupUpdaterRules" authToken = "isAuthorizedToEditUpdaterRules"/>
			<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToEditRuleGroupBinaryRules" authToken = "isAuthorizedToEditBinaryRules"/>
			<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToEditRuleGroupTrustedUserRules" authToken = "isAuthorizedToEditTrustedUserRules"/>
			<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToEditRuleGroupPublisherRules" authToken = "isAuthorizedToEditPublisherRules"/>
			<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToEditRuleGroupInstallerRules" authToken = "isAuthorizedToEditInstallerRules"/>
			<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToEditRuleGroupExceptionRules" authToken = "isAuthorizedToEditExceptionRules"/>
			<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToEditRuleGroupTrustedDirRules" authToken = "isAuthorizedToEditTrustedDirRules"/>
			<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToEditRuleGroupFilterRules" authToken = "isAuthorizedToEditFilterRules"/>
	
			<orion:box>
			<orion:vbox>
				<orion:titlebar id="SACustomRuleTitleBarId" text="${customPolicyTitleBarMsg}" />
				<orion:hbox height="20">
						<table cellspacing="1px" cellpadding="1px"
							style="background-color: rgb(235, 235, 235); width: 100%;">						
							<tr>
															
								<td width="8%" style="align: right;"><div id="selectActionMsgDivId" style="float:right;" align="right"> <b
									id="selectActionMsg"><orion:message key="scor.selfapproval.createCustomPolicy.selectAction" escape="html" />
									</b>&nbsp;</div></td>
								<td style="align: left;">
								
								
									<c:choose>
										<c:when test="${scorIsAllowByNetworkPathApplicable}">
											<orion:radiobutton id="approveSARequestRadio" class="discoveredAction" name="scorSARuleCreationType" text="${allowTrustedPathMsg}" onclick="scor.sa.populateAllowRules();" />
										</c:when>
										<c:otherwise>
											<orion:radiobutton id="approveSARequestRadio" class="discoveredAction" name="scorSARuleCreationType" text="${allowSABinaryMsg}" onclick="scor.sa.populateAllowRules();" />
										</c:otherwise>
									</c:choose>
									&nbsp;&nbsp; <orion:radiobutton id="banSARequestRadio" class="discoveredAction" name="scorSARuleCreationType" text="${banSABinaryMsg}" onclick="scor.sa.populateBanRules()" />
									&nbsp;&nbsp; <orion:radiobutton id="allowByPubSARequestRadio" class="discoveredAction" name="scorSARuleCreationType" text="${allowByPubSABinaryMsg}" onclick="scor.sa.populateAllowByPubRules()" />
									&nbsp;&nbsp; <orion:radiobutton id="bypassMemoryProtectionRadio" class="discoveredAction" name="scorSARuleCreationType" text="${bypassMemoryProtection}" onclick="scor.sa.populateBypassMemProtectionRules()" />
									&nbsp;&nbsp; <orion:radiobutton id="customRulesRadio" class="discoveredAction" name="scorSARuleCreationType" text="${customRulesVar}" onclick="scor.sa.clearPolicyRules()" />
								</td>
							</tr>
							<tr>	
															
								<td width="8%"></td>
								<td style="align: left;">
								<div id="trustedDirectory"><orion:checkbox id="trustedDirectoryChkBox" text="${addAsTrustedDirectory}" onclick="scor.sa.populateTrustedDirectoryRules()" /></div>								
								</td>
							</tr>
							<tr>		
													
								<td width="8%"></td>
								<td style="align: left;">								
								<div id="allowByPublisherWarningContainer" style="color: red"></div>
								</td>
							</tr>
						</table>

					</orion:hbox>
				<orion:box id="requestInformationTitleId" height = "24">
					<table width="100%" style="border-collapse:collapse;" cellspacing="0" cellpadding="0">
					<tbody>
					 	<tr>														
                         	<td class="left-content-cell orionTitleBar">&nbsp;&nbsp;${requestInformationTitleVar}</td>				
                         	<td class="right-content-cell orionTitleBar ">
                         		<div class="orionTab" style="padding-right:4px;padding-left:4px;cursor:pointer;float: right;color: #326EAA;" align="right" id="showHideRequestInformationTitleId" onclick="scor.sa.suggestion.showHideRequestInformation();">                                          
                        		
                            	</div>							 	
							</td>		
                       	</tr> 
                	</tbody>
             		</table>    		
	 			</orion:box>
	 			<orion:box id="requestInformationId" height="75">
					<table width="100%" height="100%" cellspacing="1px" cellpadding="1px" style="background-color: rgb(235, 235, 235);">
							<tbody>								
								<tr>									
									<td width="2%" align="left"></td>
									<td width="10%" align="left"><b>${fileNameHTMLVar } </b></td>
									<td width="38%" align="left">&nbsp;${orion:escapeHtml(saGroupedRequestFileName)}
										<c:if test="${scorIsAllowByNetworkPathApplicable}">
											<span id="pathSuggestionLink">&nbsp;&nbsp;(<a title="${moreSuggestionHover}" href="javascript:showSuggestionDialogBox()" style="text-decoration:underline;">${moreSuggestion}</a>)</span>
										</c:if>
									</td>
									
									<td width="2%" align="left"></td>
									<td width="10%" align="left"><b>${appNameHTMLVar } </b></td>
									<td width="38%" align="left">&nbsp;${orion:escapeHtml(saGroupedRequestApplicationName)}</td>
								</tr>								
								<tr>
									<td width="2%" align="left"></td>
									<td width="10%" align="left"><b>${publisherHTMLVar } </b></td>
									<td width="38%" align="left">&nbsp;${orion:escapeHtml(saGroupedRequestPublishetr)}</td>
									
									<td width="2%" align="left"></td>
									<td width="10%" align="left"><b>${checksumHTMLVar } </b></td>
									<td width="38%" align="left">&nbsp;${saGroupedRequestChecksum}</td>
								</tr>
								<tr><td width="2%" align="left"></td>
									<td width="10%" align="left"><b>${activityHTMLVar} </b></td>
									<td width="38%" align="left">&nbsp;${saGroupedRequestActivity}</td>	
									
									<td width="2%" align="left"></td>
									<td width="10%" align="left"><b>${checksum256HTMLVar } </b></td>
									<td width="38%" align="left">&nbsp;${saGroupedRequestChecksum256}</td>								
								</tr>
							</tbody>
						</table>
				</orion:box>
				<orion:box id="ruleGroupTabId" height="450">
					<jsp:include page="${scorRuleGroupPageUrlAttr}"></jsp:include>
				</orion:box>
						<c:set var="fixSelectBoxWidth" scope="request" value="true"/>
						<c:set var="selectBoxWidth" scope="request" value="200"/>				
					<jsp:include page="../common/ruleGroupAndPolicyWidget.jsp"/>
				<orion:footerbar>
					<orion:button id="saveGroup" text="${savePolicyTxt}" onclick="scor.sa.suggestion.save();" />
					<orion:button id="cancelPolicy" text="${cancelPolicyTxt}" onclick="OrionNavigation.back();" />
				</orion:footerbar>
			</orion:vbox>
			</orion:box>
			
			<script type="text/javascript">
				var scor = scor || {};
				scor.sa = scor.sa || {};
				scor.sa.suggestion = scor.sa.suggestion || {};
				scor.sa.autoid = ${scorSARequestIdAttr};
				scor.sa.suggestion.showRequestInfoToggler = scor.sa.suggestion.showRequestInfoToggler || false;
				
				showSuggestionDialogBox = function(){
					var params = {};
					params["reqUId"] = scor.sa.autoid; 
					OrionCore.setDialogBoxTitle("${suggestedPathDialogBoxTitle}");
					OrionCore.showAsyncDialogBox( true, "/SOLIDCORE_META/showSuggestionsForTrustedPath.do${scor_csrf_param_lq}",setDialogSize,null,params);
				};
				function setDialogSize(){
			        scorSetDialogSize(400,600);
			    };
				scor.sa.actions = function () {
					
					var ALLOW_CUSTOM = 'ALLOW_CUSTOM',
						BAN_CUSTOM = 'BAN_CUSTOM',
						ALLOW_PUBLISHER_CUSTOM = 'ALLOW_PUBLISHER_CUSTOM',
						BYPASS_MEMORY_PROTECTION_CUSTOM = 'BYPASS_MEMORY_PROTECTION_CUSTOM',
						ALLOW_CUSTOM_WITH_TRUSTED_DIRECTORY = 'ALLOW_CUSTOM_WITH_TRUSTED_DIRECTORY',
						CUSTOM_RULES = "CUSTOM_RULES",
						
						_actionToActionRadioBtnId = {
							ALLOW_CUSTOM: 'approveSARequestRadio',
							BAN_CUSTOM: 'banSARequestRadio',
							ALLOW_PUBLISHER_CUSTOM: 'allowByPubSARequestRadio',
							BYPASS_MEMORY_PROTECTION_CUSTOM: 'bypassMemoryProtectionRadio',
							ALLOW_CUSTOM_WITH_TRUSTED_DIRECTORY: 'trustedDirectoryChkBox',
							CUSTOM_RULES: 'customRulesRadio'
						},

						_actionToPermission = {
								'ALLOW_CUSTOM_FOR_BINARY': ${isAuthorizedToEditBinaryRules},
								'ALLOW_CUSTOM_FOR_UPDATER': ${isAuthorizedToEditUpdaterRules},
								'ALLOW_CUSTOM_FOR_INSTALLER': ${isAuthorizedToEditInstallerRules},
								BAN_CUSTOM: ${isAuthorizedToEditBinaryRules},
								ALLOW_PUBLISHER_CUSTOM: ${isAuthorizedToEditPublisherRules},
								BYPASS_MEMORY_PROTECTION_CUSTOM: ${isAuthorizedToEditExceptionRules},
								ALLOW_CUSTOM_WITH_TRUSTED_DIRECTORY: ${isAuthorizedToEditTrustedDirRules}							
						},
					
						_showOrionRadioHavingId = function (orionRadioBtnId) {
							$j('#'+orionRadioBtnId).show();
							$j('#'+orionRadioBtnId + '_label').show();
						},
						
						_hideOrionRadioHavingId = function (orionRadioBtnId) {
							$j('#'+orionRadioBtnId).hide();
							$j('#'+orionRadioBtnId + '_label').hide();
						},
						
						_hideAllActions = function() {
							$j.each(_actionToActionRadioBtnId, function(action, radioBtnId){
								_hideOrionRadioHavingId(radioBtnId);
							});
						},
						
						_hideAction = function(action) {
							_hideOrionRadioHavingId(_actionToActionRadioBtnId[action]);
						},

						_disableAllActions = function(){
							$j.each(_actionToActionRadioBtnId, function(action, radioBtnId){
								_disableAction(action);
							})
						},

						_disableAction = function(action){
							var actionId = _actionToActionRadioBtnId[action]
							$j("#"+actionId).attr("disabled", true);
						}

						_enableAllActions = function(){
							$j.each(_actionToActionRadioBtnId, function(action, radioBtnId){
								_enableAction(action);
							})
						},

						_enableAction = function(action){
							var actionId = _actionToActionRadioBtnId[action]
							$j("#"+actionId).attr("disabled", false);
						}
						
						_showAction = function(action) {
							_showOrionRadioHavingId(_actionToActionRadioBtnId[action]);
						},
						
						_isActionChecked = function (action) {
							var radioBtnId = _actionToActionRadioBtnId[action];
							return $j('#'+radioBtnId).is(":checked");
						},
						
						_getActionsChecked = function() {
							var actionsChecked = [];
							$j.each(_actionToActionRadioBtnId, function(action, radioBtnId){
								if (_isActionChecked(action)) {
									actionsChecked.push(action);
								}
							});
							return actionsChecked;
						},
						
						_getPopulateFunctionForAction = function (action) {
							var actionToPopulateFunction = {
								ALLOW_CUSTOM: scor.sa.populateAllowRules,
								BAN_CUSTOM: scor.sa.populateBanRules,
								ALLOW_PUBLISHER_CUSTOM: scor.sa.populateAllowByPubRules,
								BYPASS_MEMORY_PROTECTION_CUSTOM: scor.sa.populateBypassMemProtectionRules,
								ALLOW_CUSTOM_WITH_TRUSTED_DIRECTORY: scor.sa.populateTrustedDirectoryRules,
								CUSTOM_RULES: scor.sa.populateNothingForCustomRules
							};
							return actionToPopulateFunction[action]; 
						},
						
						_hideRadioForAction = function (action) {
							var radioBtnId = _actionToActionRadioBtnId[action];
							$j('#'+ radioBtnId).hide();
						},
						
						_unChooseAction = function (action) {
							var radioBtnId = _actionToActionRadioBtnId[action];
							$j('#'+radioBtnId).attr("checked", false);
						},
						
						_chooseAction = function (action) {
							var radioBtnId = _actionToActionRadioBtnId[action];
							$j('#'+radioBtnId).attr("checked", true);
						},

						_showCustomRuleAction = function (){
							$j('#customRulesRadio').show();
							$j('#customRulesRadio_label').show();
						},

						_isAuthorizedForAction = function (action) {
							return _actionToPermission[action];
						},

						_isAuthorizedForAllowCustomAction = function(awlPolVO){
							var isAuthorized = true;
							var updaters = awlPolVO['updaters'];
							if(updaters){
								isAuthorized = isAuthorized && _actionToPermission['ALLOW_CUSTOM_FOR_UPDATER'];
							}
					        var apps = awlPolVO['apps'];
					        if(apps){
					        	isAuthorized = isAuthorized && _actionToPermission['ALLOW_CUSTOM_FOR_INSTALLER'];
						    }
					        var binaries = awlPolVO['binaries'];
					        if(binaries){
					        	isAuthorized = isAuthorized && _actionToPermission['ALLOW_CUSTOM_FOR_BINARY'];
						    }
					        var trustedDirectories = awlPolVO['trustedDirectories'];
					        if(trustedDirectories){
					        	isAuthorized = isAuthorized && _actionToPermission['ALLOW_CUSTOM_WITH_TRUSTED_DIRECTORY'];
						    }
						    return isAuthorized;
						};
						
					return {
						ALLOW_CUSTOM: ALLOW_CUSTOM,
						BAN_CUSTOM: BAN_CUSTOM,
						ALLOW_PUBLISHER_CUSTOM: ALLOW_PUBLISHER_CUSTOM,
						BYPASS_MEMORY_PROTECTION_CUSTOM: BYPASS_MEMORY_PROTECTION_CUSTOM,
						ALLOW_CUSTOM_WITH_TRUSTED_DIRECTORY: ALLOW_CUSTOM_WITH_TRUSTED_DIRECTORY,
						CUSTOM_RULES: CUSTOM_RULES,
							
						hideAllActions: _hideAllActions,
						showAction: _showAction,
						hideAction: _hideAction,
						isActionChecked: _isActionChecked,
						chooseAction: _chooseAction,
						unChooseAction: _unChooseAction,
						getActionsChecked: _getActionsChecked,
						hideRadioBtnForAction: _hideRadioForAction,
						getPopulateFunctionForAction: _getPopulateFunctionForAction,
						disableAllActions : _disableAllActions,
						enableAllActions : _enableAllActions,
						disableAction : _disableAction,
						enableAction : _enableAction,
						showCustomRuleAction : _showCustomRuleAction,
						isAuthorizedForAction : _isAuthorizedForAction,
						isAuthorizedForAllowCustomAction : _isAuthorizedForAllowCustomAction
					};
				}();
								
				scor.sa.suggestion.save = function() {
					var updatedGrp = scor.grpMgmt.getGroup();
			        var updatedGrpJSON = JSON.stringify(updatedGrp);
			        var groupName = '';
			        var groupId = -1;
			        var groupSelectElem = null;
			        var isNewRuleGroupSelected = $('addToNewRuleGroupOption').checked;
			        if(isNewRuleGroupSelected) {
			        	groupName = $('newGroupHtmlId').value;
			        } else {
			        	groupSelectElem = $('scorGroupsSelectId');
			        	groupId = groupSelectElem.value;
			        }
			        
			        var addToExistingPolicy = $('addToExistingPolicyCheckBoxId').checked;
			        var policyId = -1;
			        if (addToExistingPolicy) {
			        	policyId = $('selectPolicyId').value;
			        }
			        
			        var approveSARequest = "ban_custom";
		        	var approveSARequestRadioButton = document.getElementById("approveSARequestRadio");
		        	var allowByPubSARequestRadioButton = document.getElementById("allowByPubSARequestRadio");
		        	var customRulesRadioButton = document.getElementById("customRulesRadio");
		        	
		        	if (approveSARequestRadioButton.checked) {
		        		approveSARequest = "allow_custom";
		        	}else if (allowByPubSARequestRadioButton.checked && !'${scorSaAllCatalogCertsFound}') {
		        		approveSARequest = "allow_publisher_custom";
		        	} else if (scor.sa.actions.isActionChecked(scor.sa.actions.BYPASS_MEMORY_PROTECTION_CUSTOM)) {
		        		approveSARequest = 'bypass_memory_protection_custom';
		        	} else if(scor.sa.actions.isActionChecked(scor.sa.actions.CUSTOM_RULES)){
		        		approveSARequest = 'custom_rules';
			        }
		        	
		        	var showNetworkSubDirectoryPopup = 0;
		        	var osType = "${saGroupedRequestOSType}";
    
                    <c:if test="${scorIsAllowByNetworkPathApplicable}">
                    	var numberOfTrustedDirectoryRules = updatedGrp.trustedDirectories.length; 
                    	if ( numberOfTrustedDirectoryRules > 0) {
                                showNetworkSubDirectoryPopup = 1;
                        }
                    </c:if>
					if(showNetworkSubDirectoryPopup == 1){       
			        	var params = {};
						params['groupData'] = updatedGrpJSON; 
						OrionCore.setDialogBoxTitle("${approveSubDirectoriesDialogBoxTitle}");
						var flags = $j.extend({}, OrionCore.DIALOG_OK_CANCEL);
						OrionCore.showAsyncDialogBox( true, "/SOLIDCORE_META/showCheckboxForTrustedPath.do",flags,null,params);
						
						OrionCore.dialogBoxCancelHandler = function(){
							return;
						};
						OrionCore.dialogBoxOkHandler = function() {
							var subDirectoryCheckbox=$j('#allowSubDirectoryCheckBox').is(':checked');
							scor.actions.doAsyncAction('/SOLIDCORE_META/saveCustomRuleGroup.do',
					        		['groupData', updatedGrpJSON, 'groupID', groupId,
					        		 'saGroupedRequestOSType', osType,
					        		 'addToExistingPolicy', addToExistingPolicy,
					        		 'policyId', policyId,
					        		 'groupName', groupName, 'saRequestId', scor.sa.autoid,
					        		 'approveSARequest', approveSARequest,
					        		 'subDirectoryCheckbox',subDirectoryCheckbox ],
					        		 scor.sa.suggestion.save.success, scor.sa.suggestion.save.failure, 'POST');
						};
					}
					
					else{
					 scor.actions.doAsyncAction('/SOLIDCORE_META/saveCustomRuleGroup.do',
			        		['groupData', updatedGrpJSON, 'groupID', groupId,
			        		 'saGroupedRequestOSType', osType,
			        		 'addToExistingPolicy', addToExistingPolicy,
			        		 'policyId', policyId,
			        		 'groupName', groupName, 'saRequestId', scor.sa.autoid,
			        		 'approveSARequest', approveSARequest],
			        		 scor.sa.suggestion.save.success, scor.sa.suggestion.save.failure, 'POST');
					}
				};
				
				
				scor.sa.suggestion.save.success = function() {
		        	OrionCore.showPleaseWait(false);
		        	OrionNavigation.lastAnchorPage();
				};
				
				scor.sa.suggestion.save.failure = function() {
					window.alert("${failureRuleGroupSavingMsg}");
				};
			
				
				scor.sa.suggestion.enablePolicyList = function() {
					var addToPolicyCheckBox = document.getElementById("addToExistingPolicyCheckBoxId");
					var selectPolicyElement = document.getElementById("selectPolicyId");
					if (addToPolicyCheckBox.checked) {
						selectPolicyElement.disabled = false;
					} else {
						selectPolicyElement.disabled = true;
					}
				}
				
				scor.sa.suggestion.initAddRuleGroupToExistingPolicy = function(awlVO) {
					var addToPolicyCheckBox = document.getElementById("addToExistingPolicyCheckBoxId");
					var selectPolicyElement = document.getElementById("selectPolicyId");
					
					addToPolicyCheckBox.checked = false;
					selectPolicyElement.disabled = true;
					
					if(selectPolicyElement.length == 0) {
						addToPolicyCheckBox.disabled = true;
					}
					OrionEvent.registerHandlerById('addToExistingPolicyCheckBoxId', scor.sa.suggestion.enablePolicyList, null, 'click', false);
					
				}

				scor.sa.suggestion.populateAwlData = function(awlVO) {
					var updaters = awlVO['updaters'];
			        var trustedGroups = awlVO['trustedGroups'];
			        var trustedUsers = awlVO['trustedUsers'];
			        var trustedDirectories = awlVO['trustedDirectories'];
			        var apps = awlVO['apps'];
			        var publishers = awlVO['publishers'];
			        var advanced =  awlVO['advanced'];
			        var binaries = awlVO['binaries'];
			        var readOnly = (awlVO['readOnly'] === "true") ? true : false;
			
			        scor.rg.awl.updaters.populateUpdaters(updaters, awlVO['type']);
			
			        <c:if test="${saGroupedRequestOSType == WIN_OS}">
				    	<c:choose>
				    		<c:when test="${hideThingsNotRequiredInSuggestions == 'true'}">
				    		<%-- No Trusted Users--%>
				    		</c:when>
				    		<c:otherwise>
				    			rePopulateTrustedUsersGroups(trustedUsers,trustedGroups);    			
				    		</c:otherwise>
				    	</c:choose>       
			            populatePublishers(publishers);
			            populateApplications(apps);
			        </c:if>
			
					populateAttributes(awlVO);
			        populateTrustedDirectories(trustedDirectories);
			        populateBinaries(binaries);
			        scor.awl.filter.createAdvancedUI(advanced, readOnly, awlVO['type'], '${saGroupedRequestOSType}');
			        
			        scor.sa.suggestion.showPopulatedTab(awlVO);
				};
				
				scor.sa.suggestion.hideRadioBtnIfOnlyOneAction = function (applicableActions) {
					if (applicableActions.length == 1) {
						var applicableAction = applicableActions[0];
						scor.sa.actions.hideRadioBtnForAction(applicableAction);						
					}
				};

				scor.sa.clearPolicyRules = function(){
					if ($j('#customRulesRadio').is(':checked')){
						scor.sa.populateNothingForCustomRules();
						$j("#allowByPublisherWarningContainer").html('');
						$j("#trustedDirectory").html('');
						$j('#pathSuggestionLink').hide();
						scor.sa.suggestion.showRequestInformation();
					}										
				};				
				
				scor.sa.populateRulesUsingData = function(awlPolObj) {
					var awlPolVO =  getAwlPolVOFromJson(awlPolObj);
				    scor.sa.suggestion.populateAwlData(awlPolVO.common.getVO());
				    scor.sa.suggestion.validateRuleGroup();
				};

				scor.sa.populateNothingForCustomRules = function(){
					scor.sa.populateRulesUsingData('');
				}
			
				scor.sa.populateAllowRules = function() {
					scor.sa.suggestion.hideRequestInformation();
					<c:if test="${scorIsAllowByNetworkPathApplicable}">
						scor.sa.suggestion.showRequestInformation();
					</c:if>
					var awlPol = scor.sa.suggestion.actionToAwlPolVO.getAwlPolVOForAction(scor.sa.actions.ALLOW_CUSTOM);
					$j('#pathSuggestionLink').show();
					$j("#allowByPublisherWarningContainer").html('');
					
					var applicableActions = scor.sa.suggestion.actionToAwlPolVO.getApplicableActions();
					if ($j.inArray(scor.sa.actions.ALLOW_CUSTOM_WITH_TRUSTED_DIRECTORY, applicableActions) !== -1) {
						scor.sa.actions.showAction(scor.sa.actions.ALLOW_CUSTOM_WITH_TRUSTED_DIRECTORY);
					}
					scor.sa.populateRulesUsingData(awlPol);
				};
				
				scor.sa.actions.hideResetTrustedDirectoryAction = function () {
					scor.sa.actions.hideAction(scor.sa.actions.ALLOW_CUSTOM_WITH_TRUSTED_DIRECTORY);
					scor.sa.actions.unChooseAction(scor.sa.actions.ALLOW_CUSTOM_WITH_TRUSTED_DIRECTORY);
				};


				scor.sa.populateBanRules = function() {
					scor.sa.suggestion.hideRequestInformation();
					var awlPol = scor.sa.suggestion.actionToAwlPolVO.getAwlPolVOForAction(scor.sa.actions.BAN_CUSTOM);
					$j("#allowByPublisherWarningContainer").html('');
					scor.sa.actions.hideResetTrustedDirectoryAction();
					scor.sa.populateRulesUsingData(awlPol);
				};
				
				scor.sa.populateCerAsUpdaterRules = function() {
					scor.sa.suggestion.hideRequestInformation();
					var awlPol = scor.sa.suggestion.actionToAwlPolVO.getAwlPolVOForAction(scor.sa.actions.ALLOW_PUBLISHER_CUSTOM);
					$j("#allowByPublisherWarningContainer").html('');
					scor.sa.actions.hideResetTrustedDirectoryAction();
					scor.sa.populateRulesUsingData(awlPol);
				};
				
				scor.sa.populateTrustedDirectoryRules = function () {
					var trustedPol = scor.sa.suggestion.actionToAwlPolVO.getAwlPolVOForAction(scor.sa.actions.ALLOW_CUSTOM_WITH_TRUSTED_DIRECTORY),
						allowPol = scor.sa.suggestion.actionToAwlPolVO.getAwlPolVOForAction(scor.sa.actions.ALLOW_CUSTOM),
						awlPol = null;
					if (scor.sa.actions.isActionChecked(scor.sa.actions.ALLOW_CUSTOM_WITH_TRUSTED_DIRECTORY)) {
						awlPol = $j.extend(true, {}, trustedPol, allowPol);
						awlPol.ruleTypeSupportedMap.trustedDirectories = true;
					} else {
						awlPol = allowPol;
					}
					$j("#allowByPublisherWarningContainer").html('');
					scor.sa.populateRulesUsingData(awlPol);
				};
				
				scor.sa.populateBypassMemProtectionRules = function () {
					scor.sa.suggestion.hideRequestInformation();
					var awlPol = scor.sa.suggestion.actionToAwlPolVO.getAwlPolVOForAction(scor.sa.actions.BYPASS_MEMORY_PROTECTION_CUSTOM);
					$j("#allowByPublisherWarningContainer").html('');
					scor.sa.actions.hideResetTrustedDirectoryAction();
					scor.sa.populateRulesUsingData(awlPol);
				};
				
				scor.sa.populateAllowByPubRules = function() {
					scor.sa.suggestion.hideRequestInformation();
					if('${scorSaAllCatalogCertsFound}'){
						$j("#allowByPublisherWarningContainer").html("<span>"+'${allCatalogCertJS}'+"</span>");
						$j("#allowByPublisherWarningContainer").append('&nbsp;<a href=\"https://kc.mcafee.com/corporate/index?page=content&id=KB85696\" target=\"_blank\">KB85696</a> ');
						scorRuleGroupTabSwapper.swap($('tab_PublisherTab'));
						var saveButton = new Button("saveGroup");
						saveButton.setEnabled(false);
						return;
					}
					var awlPol = scor.sa.suggestion.actionToAwlPolVO.getAwlPolVOForAction(scor.sa.actions.ALLOW_PUBLISHER_CUSTOM);
					var isUpdaterRuleCreated = '${isPublisherAddedAsUpdater}';
					var msg = '';
					if(isUpdaterRuleCreated === 'true'){
						msg = '${certAsUpdaterWarning}';
						var examplemsg ='${certAsUpdaterWarningExample}';
						$j("#allowByPublisherWarningContainer").html("<span>"+msg+"</span><br>"+examplemsg);
					}else if(isUpdaterRuleCreated === 'false'){
						msg = '${allowByCertWarning}';
						$j("#allowByPublisherWarningContainer").html("<span>"+msg+"</span>");
					}
					
					scor.sa.actions.hideResetTrustedDirectoryAction();
					scor.sa.populateRulesUsingData(awlPol);
				};
				
				scor.sa.suggestion.validateRuleGroup = function() {
					var groupName = '';
					var isNewRuleGroupSelected = $('addToNewRuleGroupOption').checked;
					
					var saveButton = new Button("saveGroup");
					if(isNewRuleGroupSelected) {
						groupName = $('newGroupHtmlId').value;
						if (groupName === '') {
							saveButton.setEnabled(false);
			    			$('scor.rg.already.exists.err').style.display = 'none';//Probably show the Empty div error mesg.
							return;
						}
			    		var valid = scor.rg.sel.checkValidNewGroup(groupName, $('scorGroupsSelectId'));
			    		if (valid) {
			    			saveButton.setEnabled(true);
			    			$('scor.rg.already.exists.err').style.display = 'none';
			    		} else {
			    			saveButton.setEnabled(false);
			    			$('scor.rg.already.exists.err').style.display = '';
			    			return;
			    		}
					}
					
					saveButton.setEnabled(true);
					$('scor.rg.already.exists.err').style.display = 'none';
				};
				
				scor.sa.suggestion.handleRuleGroupSelection = function () {
					scor.rg.sel.init();
					OrionEvent.registerHandlerById('newGroupHtmlId', scor.sa.suggestion.validateRuleGroup, null, 'keyup', false);
					OrionEvent.registerHandlerById('addToNewRuleGroupOption', scor.sa.suggestion.validateRuleGroup, null, 'click', false);
					OrionEvent.registerHandlerById('addToExistingRuleGroupOption', scor.sa.suggestion.validateRuleGroup, null, 'click', false);
					var saveButton = new Button("saveGroup");
					saveButton.setEnabled(false);
				};
				
				scor.sa.suggestion.showPopulatedTab = function(awlVO) {
					var updaters = awlVO['updaters'];
					var binaries = awlVO['binaries'];
					var apps = awlVO['apps'];
					var publishers = awlVO['publishers'];
					var attributes = awlVO['attributes'];
					var trustedDirectories = awlVO['trustedDirectories'];
					
					if (trustedDirectories != null && trustedDirectories.length > 0) {
						scorRuleGroupTabSwapper.swap($('tab_trustedDirectoriesTabId'));
					} else if (publishers != null && publishers.length > 0) {
						scorRuleGroupTabSwapper.swap($('tab_PublisherTab'));
					} else if (updaters != null && updaters.length > 0) {
						scorRuleGroupTabSwapper.swap($('tab_updaterTabId'));
					} else if (binaries != null && binaries.length > 0) {
						scorRuleGroupTabSwapper.swap($('tab_allowBanBinaryId'));
					} else if (apps != null && apps.length > 0) {
						scorRuleGroupTabSwapper.swap($('tab_applicationsTabId'));
					} else if (attributes != null && attributes.length > 0) {
						scorRuleGroupTabSwapper.swap($('tab_attributesTabId'));
					}
					scor.sa.suggestion.renderApplicableTabs();
				};
				
				scor.sa.suggestion.actionToAwlPolVO = function () {
					
					var _actionsToRuleDiscoveryAppControlVO = JSON.parse('${orion:escapeJavaScript(scorActionToRulesMap)}'),
						_applicableActions = [];
					
					var _initApplicableActions = function () {
						$j.each(_actionsToRuleDiscoveryAppControlVO, function (action) {
							_applicableActions.push(action);
						});
						return _applicableActions;
					};
					
					_initApplicableActions();
					
					return {
						get: function() {
							return _actionsToRuleDiscoveryAppControlVO;
						},
						getApplicableActions: function () {
							return _applicableActions;
						},
						getAwlPolVOForAction: function (action) {
							return _actionsToRuleDiscoveryAppControlVO[action];
						}
					};
				}();
			
				scor.sa.suggestion.awlPolicyTab = function () {
					
					var ruleTypeToTabId = {
							updaters: 'tab_updaterTabId',
							//trustedGroups: '',
							trustedDirectories: 'tab_trustedDirectoriesTabId',
							trustedUsers: 'tab_trustedUsersTabId',
							publishers: 'tab_PublisherTab',
							apps: 'tab_applicationsTabId',
							binaries: 'tab_allowBanBinaryId',
							attributes: 'tab_attributesTabId',
							advanced: 'tab_advanced'
					},
					_hideAllTabs = function () {
						$j.each(ruleTypeToTabId, function(ruleType, tabId) {
							$j('#'+tabId).hide();
						});
					},
					_hideTabForRuleType = function (ruleType) {
						var tabId = ruleTypeToTabId[ruleType];
						$j('#'+tabId).hide();
					},
					_showTabForRuleType = function (ruleType) {
						var tabId = ruleTypeToTabId[ruleType];
						$j('#'+tabId).show();
					};
					
					return {
						hideAllTabs: _hideAllTabs,
						showTabForRuleType: _showTabForRuleType,
						hideTabForRuleType: _hideTabForRuleType
					};
				}();
				
				scor.sa.suggestion.renderApplicableTabs = function () {
					//show all tabs. Highlight the applicable one.
					//scor.sa.suggestion.awlPolicyTab.hideAllTabs();
					var selectedActions = scor.sa.actions.getActionsChecked();
					var ruleTypeSupportedMap = scor.sa.suggestion.getRuleTypeSupportedMap(selectedActions);
					if(!ruleTypeSupportedMap){
						return;
					}
					$j.each(ruleTypeSupportedMap, function(ruleType, isSupported) {
						if (isSupported) {
							scor.sa.suggestion.awlPolicyTab.showTabForRuleType(ruleType);
						}
					});
				};
				
				scor.sa.suggestion.getDefaultAction = function () {
					var preferredDefaultActions = [ 'ALLOW_CUSTOM',
						                                'ALLOW_PUBLISHER_CUSTOM',
						                                'BAN_CUSTOM',
						                                'BYPASS_MEMORY_PROTECTION_CUSTOM'],
						    actionToAppPolVo = scor.sa.suggestion.actionToAwlPolVO.get(),
						    defaultAction = null;
						
					for(var i=0; i< preferredDefaultActions.length; i++) {
						var action = preferredDefaultActions[i];
						if (actionToAppPolVo[action] && typeof actionToAppPolVo[action] === 'object') {
							if("ALLOW_CUSTOM" === action){
								var awlPolObj = scor.sa.suggestion.actionToAwlPolVO.getAwlPolVOForAction(scor.sa.actions.ALLOW_CUSTOM);
								var awlPolVO =  getAwlPolVOFromJson(awlPolObj);
								awlPolVO = awlPolVO.common.getVO();							
						        if(scor.sa.actions.isAuthorizedForAllowCustomAction(awlPolVO)){
						        	defaultAction = action;
								}
							}else{
								if(scor.sa.actions.isAuthorizedForAction(action)){
									defaultAction = action;
								}
							}							
							break;
						}
					};
					if(!defaultAction){
						defaultAction = 'CUSTOM_RULES';
						scor.sa.suggestion.showRequestInformation();
					}
					return defaultAction;
				};
				
				scor.sa.suggestion.getRuleTypeSupportedMap = function(actions) {
					if(actions[0] === "CUSTOM_RULES"){
						return;
					};
					var actionToAppPolVo = scor.sa.suggestion.actionToAwlPolVO.get(),
						ruleTypeSupportedMap = $j.extend({}, actionToAppPolVo[actions[0]].ruleTypeSupportedMap);
					
					$j.each(actions, function(i, action) {
						$j.each(actionToAppPolVo[action].ruleTypeSupportedMap, function(action, isSupported) {
							if (isSupported) {
								ruleTypeSupportedMap[action] = true;
							}
						});
					});
					
					return ruleTypeSupportedMap;
				};
			
				scor.sa.suggestion.initApplicableActionsUI = function () {
					var applicableActions = scor.sa.suggestion.actionToAwlPolVO.getApplicableActions();
					
					scor.sa.actions.hideAllActions();
					$j.each(applicableActions, function(i, applicableAction) {
						scor.sa.actions.showAction(applicableAction);
						if("ALLOW_CUSTOM" === applicableAction){
							var awlPolObj = scor.sa.suggestion.actionToAwlPolVO.getAwlPolVOForAction(scor.sa.actions.ALLOW_CUSTOM);
							var awlPolVO =  getAwlPolVOFromJson(awlPolObj);
							awlPolVO = awlPolVO.common.getVO();							
					        if(!scor.sa.actions.isAuthorizedForAllowCustomAction(awlPolVO)){
								scor.sa.actions.disableAction(applicableAction);
							}
						}else{
							if(!scor.sa.actions.isAuthorizedForAction(applicableAction)){
								scor.sa.actions.disableAction(applicableAction);
							}
						}
					});		
					scor.sa.actions.showCustomRuleAction();	        
				};
				
				scor.sa.suggestion.populateRulesForAction = function (action) {
					var populate = scor.sa.actions.getPopulateFunctionForAction(action);
					populate();
				};
				
				scor.sa.suggestion.init = function () {
					scor.sa.suggestion.handleRuleGroupSelection();
					scor.sa.suggestion.initAddRuleGroupToExistingPolicy();
					$j('#populatePolicyRuleChkBxId').attr('checked','checked');
					scor.sa.suggestion.initApplicableActionsUI();
					var defaultAction = scor.sa.suggestion.getDefaultAction();
					scor.sa.actions.chooseAction(defaultAction);
					scor.sa.suggestion.populateRulesForAction(defaultAction);
					if(defaultAction !== 'CUSTOM_RULES'){
						scor.sa.suggestion.hideRequestInformation();
					}
					<c:if test="${scorIsAllowByNetworkPathApplicable}">
						scor.sa.suggestion.showRequestInformation();
					</c:if>					
				};

				scor.sa.suggestion.hideRequestInformation = function(){
					scor.sa.suggestion.showRequestInfoToggler = false;
					scor.sa.suggestion.showHideRequestInformation();
				};

				scor.sa.suggestion.showRequestInformation = function(){
					scor.sa.suggestion.showRequestInfoToggler = true;
					scor.sa.suggestion.showHideRequestInformation();
				};
				
				scor.sa.suggestion.showHideRequestInformation = function(){
					if(scor.sa.suggestion.showRequestInfoToggler){
						$j('#requestInformationId').show();
						$j('#showHideRequestInformationTitleId').text("${hideRequestInformationVarJS}");
					}else{
						$j('#requestInformationId').hide();
						$j('#showHideRequestInformationTitleId').text("${showRequestInformationVarJS}");
					}
					scor.sa.suggestion.showRequestInfoToggler = !scor.sa.suggestion.showRequestInfoToggler;
					OrionCore.fireResizeEvent();
				};
				
				OrionCore.addLoadHandler(scor.sa.suggestion.init);
			</script>
		</orion:content>
	</orion:corebody>
</orion:core>