<!-- Copyright (C) 2018 McAfee, Inc.  All rights reserved. -->
<%@page import="com.mcafee.scor.common.CommonConstants"%>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://www.mcafee.com/orion/console" prefix="console" %>
<%@ taglib uri="http://www.mcafee.com/scor" prefix="scor" %>
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@page import="com.mcafee.scor.inventory.InventoryConstants"%>
<%@ page import="com.mcafee.scor.common.HelpConstants" %>
<%@page import="com.mcafee.scor.selfapproval.SelfApprovalConstants"%>

<orion:script context="<%=URLConstants.SLASH_WEB_APP_NAME%>" src="/jsFiles/commonUtil.js"/>
<orion:style context="/SOLIDCORE_META" url="/css/override.css" />
<jsp:include page="/common/includejQuery.jsp"/>
<jsp:include page="/common/commonUtils.jsp"/>
<style type="text/css">
	.heightWidth {
			height: 210px;
			width:0.3%
	}
	.height {
		height:4px;
		width:100%;
	}
	.cloudDetails{
		width:36.3%;
	}
	.binaryDetails{
		width:33.7%;
	}
	.certDetails{
		width:29.4%;
	}
	.width100{
		width:100%;
	}
</style>
<orion:message key="scor.selfapproval.similarrequests.rt.name" var="selfApprovalSimilarRequestsTitleText"  escape="none"/>
<orion:message key="scor.reporting.selfApproval.binaryDetails.detailPageTitle" var="binaryDetailPageTitle" escape="javascript"/>
<orion:message key="scor.reporting.selfApproval.binaryDetails.trustScoreTitle" var="trustScoreTitle" escape="none"/>
<orion:message key="scor.reporting.selfApproval.binaryDetails.binaryProperties" var="binaryProperties" escape="none"/>

<orion:message key="scor.reporting.selfApproval.binaryDetails.pubInfoTitle" var="pubInfoTitle" escape="none"/>
<orion:message key="scor.reporting.selfApproval.binaryDetails.otherInfoTitle" var="otherInfoTitle" escape="none"/>

<orion:message key="scor.reputation.known.trusted" var="trustLevelKnownTrusted" escape="javascript"/>
<orion:message key="scor.reputation.most.likely.trusted" var="trustLevelMostLikelyTrusted" escape="javascript"/>
<orion:message key="scor.reputation.might.be.trusted" var="trustLevelMightBeTrusted" escape="javascript"/>
<orion:message key="scor.reputation.unknown" var="trustLevelUnknown" escape="javascript"/>
<orion:message key="scor.reputation.might.be.malicious" var="trustLevelMightBeMalicious" escape="javascript"/>
<orion:message key="scor.reputation.most.likely.malicious" var="trustLevelMostLikelyMalicious" escape="javascript"/>
<orion:message key="scor.reputation.known.malicious" var="trustLevelKnownMalicious" escape="javascript"/>

<orion:message key="scor.navigation.close" var="close" escape="none"/>
<orion:message key="scor.navigation.back" var="back" escape="none"/>

<orion:message key="scor.reporting.selfapproval.binaryDetails.binaryVersion" var="binaryVersionLabel" escape="html"/>
<orion:message key="scor.reporting.selfapproval.binaryDetails.appVendor" var="appVendorLabel" escape="html"/>

<orion:message key="scor.common.notavailable" var="certNotAvailable" escape="javascript"/>
<orion:message key="scor.reporting.selfapproval.binaryDetails.binaryName" var="binaryNameLabel" escape="html"/>
<orion:message key="scor.reporting.selfapproval.binaryDetails.binarySHA1" var="binarySHA1Label" escape="html"/>
<orion:message key="scor.reporting.selfapproval.binaryDetails.binarySHA256" var="binarySHA256Label" escape="html"/>
<orion:message key="scor.reporting.selfapproval.binaryDetails.binaryMD5" var="binaryMD5Label" escape="html"/>
<orion:message key="scor.reporting.selfapproval.binaryDetails.applicationName" var="applicationNameLabel" escape="html"/>
<orion:message key="scor.reporting.selfapproval.binaryDetails.appVersion" var="appVersionLabel" escape="html"/>
<orion:message key="scor.reporting.selfapproval.binaryDetails.reputation" var="trustLevelEnterpriseLabel" escape="html"/>
<orion:message key="scor.reporting.selfapproval.binaryDetails.binaryPath" var="binaryPathLabel" escape="html"/>
<orion:message key="scor.reporting.selfapproval.binaryDetails.certIssuedTo" var="issuedToLabel" escape="html"/>
<orion:message key="scor.cert.issuedby" var="issuedByLabel" escape="html"/>
<orion:message key="scor.reporting.selfapproval.binaryDetails.expirationDate" var="expirationDateLabel" escape="html"/>
<orion:message key="scor.reporting.selfapproval.binaryDetails.agentGuid" var="agentGuidLabel" escape="html"/>
<orion:message key="scor.reporting.selfapproval.binaryDetails.hostName" var="hostNameLabel" escape="html"/>
<orion:message key="scor.reporting.selfapproval.binaryDetails.userName" var="userNameLabel" escape="html"/>
<orion:message key="scor.reporting.selfapproval.binaryDetails.processName" var="processNameLabel" escape="html"/>
<orion:message key="scor.reporting.selfapproval.binaryDetails.filesChanged" var="filesChangedLabel" escape="html"/>
<orion:message key="scor.reporting.selfapproval.binaryDetails.networkPath" var="networkPathLabel" escape="html"/>
<orion:message key="scor.selfapproval.da.usersComments" var="usersCommentsLabel" escape="html"/>
<orion:message key="scor.selfapproval.da.details.activity" var="activityLabel" escape="none"/>
<orion:message key="scor.inventory.da.certSubject" var="certificateSubject" escape="html"/>
<orion:message key="scor.cert.title" var="certificateTitleLabel" escape="html" />
<orion:message key="scor.cert.subject" var="subjectLabel" escape="html" />
<orion:message key="scor.cert.reputation" var="certReputationLabel" escape="html" />
<orion:message key="scor.cert.reputationSource" var="certReputationSourceLabel" escape="html" />
<orion:message key="scor.cert.reputation.${scorEffectiveCertDetail.certReputation.effectiveReputation}" var="certReputationValueLabel" escape="javascript" />
<orion:message key="${scorEffectiveCertReputationSourceKey}" var="certReputationSourceValueLabel" escape="html" />
<orion:message key="scor.cert.publicKeyAlgorithm" var="pubKeyAlgorithmLabel" escape="html" />
<orion:message key="scor.cert.publicKeyLength" var="pubKeyLengthLabel" escape="html" />
<orion:message key="scor.cert.title" var="certificateTitleLabelJS" escape="javascript" />
<orion:message key="scor.cert.notAvailableHoverMsg" var="certificateNotAvailableHoverMsgJS" escape="javascript" />
<orion:message key="scor.NA" var="notApplicableLabel" escape="javascript" />
<orion:message key="scor.certificate.da.PUBLIC_KEY_HASH" var="publicKeyHashLabel" escape="html" />
<orion:message key="scor.certificate.da.VALID_FROM" var="certValidFromLabel" escape="html" />
<orion:message key="scor.certificate.da.VALID_TO" var="certValidToLabel" escape="html" />
<orion:message key="scor.certificate.reputation.da.CERT_HASH" var="certHashLabel" escape="html" />
<orion:message key="scor.cert.reputation.lookupInTIE" var="lookupInTIEVarJS" escape="javascript" />
<orion:message key="scor.common.expandTitle" var="expandTitleLabel" escape="javascript" />


<c:set var="displayBinarySHA1Value" value="${scorRequestDetailsPropertyMap['binarySHA1']}"/>
<c:set var="displayBinaryLinkToInvLookup" value="${scorRequestDetailsPropertyMap['binaryLinkToInvLookup']}"/>
<c:set var="displayBinary256LinkToInvLookup" value="${scorRequestDetailsPropertyMap['binary256LinkToInvLookup']}"/>
<c:set var="displayBinaryMD5Value" value="${scorRequestDetailsPropertyMap['binaryMD5']}"/>
<c:set var="displayBinaryBaseName" value="${scorRequestDetailsPropertyMap['binaryBaseName']}"/>
<c:set var="displayBinaryVersion" value="${scorRequestDetailsPropertyMap['binaryVersion']}"/>
<c:set var="displayBinaryAppName" value="${scorRequestDetailsPropertyMap['binaryAppName']}"/>
<c:set var="displayBinaryAppVersion" value="${scorRequestDetailsPropertyMap['binaryAppVersion']}"/>
<c:set var="displayBinaryAppVendor" value="${scorRequestDetailsPropertyMap['binaryAppVendor']}"/>
<c:set var="displayBinaryPath" value="${scorRequestDetailsPropertyMap['binaryPath']}"/>
<c:set var="displayIsInstaller" value="${scorRequestDetailsPropertyMap['isInstaller']}"/>
<c:set var="displayIsSystemFile" value="${scorRequestDetailsPropertyMap['isSystemFile']}"/>
<c:set var="displayUsersComments" value="${scorRequestDetailsPropertyMap['usersComments']}"/>
<c:set var="displayUserName" value="${scorRequestDetailsPropertyMap['userName']}"/>
<c:set var="displayHostName" value="${scorRequestDetailsPropertyMap['hostName']}"/>
<c:set var="displayIssuedTo" value="${scorRequestDetailsPropertyMap['issuedTo']}"/>
<c:set var="displayIssuedBy" value="${scorRequestDetailsPropertyMap['issuedBy']}"/>
<c:set var="displayExpDate" value="${scorRequestDetailsPropertyMap['expirationDate']}"/>
<c:set var="displayAgentGuid" value="${scorRequestDetailsPropertyMap['agentGuid']}"/>
<c:set var="maxValueFieldSizeVar" value="<%=SelfApprovalConstants.SA_DETAIL_VALUE_FIELD_MAX_LENGTH%>" />
<c:set var="maxValueFieldSizeForBinaryNameVar" value="<%=SelfApprovalConstants.SA_DETAIL_VALUE_FIELD_MAX_LENGTH_FOR_BINARY_NAME%>" />

<orion:message key="scor.error.defAsyncFailure" var="defAsyncFailure" escape="javascript"/>
<orion:message key="scor.reporting.selfapproval.binaryDetails.fetchingTrustScore" var="fetchingTrustScore" escape="html"/>

<script type="text/javascript">

	var scor;
	scor = scor || {};
	scor.saDetails = scor.saDetails || {};
	scor.saDetails.isUserGlobalAdmin = scor.saDetails.isUserGlobalAdmin || ${scorPDDetailsIsUserGlobalAdmin};
	
	scor.saDetails.maxValueFieldSize = '${maxValueFieldSizeVar}';
	scor.saDetails.maxValueFieldSizeForBinaryName = '${maxValueFieldSizeForBinaryNameVar}';
		
	var pageTitle = '${binaryDetailPageTitle}';
	RegisteredTypeDetails.setTitle(pageTitle);

	$j(".pageExtensionName").html("");
	
	scor.saDetails.createAndPopulatePanel = function( valueString, panelId, valueDivId, panelValueId, maxLength){
		if( valueString != null && valueString.length > maxLength){
			$j("#"+panelValueId).html(valueString);
			scor.common.registerPanelAt( panelId, valueDivId, '${expandTitleLabel}' );
			$j("#"+panelId).show();
		}else{
			$j("#"+panelId).hide();
		}
	};

	scor.saDetails.setCustomTrustLevel = function(){
	    var customTrustLevelValue = '${scorRequestDetailsPropertyMap['trustLevel']}';
	    var reputationColor = '${reputationColor}';
	    var trustLevelValue = '${trustLevelUnknown}';
	    if(customTrustLevelValue == 'scor.reputation.known.trusted'){
	    	trustLevelValue = '${trustLevelKnownTrusted}';
	    }else if(customTrustLevelValue == 'scor.reputation.most.likely.trusted'){
	    	trustLevelValue = '${trustLevelMostLikelyTrusted}';
	    } else if(customTrustLevelValue == 'scor.reputation.might.be.trusted'){
	    	trustLevelValue = '${trustLevelMightBeTrusted}';
	    } else if(customTrustLevelValue == 'scor.reputation.might.be.malicious'){
	    	trustLevelValue = '${trustLevelMightBeMalicious}';
	    } else if(customTrustLevelValue == 'scor.reputation.most.likely.malicious'){
	    	trustLevelValue = '${trustLevelMostLikelyMalicious}';
	    } else if(customTrustLevelValue == 'scor.reputation.known.malicious'){
	    	trustLevelValue = '${trustLevelKnownMalicious}';
	    } 	    
	    $j("#entTrustLevelCell").html('<span style="color:'+ reputationColor+ '">'+ trustLevelValue+'</span>');
	}
	scor.saDetails.getCloudDetailsSuccess = function(result){
	    var resultObj = JSON.parse(result);
		var resultVO = scor.vos.Result(resultObj);
		if (resultVO.isFailure()) {
			$j("#scorSACloudDetailDiv").html('<div class="errorText">'+ resultVO.getMsg() + '</div>');
		}else{
			$j("#scorSACloudDetailDiv").css("padding-top","19%");
			$j("#scorSACloudDetailDiv").html('<span id="saTrustScore" style="padding-left:34%;font-size: 80px;font-weight: bold;">'+ resultVO.getResult() +'</span>');
		}
	}

	scor.saDetails.getCloudDetailsFailure = function(){
		$j("#scorSACloudDetailDiv").html('<div class="errorText">'+ '${defAsyncFailure}' + '</div>');
	}

	scor.saDetails.getCloudDetails = function(){
		var params = ['binarySha1','${displayBinarySHA1Value}'];
		OrionCore.doAsyncAction('/SOLIDCORE_META/getCloudDetailsForSARequest.do',
            params,
            scor.saDetails.getCloudDetailsSuccess,
            scor.saDetails.getCloudDetailsFailure,
            "POST");
    };

    scor.saDetails.ActionStatus = function(){
    scor.saDetails.setAllowTrustedPathAction();
    	if(scor.saDetails.isUserGlobalAdmin){
			scor.saDetails.setAllowByPublisherActionStatus();
			scor.saDetails.setAllowBanBinaryActions();
			scor.saDetails.setMemoryProtectionActions(); 
			} else {
    		scor.saDetails.disableAction("addCertAsUpdater.do");
    		scor.saDetails.disableAction("approveBinarySelfApprovalEvents.do");
    		scor.saDetails.disableAction("rejectSelfApprovalEvents.do");
    		scor.saDetails.disableAction("bypassMemoryProtectionForRulediscoveryEvent.do");
    		scor.saDetails.disableAction("approveNetworkPathSAEvent.do");
    	}
    }    
    
    
    
    scor.saDetails.disableAction = function(actionUrl){
    	var scorSaDetailsTableActionIndex = scor.utils.getTableActionIndexByURLInActionTab(actionUrl);    	
     	if(scorSaDetailsTableActionIndex === -1){
     		return;
		 }
        OrionAction.actionList[scorSaDetailsTableActionIndex].disabled = true;
    }
    
    scor.saDetails.setAllowByPublisherActionStatus = function(){
    	var scorSaDetailsTableActionIndex = scor.utils.getTableActionIndexByURLInActionTab("addCertAsUpdater.do");    
		
     	if(scorSaDetailsTableActionIndex === -1){
			 return;
		 }
	 	var isallowByPublisher = '${scorIsAllowByPublisherApplicable}';
       	if (isallowByPublisher === 'false') {
          OrionAction.actionList[scorSaDetailsTableActionIndex].disabled = true;
          return;
        }
        OrionAction.actionList[scorSaDetailsTableActionIndex].disabled = false;
    }

	scor.saDetails.setAllowBanBinaryActions = function() {
		 var allowBinaryActionIndex = scor.utils.getTableActionIndexByURLInActionTab("approveBinarySelfApprovalEvents.do");    
		 var banBinaryActionIndex = scor.utils.getTableActionIndexByURLInActionTab("rejectSelfApprovalEvents.do"); 

		 var isAllowBanBinaryActionsAllowed = '${scorIsAllowBanBinaryActionsAllowed}';
		 
		if (isAllowBanBinaryActionsAllowed === 'false') {
			if(allowBinaryActionIndex != -1){
				OrionAction.actionList[allowBinaryActionIndex].disabled = true;
			}
			if(banBinaryActionIndex != -1){
				OrionAction.actionList[banBinaryActionIndex].disabled = true;
			}
		}
	}

	scor.saDetails.setMemoryProtectionActions = function() {
		 var bypassMpActionIndex = scor.utils.getTableActionIndexByURLInActionTab("bypassMemoryProtectionForRulediscoveryEvent.do");    
		 

		 var isBypassMpActionsAllowed = '${scorIsBypassMpActionAllowed}';

		if (isBypassMpActionsAllowed === 'false') {
			if(bypassMpActionIndex!= -1){
				OrionAction.actionList[bypassMpActionIndex].disabled = true;
			}
			
		}	    
	}
	
	scor.saDetails.setAllowTrustedPathAction = function() {
		 var globalApproveNetworkPathIndex = scor.utils.getTableActionIndexByURLInActionTab("approveNetworkPathSAEvent.do"); 
		 var allowBinaryActionIndex = scor.utils.getTableActionIndexByURLInActionTab("approveBinarySelfApprovalEvents.do");    
		 var banBinaryActionIndex = scor.utils.getTableActionIndexByURLInActionTab("rejectSelfApprovalEvents.do");
		 
		 var isNetworkPathAllowed = '${scorIsAllowByNetworkPathApplicable}';
		 if(isNetworkPathAllowed === 'true' ) {
			 if(globalApproveNetworkPathIndex!= -1){
					OrionAction.actionList[globalApproveNetworkPathIndex].disabled = false;
				}
			 if(allowBinaryActionIndex != -1){
					OrionAction.actionList[allowBinaryActionIndex].disabled = true;
				}
			 if(banBinaryActionIndex != -1){
					OrionAction.actionList[banBinaryActionIndex].disabled = true;
				}
			 
			 scor.utils.setDisabledStateForTableActionHavingUrl("showInventoryBinaryForPD.do", true);
			 scor.utils.setDisabledStateForTableActionHavingUrl("showTIEFileReputationForPD.do", true);
			 
		 } else {
			 if(globalApproveNetworkPathIndex!= -1){
					OrionAction.actionList[globalApproveNetworkPathIndex].disabled = true;
					
				}
		 }
	}
	
	
	
	<%--
	//Changing the buggy implementation of majic AddWidget
	//Issues faced:
	//The removeCallback is being called pre removal
	//Also there is no indication of the row being removed
	//Changing the implementation to call the removeCallback
	//post deletion no need to call with the row being deleted
      --%>
	scor.saDetails.correctMajicAddWidgetRemoveCallbackImpl = function () {
		var oldRemoveImpl = majic.AddWidget.prototype.remove;
		majic.AddWidget.prototype.remove = function(minusImg) {
			var args = [];
			args.push(minusImg);
			oldRemoveImpl.apply(scor.saDetails.currentAllowLocally.getPathAdder().getMajicAdder(), args);
			
			//can call the removeCallback pre removal with the row
			// by finding the row from the minusImg
			// removeCallback called post removal.. 
			if (scor.saDetails.currentAllowLocally.getPathAdder()!== null &&
					scor.saDetails.currentAllowLocally.getPathAdder().getRemoveCallback()!==null) {
				var removeCallback = scor.saDetails.currentAllowLocally.getPathAdder().getRemoveCallback();
				removeCallback();
			}
		};
	};
	
	scor.saDetails.correctMajicAddWidgetRemoveCallbackImpl();
	
	scor.saDetails.newLocalPathAdder = function (os) {
		var eachPathHtml = '<span class="errorText" style="visibility:hidden">*</span><input type="text" class="orionInput" id="path_@ID" name="path_@ID" value="@PATH" maxlength="1000" size="50" />',
			dialogContainerId = 'localPathsContainer',
			pathAdder = null;
		
		var _initAdder = function () {
			pathAdder = new majic.AddWidget({
				container: dialogContainerId,
				content: eachPathHtml,
				addCallback: _onRowAdded
				//removeCallback: _onRowRemoved
				//Not relying on AddWidget's remove callback 
				//as the implementation is buggy..
			});
		},
		
		_isValidPath = function(path) {
			if (typeof path === 'string' && path !== '') {
				var validation = scor.validation.validatePath(path, os);
				return validation;
			}
			return new scor.validation.constructors.ValidationResult(false, '');
		},
		
		_hideErrMsg = function (pathInput$) {
			$j(pathInput$).parent().find('span.errorText').css({'visibility': 'hidden'});
		},
		
		_showErrMsg = function (pathInput$, validation) {
			$j(pathInput$).parent().find('span.errorText').css({'visibility':'visible'});
		},
		
		_checkAllPathsValid = function (row$, isRowRemoved) {
			/*
			If the removeCallback is pre removal and 
			row$ is the row being deleted
			then can calculate on the basis of the row being deleted
			*/
			var rows = pathAdder.getRows(),
				paths = [],
				isValid = true;
			for (var i in rows) {
				var row = rows[i],
					pathInput$ = $j(row).find('#path_'+i),
					pathVal = $j(pathInput$).val(),
					validation = _isValidPath(pathVal);
				
				if (validation.isValid) {
					_hideErrMsg (pathInput$);
				} else {
					isValid = false;
					_showErrMsg(pathInput$, validation);
				}
			}
			
			if (isValid) {
				OrionCore.enableDialogBoxOkButton(true);
				$j('#localPathErrorMsg').hide();
			} else {
				OrionCore.enableDialogBoxOkButton(false);
				$j('#localPathErrorMsg').show();
			}
		},
		
		_onRowRemoved = function (row) {
			//No need of the row element if 
			//the remove callback is called post removal of the row
			_checkAllPathsValid();
		},
		
		_onRowAdded = function (row) {
			var inputPath$ = $j(row).find('input[id^="path"]');
			if (inputPath$.val()=='@PATH') {
				$j(inputPath$).val('');
			}
			inputPath$.keyup(_checkAllPathsValid);
			_checkAllPathsValid();
		},
		
		_addPath = function (path) {
			pathAdder.add({
				'@PATH': path
			});
		},
			
		_getPaths  = function () {
			var rows = pathAdder.getRows(),
				paths = [];
			for (var i in rows) {
				var row = rows[i],
					pathInput$ = $j(row).find('#path_'+i),
					pathVal = $j(pathInput$).val();
				
				paths.push(pathVal);
			}
			return paths;
		};
		
		_initAdder();
		
		return {
			getMajicAdder: function () {
				return pathAdder;
			},
			addPath: function (path) {
				_addPath(path);
			},
			getPaths: _getPaths,
			getRemoveCallback: function() {
				return _onRowRemoved;
			}
		};
	};
	
	scor.saDetails.currentAllowLocally = function () {
		var adder = null,
			requestId = -1;
			os = null;
		
		return {
			setPathAdder: function(add) {
				adder = add;
			},
			getPathAdder: function() {
				return adder;
			},
			setRequestId: function(reqId) {
				requestId = reqId;
			},
			getRequestId: function() {
				return requestId;
			},
			setOS: function(osType) {
				os = osType;
			},
			getOS: function() {
				return os;
			}
		};
	}();
	
	scor.saDetails.loadAllowLocally = function (pathsForSolidification) {
		var os = scor.saDetails.currentAllowLocally.getOS();
		OrionCore.setDialogBoxTitle('<orion:message key="scor.selfapproval.details.allowlocal.title" escape="javascript"/>');
		var errorMsg = "";

		if (os === "<%=CommonConstants.POLICY_GROUP_OS.WIN.getValue()%>") {
			errorMsg = OrionCore.escapeHtml('<orion:message key="scor.selfapproval.details.win.path" escape="javascript"/>');
		}
		else if (os === "<%=CommonConstants.POLICY_GROUP_OS.UNIX.getValue()%>") {
			errorMsg = OrionCore.escapeHtml('<orion:message key="scor.selfapproval.details.unix.path" escape="javascript"/>');
		}

		OrionCore.showDialogBox(true,
				'<div id="allowLocallyMessageContainer">'+
				OrionCore.escapeHtml('<orion:message key="scor.selfapproval.details.allowLocallyMessage" escape="javascript"/>')+
				'</div><br/><div id="localPathsContainer"></div><div style="display:none;color:red" id="localPathErrorMsg">'+
				errorMsg +
				'</div>',
				OrionCore.DIALOG_OK_CANCEL);
		var pathAdder = scor.saDetails.newLocalPathAdder(os);
		$j.each (pathsForSolidification, function(i, path){
			pathAdder.addPath(path);
		});
		
		scor.saDetails.currentAllowLocally.setPathAdder(pathAdder);
		
		OrionCore.dialogBoxOkHandler = scor.saDetails.saveAllowLocallyPaths;
	};
	
	scor.saDetails.saveAllowLocallyPaths = function () {
		var pathAdder = scor.saDetails.currentAllowLocally.getPathAdder(),
			pathsToSolidify = pathAdder.getPaths(),
			selfApprovalBinariesVO = {
				whiteListBinaryPaths: pathsToSolidify
			};
		scor.actions.doAsyncAction('/SOLIDCORE_META/sendAddToWhitelist.do',
				[
				 '<%=SelfApprovalConstants.REQUEST_PARAM_ADD_TO_WHITELIST_PATHS%>', JSON.stringify(selfApprovalBinariesVO),
				 '<%=SelfApprovalConstants.REQUEST_PARAM_SA_REQUEST_ID%>', scor.saDetails.currentAllowLocally.getRequestId()
				 ],
				function(resp) {
				},
				'POST'
				);
	};
	
	scor.saDetails.showAllowLocally = function(requestId, os) {
		scor.saDetails.currentAllowLocally.setRequestId(requestId);
		scor.saDetails.currentAllowLocally.setOS(os);
		scor.actions.doAsyncAction('<%=URLConstants.SA_GET_ALLOW_LOCALLY_PATHS_URL%>'
				,['<%=SelfApprovalConstants.REQUEST_PARAM_SA_REQUEST_ID%>', requestId]
				, scor.saDetails.loadAllowLocally);
	};

	OrionCore.addResizeHandler(
		function() {
			var size = YAHOO.util.Dom.getRegion("registeredTypeDetailsContent").bottom - YAHOO.util.Dom.getRegion("similarRequestsTableDiv").top;
			if (size < 100) size = 100;
			$("similarRequestsTableDiv").style.height = size + "px";
		});

		scor.saDetails.getCloudDetails();
		scor.saDetails.setCustomTrustLevel();
		//timeout added to disable Ui action after the page has finished loading.. load handler was not giving the desired results.
  	setTimeout(scor.saDetails.ActionStatus, 3000);
	
	scor.saDetails.getReqDetailsSuccess = function(result){
		var resultObj = JSON.parse(result);
		var resultVO = scor.vos.Result(resultObj);
		var result = resultVO.getResult();
		var escapedBinaryPath = OrionCore.escapeHtml(result['binaryPath']);
		var escapedHostName = OrionCore.escapeHtml(result['hostName']);
		var escapedUserName = OrionCore.escapeHtml(result['userName']);
		var escapedProcessName = OrionCore.escapeHtml(result['processName']);
		var escapedFilesChanged = OrionCore.escapeHtml(result['filesChanged'] || '${notApplicableLabel}');
		var escapedBinaryName = OrionCore.escapeHtml(result['binaryName']);		
		
		var escapedBinarySHA256 = result['binarySHA256'] || '${notApplicableLabel}';
		
		var isNetworkPathAllowed = '${scorIsAllowByNetworkPathApplicable}';
		
	 	if(isNetworkPathAllowed != 'true' ) {
	 		var escapedBinaryBaseName = OrionCore.escapeHtml('${displayBinaryBaseName}');
	 		$j("#binaryPathDivId").html(scor.common.getShortenedString(escapedBinaryPath, scor.saDetails.maxValueFieldSize));
			$j("#processNameDivId").html(scor.common.getShortenedString(escapedProcessName, scor.saDetails.maxValueFieldSize));
			$j("#filesChangedDivId").html(scor.common.getShortenedString(escapedFilesChanged, scor.saDetails.maxValueFieldSize));
			$j("#binaryNameDivId").html(scor.common.getShortenedString(escapedBinaryBaseName, scor.saDetails.maxValueFieldSizeForBinaryName));
			
	 		scor.saDetails.createAndPopulatePanel( escapedBinaryPath, "binaryPathPanelId", "binaryPathDivId", "binaryPathInPanel", scor.saDetails.maxValueFieldSize );
	 		scor.saDetails.createAndPopulatePanel( escapedProcessName, "processNamePanelId", "processNameDivId", "processNameInPanel", scor.saDetails.maxValueFieldSize );
	 		scor.saDetails.createAndPopulatePanel( escapedFilesChanged, "filesChangedPanelId", "filesChangedDivId", "filesChangedInPanel", scor.saDetails.maxValueFieldSize );
	 		scor.saDetails.createAndPopulatePanel( escapedBinaryBaseName, "binaryBaseNamePanelId", "binaryNameDivId", "baseNameInPanel", scor.saDetails.maxValueFieldSizeForBinaryName );
			if('${displayBinarySHA1Value}'){
				$j("#binaryNameDivId").append('&nbsp;&nbsp;<a href=/SOLIDCORE_META/evtShowReputationOnTIE.do?sha1='+'${displayBinarySHA1Value}${scor_csrf_param_la}'+'>'+'${lookupInTIEVarJS}'+'</a>');
			}
	 	}
	 	$j("#binarySHA256DivId").html(escapedBinarySHA256);
	 	$j("#networkPathwithFileNameDivId").html(escapedBinaryPath);
		$j("#processNameForNwPathDivId").html(escapedProcessName);
		$j("#filesChangedForNwPathDivId").html(escapedFilesChanged);
		$j("#hostNameDivId").html(escapedHostName);
		$j("#userNameDivId").html(escapedUserName);
		$j("#binaryNameForNetworkPathDivId").html(escapedBinaryName);
		scor.saDetails.ActionStatus();
	};

	scor.saDetails.getReqDetailsFailure = function(){
		scor.saDetails.ActionStatus();
	
	};
	
	scor.saDetails.initializeCertificateTooltip = function() {
		if ('${scorEffectiveCertDetail.cert.subject}') {
			var certificateToolTipHtml = $j("#certDetailDivId").html();
			$j("#certDetailPanelPODiscoveryDivId").html(certificateToolTipHtml);	
			scor.common.registerPanelAt("certDetailPanelPODiscoveryDivId", "publisherDisPolicyDivId", '${certificateTitleLabelJS}', '450px');
		}else{
			$j("#certNotAvailableDivId").html("${reqCertificateToolTipKeyForNotAvailable}");
			$j("#certDetailPanelPODiscoveryDivId").addClass("bd");
			$j("#certDetailPanelPODiscoveryDivId").html($j("#certNotAvailableDivId").html());
			scor.common.registerPanelAt("certDetailPanelPODiscoveryDivId", "publisherDisPolicyDivId", '${certificateNotAvailableHoverMsgJS}', '450px');
		}
		
	};
	
	scor.saDetails.setCertTrustLevel = function() {
		var effectiveTrustLevelInt = '${scorEffectiveCertDetail.certReputation.effectiveReputation}';
		if (!effectiveTrustLevelInt) {
			return;
		}
		$j("#certReputationPODiscoveryDivId").html('<span style="color:' + '${scorEffectiveCertReputationColor}' + '">'+ '${certReputationValueLabel}'+'</span>');
	}
	scor.saDetails.fnOnLoad = function(){
		
		scor.saDetails.initializeCertificateTooltip();
		scor.saDetails.setCertTrustLevel();
		var certSubjectName = '${scorEffectiveCertDetail.cert.subject}';
		if (certSubjectName) {
			$j("#publisherDisPolicyDivId").append('&nbsp;&nbsp;<a href=/SOLIDCORE_META/showCertReoutationOnTIE.do?reqCertSha1='+'${scorEffectiveCertDetail.cert.certHash}${scor_csrf_param_la}'+'>'+'${lookupInTIEVarJS}'+'</a>');
		} else {
			$j("#publisherDisPolicyDivId").append('${certNotAvailable}');
		}			
		
	 	var isNetworkPathAllowed = '${scorIsAllowByNetworkPathApplicable}';
	 	if(isNetworkPathAllowed != 'true' ) {
			$j("#binaryPathPanelId").hide();
			$j("#processNamePanelId").hide();
			$j("#filesChangedPanelId").hide();
			$j("#binaryBaseNamePanelId").hide();
	 	}
	 	
	 	MFSTable.get("saSimilarRequestsTableId").setOnStateChange(scor.saDetails.fnOnRowSelect);
		scor.utils.selectFirstRowOfMFSTable("saSimilarRequestsTableId");
	 };
	
	 scor.saDetails.fnOnRowSelect = function(uid){
		  var selectedIds =  MFSTable.get("saSimilarRequestsTableId").getSelected();
		  var params = ['selectedIds',selectedIds];
		  OrionCore.doAsyncAction('/SOLIDCORE_META/getDetailsForUID.do',
				  	params,
		            scor.saDetails.getReqDetailsSuccess,
		            scor.saDetails.getReqDetailsFailure,
		            "POST");
	 };
	 
	
		</script>
				<orion:box>
				<orion:vbox>
				
  				<c:choose>
  				<c:when test="${!scorIsAllowByNetworkPathApplicable}">
  				<orion:hbox height= "200" id = "horizontalDetailsBox">
					<orion:box id="cloudDetailsContainer" width="auto" classname="floatLeft cloudDetails">
						<table style="border-bottom: 0;width:100%">
						<tr><td style = "width:90%">
						<table class="orionPList" cellspacing="0" style="border-bottom: 0">
						<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left; width:110px;" >
											${binaryNameLabel}
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
                                     	<div id="binaryNameDivId" style="word-wrap:break-word; width:350px"></div>
										<div id="binaryBaseNamePanelId"  class="panelOnTop"> 
										   <div id="baseNameInPanel" class="bd" style="word-wrap:break-word; width:300px;"></div>
										</div>
										</td>
										</tr>
										
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left; width:110px;">
											${binaryVersionLabel}
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
                                     		${orion:escapeHtml(displayBinaryVersion)}
										</td>
										</tr>
										
						
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left; width:110px;">
											${binaryPathLabel}
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
                                     	<div id="binaryPathDivId" style="word-wrap:break-word; width:350px"></div>
										<div id="binaryPathPanelId"  class="panelOnTop">
										   <div id="binaryPathInPanel" class="bd" style="word-wrap:break-word; width:300px;"></div>
										</div>
										</td>
										</tr>
						
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left; width:110px;">
											${processNameLabel}
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >	
                                     	<div id="processNameDivId" style="word-wrap:break-word; width:350px"></div>
										<div id="processNamePanelId"  class="panelOnTop">
										   <div id="processNameInPanel" class="bd" style="word-wrap:break-word; width:300px;"></div>
										</div>
										</td>
										</tr>
										
										
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left; width:110px;">
											${filesChangedLabel}
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
                                     	<div id="filesChangedDivId" style="word-wrap:break-word; width:350px"></div>
										<div id="filesChangedPanelId"  class="panelOnTop">
										   <div id="filesChangedInPanel" class="bd" style="word-wrap:break-word; width:300px;"></div>
										</div>
										</td>
										</tr>
							</table>
							 </td>

							 </tr>
						</table>
					</orion:box>
					
					<orion:box id="binaryDetailsContainer" width="auto" classname="floatLeft binaryDetails">
						<table style="border-bottom: 0;width:100%">
							<tr ><td style = "width:90%">
								<table class="orionPList" cellspacing="0" style="border-bottom: 0">
														
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left; width:20%">
											${trustLevelEnterpriseLabel}
										 </th>
										<td id="entTrustLevelCell" class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
										</td>
										</tr>	
										
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left; width:15%">
											${binarySHA1Label}
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
                                     		${displayBinaryLinkToInvLookup}
										</td>
										</tr>
										
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left; width:15%">
											${binarySHA256Label}
										 </th>
							
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
                                     	<div id="binarySHA256DivId" style="width:350px"></div>
										<div id="binarySHA256PanelId"  class="panelOnTop">
										   <div id="binarySHA256InPanel"  style="word-wrap:break-word; width:300px;"></div>
										</div>
										</td>
										</tr>
										
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left; width:15%">
											${binaryMD5Label}
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
                                     		${orion:escapeHtml(displayBinaryMD5Value)}
										</td>
										</tr>	
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left; width:20%">
											${applicationNameLabel}
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
                                     		${orion:escapeHtml(displayBinaryAppName)}&nbsp;${orion:escapeHtml(displayBinaryAppVersion)}
										</td>
										</tr>									
								</table>
							 </td>
							 </tr>
						</table>
					 </orion:box>
				
					<orion:box id="certDetailsContainer" width="auto" classname="floatLeft certDetails">
						<table style="border-bottom: 0;width:100%">
							<tr ><td style = "width:90%">
								<table class="orionPList" cellspacing="0" style="border-bottom: 0">
								         <tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left; width:20%">
											${userNameLabel}
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
                                     		<div id="userNameDivId"></div>
										</td>
										</tr>
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left;  width:80px;">
											${certificateSubject}:
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
											<div id="publisherDisPolicyDivId" title="${certificateTitleLabel}" style="color: ${scorEffectiveCertReputationColor};">${orion:escapeHtml(scorEffectiveCertDetail.cert.subject)}</div>
											 <div class="panelOnTop" id="certDetailPanelPODiscoveryDivId" style="width:450px;">												
											</div>
										</td>
										</tr>
                                        <!-- 
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left; width:35%">
											${issuedToLabel}
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
                                     		${orion:escapeHtml(displayIssuedTo)}
										</td>
										</tr>

										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left; width:35%">
											${issuedByLabel}
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
                                     		${orion:escapeHtml(displayIssuedBy)}
										</td>
										</tr>

										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left; width:35%">
											${expirationDateLabel}
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
                                     		${orion:escapeHtml(displayExpDate)}
										</td>
										</tr>
										 -->
								</table>
							 </td>
							 </tr>
						</table>
					 </orion:box>
				</orion:hbox>
				</c:when>
				<c:otherwise>
					<orion:hbox height= "200" id = "horizontalDetailsBox_NwPath">
						<orion:box id="binaryDetailsContainer" width="auto" classname="binaryDetails">
							<table style="border-bottom: 0;width:100%">
								<tr ><td style = "width:90%">
									<table class="orionPList" cellspacing="0" style="border-bottom: 0">
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left; width:100px">
											${networkPathLabel}
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
                                     		<div id="networkPathwithFileNameDivId"></div>
										</td>
										</tr>
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left; width:100px">
											${binaryNameLabel}
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
                                     		<div id="binaryNameForNetworkPathDivId"></div>
										</td>
										</tr>
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left; width:100px">
											${processNameLabel}
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
                                     		<div id="processNameForNwPathDivId"></div>
										</td>
										</tr>
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left; width:100px">
											${filesChangedLabel}
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
                                     		<div id="filesChangedForNwPathDivId"></div>
										</td>
										</tr>
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left; width:100px">
											${userNameLabel}
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
                                     		<div id="userNameDivId"></div>
										</td>
										</tr>										
									</table>
									</td>
								</tr>
							</table>
						</orion:box>
					</orion:hbox>
				</c:otherwise>
				</c:choose> 
				
				<orion:box width="auto" height="7" background="#474747" classname="floatLeft height"/>
					<orion:box width="auto" classname="floatLeft width100">
						<div id="similarRequestsTableDiv">
							<orion:table2 id="saSimilarRequestsTableId" titleText="${selfApprovalSimilarRequestsTitleText} ${activityString}" 
							resizeRelativeTo="similarRequestsTableDiv"
							datasourceAttr="<%=SelfApprovalConstants.SA_SIMILAR_REQUESTS_DATA_SOURCE_ATTR%>"
							cellRendererAttr="<%=SelfApprovalConstants.SA_SIMILAR_REQUESTS_CELL_RENDERER_ATTR%>"
							showCheckboxColumn="false" enableDrilldown="false" allowAction="false"
							allowExport="false" allowConfiguration="false" allowAdvancedFilter="false"
							sortOrder="1"
							singleSelect="true"
							properties="detectedUTC,hostName,description,usersComments,action" 
							columnWidths = "13,12,53,11,11"
							/>
						</div>
				</orion:box>
			</orion:vbox>		
			</orion:box>
			
	<div id="certDetailDivId" style="display: none;">
		<div  class="bd">
			<table>
				<tr>
					<td style="font-weight: bold; width: 35%;">${subjectLabel}:</td>
					<td style="width: 65%;">${orion:escapeHtml(scorEffectiveCertDetail.cert.subject)}</td>
				</tr>
				<tr>
					<td style="font-weight: bold">${issuedByLabel}:</td>
					<td>${orion:escapeHtml(scorEffectiveCertDetail.cert.issuedBy)}</td>
				</tr>
				<tr>
					<td style="font-weight: bold">${certReputationLabel}:</td>
					<td><div id="certReputationPODiscoveryDivId"></div></td>
				</tr>
				<tr>
					<td style="font-weight: bold">${certReputationSourceLabel}:</td>
					<td>${certReputationSourceValueLabel}</td>
				</tr>
				<tr>
					<td style="font-weight: bold">${pubKeyAlgorithmLabel}:</td>
					<td>${orion:escapeHtml(scorEffectiveCertDetail.cert.publicKeyAlgo)}</td>
				</tr>
				<tr>
					<td style="font-weight: bold">${pubKeyLengthLabel}:</td>
					<td>${orion:escapeHtml(scorEffectiveCertDetail.cert.publicKeyLength)}</td>
				</tr>
				<tr>
					<td style="font-weight: bold">${publicKeyHashLabel}:</td>
					<td>${orion:escapeHtml(scorEffectiveCertDetail.cert.publicKeyHash)}</td>
				</tr>
				<tr>
					<td style="font-weight: bold">${certHashLabel}:</td>
					<td>${orion:escapeHtml(scorEffectiveCertDetail.cert.certHash)}</td>
				</tr>
				<tr>
					<td style="font-weight: bold">${certValidFromLabel}:</td>
					<td>${scor:formatTimeProperty(scorEffectiveCertDetail.cert.validFrom, locale)}</td>
				</tr>
				<tr>
					<td style="font-weight: bold">${certValidToLabel}:</td>
					<td>${scor:formatTimeProperty(scorEffectiveCertDetail.cert.validTo, locale)}</td>
				</tr>
			</table>
		</div>
	</div>
	
	<div id="certNotAvailableDivId" style="display: none;"/>
			
<script type="text/javascript">
	scor.saDetails.fnOnLoad();
</script>
			
			