<%-- COPYRIGHT: Copyright (C) 2014 McAfee, Inc. All rights reserved--%>
<%@ page import="com.mcafee.scor.serversettings.ServerSettingsConstants"%>
<%@ page import="com.mcafee.scor.common.Constants" %>
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>


<orion:message key="scor.config.internal.productmode.page.title" var="title" escape="none"/>
<orion:message key="scor.config.internal.productmode.page.button.demomode" var="demomode" escape="none"/>
<orion:message key="scor.config.internal.productmode.page.button.resetmode" var="resetmode" escape="none"/>
<orion:message key="scor.config.internal.productmode.action.demomode.success" var="successDemomode" escape="javascript"/>
<orion:message key="scor.config.internal.productmode.action.resetmode.success" var="successResetmode" escape="javascript"/>


<orion:core>
    <orion:corehead/>
    	<orion:corebody>
    		<orion:navigation/>
      	    <orion:content>

			<orion:titlebar id="titleHtmlId" text="${title}"/>
			<orion:box>
		
				<table height="30%" width="50%">				
					<tr>
						<td>&nbsp;</td>
						<td id="resultInfoDivHtmlId" style="font-weight: bold; color: black;"></td>
					</tr>
				</table>
				<table width="30%">
					<tr>
						<td class="OrionSummaryColumn">
							<orion:button id="switchToDemoModeButtonNameHtmlId" 
								text="${demomode}"
								style="font-weight: bold"
								onclick="scor.config.internal.switchToDemoMode()"/>
						</td>
						<td class="OrionSummaryColumn">
							<orion:button id="resetModeButtonNameHtmlId" 
								text="${resetmode}"
								style="font-weight: bold"
								onclick="scor.config.internal.resetMode()"/>
						</td>					
					</tr>
				</table>			
			</orion:box>
			
      		<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>" />
			<script type="text/javascript">
				var scor;
				scor = scor || {};
				scor.config = scor.config || {};
				scor.config.internal = scor.config.internal || {};
			
				
				
				scor.config.internal.switchToDemoMode = function () {
					var params = new Array();
					scor.actions.doAsyncAction('/SOLIDCORE_META/switchToDemoMode.do', params, 
						scor.config.internal.switchToDemoModeSuccess, null);
					scor.config.internal.hideInfoBox();
				};
			
				scor.config.internal.switchToDemoModeSuccess = function (result,code, msg) {
					scor.config.internal.showSuccessInfo('${successDemomode}');
				};
			
				
				scor.config.internal.resetMode = function () {
					var params = new Array();
					scor.actions.doAsyncAction('/SOLIDCORE_META/resetMode.do', params, 
						scor.config.internal.resetModeSuccess, null);
					scor.config.internal.hideInfoBox();
				};	
			
				scor.config.internal.resetModeSuccess = function (result, code, msg) {
					scor.config.internal.showSuccessInfo('${successResetmode}');
				};
				
				scor.config.internal.showSuccessInfo = function (msg) {
					$('resultInfoDivHtmlId').innerHTML = msg;
					scor.config.internal.showSuccessInfoBox();
				};
			
			
				scor.config.internal.hideInfoBox = function () {
					$('resultInfoDivHtmlId').style.display = 'none';
				};
				
				scor.config.internal.showSuccessInfoBox = function () {
					$('resultInfoDivHtmlId').style.display = '';
				};
				OrionCore.addLoadHandler(scor.config.internal.hideInfoBox);
			</script>

		</orion:content>
	</orion:corebody>
</orion:core>
