<!-- Copyright (C) 2014 McAfee, Inc.  All rights reserved.  -->
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib uri="http://www.mcafee.com/orion/response" prefix="resp" %>

<orion:message key="syslog.severity.title" var="syslogSeverity"/>
<orion:message key="syslog.selectServer.title" var="syslogSelectServer" />
<orion:message key="syslog.sendtosyslog.message" var="syslogMessageLabel" />
<table>
    <tr valign="top">
        <td class="orionSummaryHeader">${syslogSeverity}:</td>

        <td class="orionSummaryColumn">
            <orion:select id="${instanceId}_selectSeverity"
                name="severity"
                items="${severityOptions}"
                selected="${severity}"/>
        </td>
    </tr>

	<tr>
		<td class="orionSummaryHeader">${syslogSelectServer}:</td>
		<td class="orionSummaryColumn"><orion:select id="${instanceId}_selectServers" size="4" multiple="true"  items="${syslogServersItems}" onchange="fn${instanceId}_selectServersOnChange()">
		    </orion:select>
		</td>
    </tr>
    <tr>
        <td class="orionSummaryHeader" align="top">${syslogMessageLabel}:</td>
        <td class="orionSummaryColumn"><orion:textbox id="${instanceId}_value" maxlength="1024" size="100"/>
           <br/><br/><resp:tokeninsert id="${instanceId}_tk" fieldId="${instanceId}_value" />
        </td>
    </tr>
</table>
<input type="hidden" id="${orion:escapeHtml(instanceId)}_serverId"/>



<script type="text/javascript">
function fn${orion:escapeJavaScriptString(instanceId)}_selectServersOnChange()
{
  if ($("${orion:escapeJavaScriptString(instanceId)}_selectServers").selectedIndex == -1)
  {
     $("${orion:escapeJavaScriptString(instanceId)}_selectServers").selectedIndex = 0;
  }
}
function fn${orion:escapeJavaScriptString(instanceId)}_matches(value, list) {
    for ( var i = 0; i < list.length; i++) {
        if (list[i] === value) {
            return true;
        }
    }
    return false;
}
var mydata;
 function mySet( data )
        {
            mydata = data;
            var severity = data["severity"];
            $("${orion:escapeJavaScriptString(instanceId)}_selectSeverity").selectedIndex = severity;

            var hiddenServerIdEle = $("${orion:escapeJavaScriptString(instanceId)}_serverId");

            var server = data["server"];
            var serverIdList = data["serverId"];
            var serverId = serverIdList.split(",");
            var selectSyslogServers = $("${orion:escapeJavaScriptString(instanceId)}_selectServers");
            severity.value=data["severity"];
            var options = selectSyslogServers.options
            $("${orion:escapeJavaScriptString(instanceId)}_value").value = data["message"];
            for (var i = 0; i < selectSyslogServers.length; i++)
            {
                if (fn${orion:escapeJavaScriptString(instanceId)}_matches(selectSyslogServers.options[i].value, serverId))
                {
                    selectSyslogServers.options[i].selected = true;
                }
            }


        }
function myGet()
{
            var data = {};
            var selectSyslogServers = $("${orion:escapeJavaScriptString(instanceId)}_selectServers");
            var selectedOptions = new Array();
            var options = selectSyslogServers.options;
            for (var oi = 0; oi < options.length;oi++){
                if (options[oi].selected){
                    selectedOptions[selectedOptions.length] = options[oi].value;
                }
            }
            if (selectedOptions.length == 0) {
              selectedOptions[0] = options[0].value;
            }
            data["serverId"] = selectedOptions;
            data["message"] = $("${orion:escapeJavaScriptString(instanceId)}_value").value;

            var severity = $("${orion:escapeJavaScriptString(instanceId)}_selectSeverity").selectedIndex;
            data["severity"] = severity;

            return data;

}
ComponentManager.registerComponent(${orion:escapeJavaScriptString(instanceId)},
    {
        getData : function()
        {
           return myGet();
        },

        setData : function( data )
        {
            mySet(data);
            return;
        }
    }

);
</script>