<!-- Copyright (C) 2014 McAfee, Inc.  All rights reserved.  -->
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib uri="http://www.mcafee.com/scor" prefix="scor" %>
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ page import="com.mcafee.scor.common.HelpConstants" %>
<%@ page import="com.mcafee.scor.common.Constants" %>
<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>"/>
<jsp:include page="/common/includejQuery.jsp"/>


<script type="text/javascript">
	OrionHelp.setHelpId("<%=HelpConstants.SERVER_TASK_CCT_REPORT_GENERATION%>");
</script>

<orion:message key="scor.task.server.filediff.copyToNetworkMsg" var="copyToNetworkMsgVar" escape="none"/>
<orion:message key="scor.task.server.filediff.ruleGroupName" var="ruleGroupName" escape="html"/>
<orion:message key="scor.task.server.filediff.findBtnTxt" var="findBtnTxt" escape="none"/>
<orion:message key="scor.task.server.filediff.queryName" var="queryName" escape="html"/>
<orion:message key="scor.task.server.filediff.lastNRevisions" var="lastNRevisions" escape="html"/>
<orion:message key="scor.task.server.filediff.mailTo" var="mailTo" escape="html"/>
<orion:message key="scor.task.server.filediff.mailto.helptext" var="mailHelpText" escape="html"/>
<orion:message key="scor.task.server.filediff.mailSubj" var="mailSubj" escape="html"/>
<orion:message key="scor.task.server.filediff.mailSubjDefault" var="mailSubjDefault" escape="none"/>
<orion:message key="scor.task.server.filediff.reportName" var="reportName" escape="html"/>
<orion:message key="scor.task.server.filediff.reportNameHelpText" var="reportNameHelpText" escape="html"/>
<orion:message key="scor.task.server.filediff.reportNameExtnPdf" var="reportNameExtnPdf" escape="html"/>
<orion:message key="scor.task.server.filediff.ruleGroupSearchdialogTitle" var="ruleGroupSearchdialogTitle" escape="javascript"/>
<orion:message key="scor.task.server.filediff.queriesSearchdialogTitle" var="queriesSearchdialogTitle" escape="javascript"/>
<orion:message key="scor.task.server.filediff.saveLocationInfoLbl" var="saveLocationInfoLbl" />
<orion:message key="scor.task.server.filediff.networkPath" var="networkPath" />
<orion:message key="scor.task.server.filediff.nwInfoMsg" var="nwInfoMsg" />
<orion:message key="scor.task.server.filediff.nwDomain" var="nwDomainParam" />
<orion:message key="scor.task.server.filediff.nwUser" var="nwUserParam" />
<orion:message key="scor.task.server.filediff.nwPwd" var="nwPwdParam" />
<orion:message key="scor.task.server.filediff.testBtn" var="tstBtnTxt" escape="none"/>
<orion:message key="scor.error.dialogBox.title" var="scorErrorDialogBoxTitle" escape="javascript"/>
<orion:message key="scor.task.server.filediff.testBtn.success" var="testBtnSuccess" escape="javascript"/>
<orion:message key="scor.error.duplicate" var="errorDuplicateJs" escape="javascript"/>
<orion:message key="scor.error.duplicate" var="errorDuplicateHtml" />
<orion:message key="scor.task.server.filediff.reportName.invalidCharactersInInput" var="invalidCharactersInInput" escape="javascript"/>
<orion:message key="scor.task.server.filediff.maxrevs.invalidRevisionValue" var="invalidMaxRevsValue" escape="javascript"/>
<orion:message key="scor.task.server.filediff.filepath.invalidUNCPath" var="invalidUncPath" escape="javascript"/>

<table id="fileDiffReportTableId" width="100%" style="border: 1px solid ; background-color: rgb(235, 235, 235);">
    <tr>
        <td width="10%">
            <label>${orion:escapeHtml(ruleGroupName)}</label>
        </td>
        <td> 
        <!--orion:textbox id="ruleGroupNameSearchId" name="ruleGroupNameSearch" required="true" value=""/--> 
        <scor:scorAutoCompleteTextBox id="ruleGroupNameSearchId" datasourceAttr="ruleGroupAutoCompleteds" minLength="3"/>
		            <orion:button id="search_button" text="${findBtnTxt}" disabled="false"  
		            onclick="scorFDshowRuleGroupDialogBox()"/>  
        </td>
    </tr>
    <tr></tr>
    <tr>
        <td width="10%">
            <label>${queryName}</label>
            </td>
        <td> <!--orion:textbox id="queryName" name="queryName" required="true" value=""/--> 
        <scor:scorAutoCompleteTextBox id="queryName" datasourceAttr="queriesAutoCompleteds" minLength="3"/>
              <orion:button id="search_button" text="${findBtnTxt}" disabled="false"  
		            onclick="scorFDshowQueriesDialogBox()"/>  
        </td>
    </tr>
    <tr></tr>
    <tr>
         <td width="10%">
            <label>${lastNRevisions}</label>
           </td>
        <td>  <orion:numberbox id="lastNRevs" name="lastNRevs" minimum="1" maximum="100" value="10"/><span id="filediff_maxRevs_error" class="orionInputErrorText"></span>
         </td>
    </tr>
    <tr></tr>
    <tr>
         <td width="10%">
            <label>${mailTo}</label>
           </td>
        <td>  <orion:textbox id="emailTo" name="email" onvalidate="OrionValidate.areEmailAddresses" required="true" maxlength="500"/> 
					<label>${mailHelpText}</label>
         </td>
    </tr>
    <tr></tr>
    <tr>
         <td width="10%">
            <label>${mailSubj}</label>
           </td>
        <td>  <orion:textbox id="mailSubj" name="mailSubj" required="true" value="${mailSubjDefault}"  /> 
         </td>
    </tr>
    <tr></tr>
     <tr>
         <td width="10%">
            <label>${reportName}</label>
           </td>
        <td>  <orion:textbox id="reportName" name="reportName" required="true" />_<orion:textbox id="reportNameDateFormat" name="reportNameDateFormat" required="true" value="MM-dd-yyyy HH-mm-ss"/>
        <label>${reportNameExtnPdf}</label>
         </td>
    </tr>
    <tr><td colspan="2"><label>${reportNameHelpText}</label></td></tr>
    <tr><td colspan="2"><span id="filediff_reportName_error" class="orionInputErrorText"></span></td></tr>
    <tr></tr>
</table>
<br>
<div id ="reportSavingConfId" width="100%" style="border: 1px solid ; background-color: rgb(235, 235, 235);">
<table width="100%">
 <tr>
 <td>
 <orion:checkbox id="copyOverNetworkCKBox" onclick="scorOnSendOptionChange();" text="${copyToNetworkMsgVar}"/>
</td></tr>
</table>

<table id="saveReprtTableId"  width="100%" style="display:none;">
    <tr>
		<td colspan="2">
			${saveLocationInfoLbl}
		</td>
	</tr>
	<tr>		
		<td colspan="2">
			<div>
			${networkPath}
			<orion:textbox id="binaryPath" required="true"/>		
			<span id="binaryPath_unc_Error" class="orionInputErrorText"></span>
			</div>
		</td>		
	</tr>			
	<tr>		
		<td colspan="2">
			<div id="nwConfigPanel">				
				<table>
					<tr>
						<td colspan="2">
							 <div style="margin-top: 5px;margin-bottom: 5px">${nwInfoMsg}</div>
						</td>
					</tr>
					<tr>
						<td>${nwDomainParam}</td>
						<td>
							<input type="text" id="domainId" />							
						</td>						
					</tr>				
					<tr>
						<td>${nwUserParam}</td>
						<td>
							<input type="text" id="userId" />					
						</td>
					</tr>	
					<tr>
						<td>${nwPwdParam}</td>
							<td><input type="password" id="pwdId" />							
						</td>
					</tr>	
					<tr>
				<td>
					<orion:button disabled="true" id="testBtnId" text="${tstBtnTxt}" onclick="scorFDtestCredentials();"/>									
				</td>
			</tr>			
				</table>
			</div>
			<div id="info_test_con" style="display:none;">
        	*&nbsp;${errorDuplicateHtml}
   			</div>			
		</td>		
	</tr>				
</table>
</div>

<script type="text/javascript">

scorFDsetDialogSize = function(){
    scorSetDialogSize(400,600);
}

scorFDEnableNavigation = function(){
 var isValid = true;
 if(scor.utils.isNullOrEmpty(document.getElementById('ruleGroupNameSearchId'))){
 	isValid = false;
 }
 if(isValid && scor.utils.isNullOrEmpty(document.getElementById('queryName'))){
 	isValid = false;
 }
 if(isValid && scor.utils.isNullOrEmpty(document.getElementById('emailTo'))){
 	isValid = false;
 }
 if(isValid && !OrionValidate.areEmailAddresses($j("#emailTo").val())){
 	isValid = false;
 }
 if(isValid && scor.utils.isNullOrEmpty(document.getElementById('mailSubj'))){
 	isValid = false;
 }
 if(isValid && scor.utils.isNullOrEmpty(document.getElementById('reportName'))){
 	isValid = false;
 }
 if(isValid && scor.utils.isNullOrEmpty(document.getElementById('reportNameDateFormat'))){
 	isValid = false;
 }
 
if(isValid){ 
	var validationResult = scorFDIsFileContainsInvalidChars();
		if(!validationResult.getIsValid()){
			isValid = false;
		}
}

if(isValid && $j('#copyOverNetworkCKBox').is(':checked')){
	var binary_path = $j('#binaryPath').val();
	
	if(!scor.validation.isNetworkPath(binary_path)){
 		isValid = false;
	}
}
 if(isValid){
 		OrionWizard.enableNavigation();
 }else{
  	OrionWizard.disableNavigation();
 }
 return isValid;
}

scorFDvalidateFileNameForCharacters = function(){
	var validationResult = scorFDIsFileContainsInvalidChars();
	if(!validationResult.getIsValid()){
		   msg = '${invalidCharactersInInput}';
	       $j("#filediff_reportName_error").html(msg);
	       OrionWizard.disableNavigation();
	}else{
		$j("#filediff_reportName_error").html("");
		scorFDEnableNavigation();
	}
}
scorFDIsFileContainsInvalidChars = function(){
var reportNameValue = $j("#reportName").val();
	var reportSuffixValue = $j("#reportNameDateFormat").val();
	var fieldValue = reportNameValue + "_" + reportSuffixValue;
	return scor.validation.windowsFileNameCharactersValidater(fieldValue);
}

OrionEvent.registerHandlerById('reportName', scorFDvalidateFileNameForCharacters,  null, 'keyup', false);
OrionEvent.registerHandlerById('reportNameDateFormat', scorFDvalidateFileNameForCharacters,  null, 'keyup', false);

 scorFDshowRuleGroupDialogBox = function(){
        var type= '<%=Constants.POLICY_GROUP_TYPE_MON%>';
        var grpNameCrit = $j('#ruleGroupNameSearchId').val();
  		var paramMap={};
  		paramMap["type"] = scor.utils.trim(type);
  		paramMap["osType"]="WIN";
  		paramMap["ruleGroupName"]=scor.utils.trim(grpNameCrit);
  		paramMap["userDefinedRuleGroupsOnly"]="true";
  		var filterStr = JSON.stringify(paramMap);
  		
  		var params = {};
		params["filter"] = filterStr;
  		
    OrionCore.setDialogBoxTitle('${ruleGroupSearchdialogTitle}');
    OrionCore.showAsyncDialogBox( true, "<%=URLConstants.SEARCH_RULE_GROUP_DIALOG_URL%>",null,scorFDsetDialogSize,params);
	OrionCore.dialogBoxOkHandler = scorFDfindRuleGroupDialogHandler;
	ScorAutoComplete.setFilter("ruleGroupAutoCompleteds",filterStr);
   }
  
scorOnSendOptionChange  = function(){
	if($j('#copyOverNetworkCKBox').is(':checked')){
		$j('#saveReprtTableId').show();		
	}else{
		$j('#saveReprtTableId').hide();		
	}
	scorFDEnableNavigation();
}
scorFDshowQueriesDialogBox = function(){
        var paramMap={};
        paramMap["type"] = 'SCOR_FD_FILE_REPOS';
        paramMap["queryNameCrit"] = $j('#queryName').val();
		var filterStr = JSON.stringify(paramMap);
       	
       	var params = {};
		params["filter"] = filterStr;
		
    OrionCore.setDialogBoxTitle('${queriesSearchdialogTitle}');
    OrionCore.showAsyncDialogBox( true, "<%=URLConstants.SEARCH_QUERIES_DIALOG_URL%>",null,scorFDsetDialogSize,params);
	OrionCore.dialogBoxOkHandler = scorFDfindQueriesDialogHandler;
	ScorAutoComplete.setFilter("queriesAutoCompleteds",filterStr);
   }
   
scorFDfindRuleGroupDialogHandler  = function(){
	var selectedIds=ScorDialogTable.getSelectedUIDs('ruleGroupTableD');
    if(selectedIds.length === 0){
		return false;
    }
    var cells = ScorDialogTable.getRowData('ruleGroupTableD',selectedIds[0]);
    var ruleGroupName = cells[0];
    $j('#ruleGroupNameSearchId').val(OrionCore.unescapeHtml(ruleGroupName));
    scorFDEnableNavigation();
} 

scorFDfindQueriesDialogHandler  = function(){
	var selectedIds=ScorDialogTable.getSelectedUIDs('queriesTableD');
    if(selectedIds.length === 0){
		return false;
    }
    var cells = ScorDialogTable.getRowData('queriesTableD',selectedIds[0]);
    var queryName = cells[0];
    $j('#queryName').val(OrionCore.unescapeHtml(queryName));
     scorFDEnableNavigation();
} 

scorFDValidateMaxRevsValueForMaxLimit = function(){
	var maxRevsValue = $j("#lastNRevs").attr('value');
	if(maxRevsValue > 100){
		$j("#lastNRevs").attr('value', '100');
		 msg = '${invalidMaxRevsValue}';
		 $j("#filediff_maxRevs_error").html(msg);
		setTimeout(function() {
			$j("#filediff_maxRevs_error").html("");
  			}, 8000);
	}
}
    serverTaskVO = function(ruleGroupName,
    	    queryName,revisions,
    		mailTo,
    		mailSubject,
    		reportName,
    		reportDateSuffixFormat,
    		pathToSave,
    		domainName,
    		userName,
    		pwdTxt,
    		copyOnNetwork) {
    		
        var vo = {
                "ruleGroupName": ruleGroupName,
        		"queryName": queryName,
                "revisions": revisions,
                "mailTo": mailTo,
                "mailSubject": mailSubject,
                "reportName": reportName,
                "reportDateSuffixFormat": reportDateSuffixFormat,
    			"pathToSave": pathToSave,
    			"domainName": domainName,
    			"userName": userName,
    			"pwdTxt": pwdTxt,
    			"copyOnNetwork":copyOnNetwork
        };

        var commonFunc = scor.utils.getVosCommonFuncs(vo);

        return {
            "common": commonFunc
        };
    };
    
scorfilediffCheckUncAndUpdateTestBtn= function() {
	var binary_path=$('binaryPath').value;
	var test_btn = $('testBtnId');
	var testButton = new Button('testBtnId');
	var domainBox = $('domainId');
	var userBox = $('userId');
	var pwdBox = $('pwdId');

	if(scor.validation.isNetworkPath(binary_path)) {
		testButton.setEnabled(true);
		domainBox.disabled = false;
		userBox.disabled = false;
		pwdBox.disabled = false;
		$j("#binaryPath_unc_Error").html("");
	} else {
		testButton.setEnabled(false);
		domainBox.disabled = true;
		userBox.disabled = true;
		pwdBox.disabled = true;
		var msg='${invalidUncPath}';
		$j("#binaryPath_unc_Error").html(msg);
	}
	scorFDEnableNavigation();
};

OrionEvent.registerHandlerById('binaryPath', scorfilediffCheckUncAndUpdateTestBtn,  null, 'keyup', false);
OrionEvent.registerHandlerById('ruleGroupNameSearchId', scorFDEnableNavigation,  null, 'keyup', false);
OrionEvent.registerHandlerById('queryName', scorFDEnableNavigation,  null, 'keyup', false);
OrionEvent.registerHandlerById('lastNRevs', scorFDValidateMaxRevsValueForMaxLimit,  null, 'keyup', false);

scorResult = function(resObj) {
    var vo = {
        "returnCode":resObj.returnCode.code,
        "msg":resObj.msg,

        "result":resObj.result
    };
 
    return {
       
        "getReturnCode": function() {
            return vo.returnCode;
        },"getMsg": function() {
            return vo.msg;
        },"getResult": function() {
            return vo.result;
        },"isSuccess": function() {
            return vo.returnCode === 0;
        },"isFailure": function() {
            return !(this.isSuccess());
        }
    };
};

scorFDformatDataValue = function (input){
	if(input === undefined||input ===null){
		return "";
	} 
	return input;
}

scorFDcleanInfoDiv= function(msg){
	 var infoDiv = $('info_test_con');	    
	 infoDiv.innerHTML='*&nbsp;${errorDuplicateJs}';	
	 infoDiv.style.display = "none";   
	 scorFDEnableNavigation();
}
scorFDshowInfoMsg = function(msg){
	 var errorDiv = $('info_test_con');
    if (msg) {
        errorDiv.innerHTML = msg;
    } else {
        errorDiv.innerHTML='*&nbsp;${errorDuplicateJs}';
    }
    errorDiv.style.display = (msg ? "block" :"none");
}

scorFDtestCredentialsSuccess=function(result){
	 scorFDEnableNavigation();
	 scorFDshowInfoMsg('${testBtnSuccess}');
}

scorFDtestCredentials = function(){
	  scorFDcleanInfoDiv();	  
	  OrionWizard.disableNavigation();
	  OrionCore.setDialogBoxTitle('${scorErrorDialogBoxTitle}');
	  var binaryPathVal = $('binaryPath').value;
	  var domainVal = scorFDformatDataValue($('domainId').value);
	  var userVal = scorFDformatDataValue($('userId').value);
	  var pwdVal =  scorFDformatDataValue($('pwdId').value);
	  scor.actions.doAsyncAction("<%=URLConstants.FILE_DIFF_TEST_CONNECTION_URL%>",
	             ["BINARY_PATH", binaryPathVal,"DOMAIN",domainVal,"USER",userVal,"PWD",pwdVal],scorFDtestCredentialsSuccess);
}

_getData = function(container){
    	var ret = new Object();

	    var ruleGroupName = OrionCore.getChildNodeById(container, "ruleGroupNameSearchId").value;
	    ruleGroupName = scor.utils.trim(ruleGroupName);
	    
		var queryName = OrionCore.getChildNodeById(container, "queryName").value;
		queryName = scor.utils.trim(queryName);
		//var queryId =  scorFDgetQueryIdForName(queryName);
		//queryId = scor.utils.trim(queryId);
		
		//var queryId = OrionCore.getChildNodeById(container, "queryName").value;
		
		var revisions = OrionCore.getChildNodeById(container, "lastNRevs").value;
		revisions = scor.utils.trim(revisions);
		
	    var mailTo = OrionCore.getChildNodeById(container, "emailTo").value;
		mailTo = scor.utils.trim(mailTo);
		
	    var mailSubject = OrionCore.getChildNodeById(container, "mailSubj").value;
		mailSubject = scor.utils.trim(mailSubject);
		
	    var reportName = OrionCore.getChildNodeById(container, "reportName").value;
		reportName = scor.utils.trim(reportName);
		
	    var reportDateSuffixFormat = OrionCore.getChildNodeById(container, "reportNameDateFormat").value;
		reportDateSuffixFormat = scor.utils.trim(reportDateSuffixFormat);
		
		var pathToSave = OrionCore.getChildNodeById(container, "binaryPath").value;
		pathToSave = scor.utils.trim(pathToSave);
		
		var domainName = OrionCore.getChildNodeById(container, "domainId").value;
		domainName = scor.utils.trim(domainName);
		
		var userName = OrionCore.getChildNodeById(container, "userId").value;
		userName = scor.utils.trim(userName);
		
		var pwdTxt = OrionCore.getChildNodeById(container, "pwdId").value;
		pwdTxt = scor.utils.trim(pwdTxt);
		
		//var pwdTxt = OrionCore.getChildNodeById(container, "queryName").value;
		//pwdTxt = scor.utils.trim(pwdTxt);
		var copyOnNetwork = "false";
		if($j('#copyOverNetworkCKBox').is(':checked')){
			copyOnNetwork="true";
		}
		
        var vo = serverTaskVO(ruleGroupName,
    	    queryName,revisions,
    		mailTo,
    		mailSubject,
    		reportName,
    		reportDateSuffixFormat,
    		pathToSave,
    		domainName,
    		userName,
    		pwdTxt,
    		copyOnNetwork
    		);

		var jsonData = vo.common.getJSONString ();
		ret ["jsonTaskVO"] = jsonData;
		return ret;
};

_setData = function(container, data){
	var vo = JSON.parse (data.jsonTaskVO);
	
	  var ruleGroupName = OrionCore.getChildNodeById(container, "ruleGroupNameSearchId");
	  ruleGroupName.value = vo["ruleGroupName"];
	
	  var queryName = OrionCore.getChildNodeById(container, "queryName");
	  queryName.value = vo["queryName"];
	  
	  var revisions = OrionCore.getChildNodeById(container, "lastNRevs")
	  revisions.value = vo["revisions"];
	  
	  var mailTo = OrionCore.getChildNodeById(container, "emailTo");
	  mailTo.value = vo["mailTo"];
	  
	  var mailSubject = OrionCore.getChildNodeById(container, "mailSubj");
	  mailSubject.value = vo["mailSubject"];
	  
	  var reportName = OrionCore.getChildNodeById(container, "reportName");
	  reportName.value = vo["reportName"];
	  
	  var reportDateSuffixFormat = OrionCore.getChildNodeById(container, "reportNameDateFormat");
	  reportDateSuffixFormat.value = vo["reportDateSuffixFormat"];
	  
	  var pathToSave = OrionCore.getChildNodeById(container, "binaryPath");
	  pathToSave.value = vo["pathToSave"];

	  if(vo["copyOnNetwork"] === "true"){
		  $j('#copyOverNetworkCKBox').attr('checked', true);
		  var domainName = OrionCore.getChildNodeById(container, "domainId");
		  domainName.value=vo["domainName"];
		
		  var userName = OrionCore.getChildNodeById(container, "userId");
		  userName.value=vo["userName"];	
		
		  var pwdTxt = OrionCore.getChildNodeById(container, "pwdId");
		  pwdTxt.value=vo["pwdTxt"];		
		  scorfilediffCheckUncAndUpdateTestBtn();
		  scorOnSendOptionChange();		
	}else{
		//Next button of OrionWizard is not getting enabled in this case hence added this hack of calling _allowSubmit function.
		$j('#copyOverNetworkCKBox').attr('checked', false);
		var isValid = scorFDEnableNavigation();
		if(isValid){
			_allowSubmit();
		}
	}	
}

_allowSubmit = function() {
	return  true;
}

</script>