--
-- Copyright (C) 2011 - 2012 XEROX CORPORATION  All rights reserved
--
IF  EXISTS
(
    SELECT name FROM sysobjects
    WHERE name = 'Xerox_MFP_AllProperties_View'
    AND type = 'V'
)
DROP VIEW [Xerox_MFP_AllProperties_View]
GO

IF  EXISTS
(
    SELECT * FROM sys.foreign_keys
    WHERE object_id = OBJECT_ID(N'[dbo].[FK_Xerox_MFP_AllProperties_EPOProductProperties]')
    AND parent_object_id = OBJECT_ID(N'[dbo].[Xerox_MFP_AllProperties]')
)
ALTER TABLE [dbo].[Xerox_MFP_AllProperties]
    DROP CONSTRAINT [FK_Xerox_MFP_AllProperties_EPOProductProperties]
GO

IF  EXISTS
(
    SELECT name FROM sysobjects
    WHERE name = 'Xerox_MFP_AllProperties'
    AND type = 'U'
)
DROP TABLE [Xerox_MFP_AllProperties]
GO

IF  EXISTS
(
    SELECT name FROM sysobjects
    WHERE name = 'Xerox_MFP_Log'
    AND type = 'U'
)
DROP TABLE [Xerox_MFP_Log]
GO

