<%-- COPYRIGHT:		Copyright (C) 2008-2018 McAfee, Inc.  All rights reserved--%>
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>

<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<orion:script context="/core" src="/majic.js"/>

<orion:script context="/SOLIDCORE_META" src="/jsFiles/vos/awlvos.js"/>
<orion:message key="scor.configawl.application.title" var="applicationTitleMsg" escape="javascript" />
<orion:message key="scor.configawl.publishers.title" var="publishersTitleMsg" escape="javascript" />
<orion:core>
	<orion:corehead />
		<orion:corebody>
			<orion:navigation tabId="main" />
				<orion:content>
					<orion:box id="configIDTab" height="24"/>
                    <jsp:include page="/awl/TablePublisher.jsp"/>
					<jsp:include page="<%=URLConstants.JSP_CONFIG_APPS%>"/>
				</orion:content>
		</orion:corebody>
</orion:core>

<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>"/>
<script type="text/javascript">
function fnSetTabStrip()
{
    var tabSwapper = new majic.SwapTabStrip( "configIDTab", {
        "scorAddAppTabId": {
            title: '${applicationTitleMsg}'
        } ,
        "ConfigPub": {
            title: '${publishersTitleMsg}'
        }
    } );
}

// Core Load handler for things to run when the page loads.
OrionCore.addLoadHandler (fnSetTabStrip);
</script>
<%-- Data Loading --%>
<script type="text/javascript">
    function scorLoadAWLPages(){
        loadPublisher();
        loadApps();
    }
	OrionCore.addLoadHandler (scorLoadAWLPages);
</script>
