<%-- COPYRIGHT:		Copyright (C) 2014-2018 McAfee, Inc.  All rights reserved--%>
<%@ page import="com.mcafee.orion.core.OrionCore" %>
<%@ page import="com.mcafee.scor.common.Constants" %>
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ page import="com.mcafee.scor.policy.PolicyConstants" %>
<%@ page import="com.mcafee.scor.trusteduser.TrustedUserConstants" %>

<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://www.mcafee.com/scor" prefix="scor" %>
<orion:script context="/core" src="/majic.js"/>

<orion:style context="/SOLIDCORE_META" url="/css/override.css" />

<orion:message key="scor.awl.trustedUsers.listBox.heading.user" var='listUserHeading' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.listBox.heading.displayName" var='listUserDisplayNameHeading' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.listBox.heading.tag" var='listTagHeading' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.listBox.heading.type" var='listTypeHeading' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.addUser.heading.userId" var='addUserUID' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.addUser.heading.tag" var='addUserTag' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.addUser.displayName" var='addUserDisplayName' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.searchUser.userName" var='adSearchUserUName' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.searchUser.groupName" var='adSearchUserGName' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.searchGroup.groupName" var='adSearchGroupGName' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.importFromLDAP.heading.LDAPList" var='ldapListHTML' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.radio.ADUserType.user" var='adTypeUser' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.radio.ADUserType.group" var='adTypeGroup' escape="HTML"/>
<orion:message key='scor.awl.trustedUsers.importFromAD.findBtn' var='findBtnText'  escape="none"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.userSearchList.select" var='adUserSearchSelect' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.userSearchList.displayName" var='adUserSearchDisplayName' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.userSearchList.user" var='adUserSearchUser' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.userSearchList.tag" var='adUserSearchTag' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.searchUser.groupName" var='headingGroupName' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.heading.gidNumber" var='headingGIDNumber' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.heading.user.name" var='headingName' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.heading.userId" var='headingUserId' escape="HTML"/>

<orion:message key="scor.awl.trustedUsers.importFromAD.groupSearchList.select" var='adGroupSearchSelect' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.groupSearchList.group" var='adGroupSearchGroup' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.groupSearchList.tag" var='adGroupSearchTag' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.button.add" var='addBtn' escape="javascript"/>
<orion:message key="scor.awl.trustedUsers.button.edit" var='editBtn' escape="javascript"/>
<orion:message key="scor.awl.trustedUsers.button.remove" var='removeBtn' escape="javascript"/>
<orion:message key="scor.awl.trustedUsers.button.importFromLDAP" var='importLDAPBtn' escape="javascript"/>
<orion:message key="scor.awl.trustedUsers.importFromLDAP.dialogBox.title" var='importLDAPTitle' escape="javascript"/>
<orion:message key="scor.awl.trustedUsers.addUser.heading" var='importADAddUser' escape="javascript"/>
<orion:message key="scor.awl.trustedUsers.editUser.heading" var='importADEditUser' escape="javascript"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.searchADListFailed" var='searchADListFailed' escape="javascript"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.searchUsersFromADFailed" var='searchUsersFromADFailed' escape="javascript"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.searchGroupsFromADFailed" var='searchGroupsFromADFailed' escape="javascript"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.searchUsersLimit" var='trustedUserSearchLimitLabel' params='<%=Constants.AD_USERS_RESULT_LIMIT_LABEL%>' escape="javascript"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.searchGroupsLimit" var='trustedGroupSearchLimitLabel' params='<%=Constants.AD_GROUPS_RESULT_LIMIT_LABEL%>' escape="javascript"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.emptyLdapServerList" var='emptyLDAPServerListErrorLabel' escape="javascript"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.chkBox.globalCatalog" var='globalCatalog' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.label.searchFor" var='searchFor' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.label.searchBy" var='searchBy' escape="HTML"/>

<orion:message key="scor.awl.trustedUsers.importFromLDAP.radio.searchUserByUID" var='searchUserByUID' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.importFromLDAP.radio.searchUserByName" var='searchUserByName' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.importFromLDAP.userSearchList.userId" var='ldapUserHeader' escape="HTML" />

<orion:message key="scor.awl.trustedUsers.noteText" var='trustedUserNoteText' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.listBox.heading.includeSubgroups" var='listIncludeSubgroups' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.importFromAD.groupSearchList.subgroups" var='adGroupSearchSubgroups' escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.ldapGroups.async.warning" var='ldapGroupsAsyncWarning' escape="HTML"/>
<orion:message key="scor.trustedUsers.duplicate.label" var="duplicateLabel" escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.no.editPermission.msg" var="noEditPermissionMsg" escape="HTML"/>
<orion:message key="scor.awl.trustedUsers.repeated.error.msg" var='repeated_error_msg' escape="javascript"/>

<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToViewRuleGroupTrustedUserRules" authToken = "isAuthorizedToViewTrustedUserRules"/>

<orion:box id="trustedUsersTabId">
	<div id="trustedUsersErrorDivId" class="errorRuleTab">${noEditPermissionMsg}</div>
    <table id="trustedUsersTableId" cellspacing="0" cellpadding="0" width="98%">
        <%@ include file="../AdjustOtherTabs.jsp" %>
	<tr>
		<td><br>&nbsp;&nbsp;${ldapGroupsAsyncWarning}</td>
	</tr>
        <tr>
            <td class="orionSummaryColumn">
                <!-- width is 98% of the width of the list widget so its 882px-->
                <table cellspacing='3' cellpadding='0' width='882px'>
                    <tr>
                        <td width="9%"><b>${listTypeHeading}</b></td>
                        <td width="33%"><b>${listUserHeading}</b></td>
                        <td width="18%"><b>${listUserDisplayNameHeading}</b></td>
                        <td width="25%"><b>${listTagHeading}</b></td>
						<td width="15%"><b>${listIncludeSubgroups}</b></td>
                    </tr>
                </table>
                <orion:box id="trustedUsersListContainerId" height="auto" width="620"/>
            </td>
        </tr>
    </table>

    <div id="trustedUsersListRowTemplateId" style="display:none;">
        <table cellspacing='0' cellpadding='0' width='98%' style="table-layout: fixed" >
            <tr>
                <td width='9%'>
                    @trustedUsersTypeId
                </td>
                <td width='33%' class="scorWordWrap">
                    @trustedUsersUNameId
                </td>
                <td width='18%' class="scorWordWrap">
                    @trustedUsersDisplayNameId
                </td>
                <td width='25%' class="scorWordWrap">
                    @trustedUsersTagId
                </td>
				<td width='15%' class="scorWordWrap">
					@trustedUsersSubgroupsId
                </td>
                <td width='0%' style="display:none;">
                    @trustedUsersNetbiosNameId
                </td>
                <td width='0%' style="display:none;">
                    @trustedUsersUidNumberId
                </td>
                <td width='0%' style="display:none;">
                    @trustedUsersGidNumberId
                </td>
                <td width='0%' style="display:none;">
                    @trustedUsersLdapServerId
                </td>
                <td width='0%' style="display:none;">
                    @trustedUsersLdapServerTypeId
                </td>
                <td width='0%' style="display:none;">
                    @trustedUsersOsTypeId
                </td>		
            </tr>
        </table>
    </div>


    <div id="trustedUsersEditorTemplateId" style="display:none;">
            <br>
            ${trustedUserNoteText}
            <br>
            <br>
        <table width="100%">
            <tr>
                <td width="25%">${addUserUID}:</td>
                <td width="75%">
                    <orion:textbox id="trustedUsersUNameId" required="true" maxlength="255"/>
                </td>
            </tr>
            <tr>
                <td width="25%">${addUserTag}:</td>
                <td width="75%">
                    <orion:textbox id="trustedUsersTagId" required="true" maxlength="255"/>
                </td>
            </tr>
            <tr>
                <td width="25%">${addUserDisplayName}:</td>
                <td width="75%">
                    <orion:textbox id="trustedUsersDisplayNameId" maxlength="255"/>
                </td>
            </tr>
        </table>

        <input type="hidden" id="trustedUsersTypeId"/>
        <input type="hidden" id="trustedUsersADId"/>
		<input type="hidden" id="trustedUsersSubgroupsId"/>
		<input type="hidden" id="trustedUsersNetbiosNameId"/>
		<input type="hidden" id="trustedUsersUidNumberId"/>
		<input type="hidden" id="trustedUsersGidNumberId"/>
		<input type="hidden" id="trustedUsersLdapServerId"/>
		<input type="hidden" id="trustedUsersLdapServerTypeId"/>
		<input type="hidden" id="trustedUsersOsTypeId"/>

        <div id="error_include" style="display:none;color:red;">
            *&nbsp;${duplicateLabel}
        </div>

    </div>
</orion:box>


<div id="trustedUsersADUserSearch" style="display:none;" >
    <table width='100%'>
        <tr>
            <td width="30%">${searchBy}:</td>
            <td width="35%">
               <input type="radio" name="searchBy" id="searchBy" checked="" value="<%=TrustedUserConstants.SEARCH_USER_BY_UID%>" onclick="clearSearchListDiv();"/>
                ${searchUserByUID}
            </td>
            <td width="35%">
               <input type="radio" name="searchBy" id="searchBy" value="<%=TrustedUserConstants.SEARCH_USER_BY_USERNAME%>" onclick="clearSearchListDiv();"/>
                ${searchUserByName}
            </td>
        </tr>
        <tr>
            <td width="30%">${adSearchUserUName}:</td>
            <td width="35%" colspan="2">
                <orion:textbox id="trustedUsersSearchUser" required="true" maxlength="240"/>
            </td>
        </tr>
        <tr>
            <td width="30%">${adSearchUserGName}:</td>
            <td width="35%" colspan="2">
                <orion:textbox id="trustedUsersGroupName" maxlength="240"/>
            </td>
        </tr>
    </table>
</div>


<div id="trustedUsersADGroupSearch" style="display:none;">
    <table width='100%'>
        <tr>
            <td width="30%">${adSearchGroupGName}:</td>
            <td width="70%">
                <orion:textbox id="trustedUsersADGroupName" required="true" maxlength="255"/>
            </td>
        </tr>
    </table>
</div>


<div id="trustedUsersImportFromAD" style="display:none;">
    <label id="emptyADListError" style="color:red;"></label>
    <div id="adInnerDiv">
        <table width="100%">
            <tr>
                <td width="30%">${ldapListHTML}</td>
                <td width="35%" colspan="2">
                    <div id="adDropDownList"></div>
                </td>
            </tr>

            <tr>
                <td width="30%">${searchFor}:</td>
                <td width="35%">
                    <label>
                        <input type="radio" name="adUserType" id="adUserType" value="User" checked="" onclick="setADRadioInputUI('trustedUsersADUserSearch','User');"/>
                        ${adTypeUser}
                    </label>
                </td>
                <td width="35%">
                    <label>
                        <input type="radio" name="adUserType" id="adUserType" disabled="disabled" value="Group" onclick="setADRadioInputUI('trustedUsersADGroupSearch','Group'); "/>
                        ${adTypeGroup}
                    </label>
                </td>
            </tr>
        </table>

        <div id="trustedUsersADRadioClick"> </div>

        <orion:button id="findBtnId" text='${findBtnText}' onclick="trustedUsersSearchAD();"/>

        <div id="trustedUsersSearchADList"></div>
        <label id="searchTrustedLimit" style="font-weight: bold"></label>
        <div id="error_include" style="display:none;color:red;">
            *&nbsp;${duplicateLabel}
        </div>
    </div>
</div>

<div id="scorUsersHeaderTemplate" style="display:none;">
    <table cellspacing='3' cellpadding='0' width='95%'>
        <tr>
            <td width="15%"><b>${adUserSearchSelect}</b></td>
            <td width="30%"><b>${headingUserId}</b></td>
            <td width="20%"><b>${headingName}</b></td>
            <td width="20%"><b>${headingGroupName}</b></td>
            <td width="15%"><b>${headingGIDNumber}</b></td>
        </tr>
    </table>
</div>


<div id="scorGroupsHeaderTemplate" style="display:none;">
    <table cellspacing='3' cellpadding='0' width='95%'>
        <tr>
            <td width="15%"><b>${adGroupSearchSelect}</b></td>
            <td width="40%"><b>${adGroupSearchGroup}</b></td>
            <td width="25%"><b>${headingGIDNumber}</b></td>
			<td width="20%"><b>${adGroupSearchSubgroups}</b></td>
        </tr>
    </table>
</div>


<script type="text/javascript">
<c:if test = "${isAuthorizedToViewTrustedUserRules == false}">
	$j('#trustedUsersTabId').hide();
</c:if>
var trustedUsersEntityType;
var trustedUsersList;
var trustedUsersSearchList;
var trustedUsersSearchLimit = 10;
var trustedGroupsSearchLimit = 10;
setADRadioInputDiv("trustedUsersADUserSearch","User");

function initializeTrustedUsers(){

        trustedUsersList = new majic.ListWidget({
        container: "trustedUsersListContainerId",
        width: "900px",
        height: "320px",
        addCallback: trustedUsersAddCallback,
        editCallback: trustedUsersEditCallback,
        removeCallback: myEpoEnableApplyButton,
        <%--disable edit button when group row is selected in majic list--%>
        selectCallback: function(selected) {
			try {
        		var listRows = trustedUsersList.getRows();
				var selectedRow = listRows[selected.id];
				var type = selectedRow.trustedUsersTypeId;
				var editButton = trustedUsersList.buttonElements[1];
				if(type==="Group"){							
					if(editButton != null){
						OrionCore.setEnabled(editButton, false);
					}
				}else{
					if(editButton != null){
			   			OrionCore.setEnabled(editButton, true);
					}   
				}
			} catch (ex) {
				<%-- ignoring errors --%>
			}
        },
        buttons: {
             'add': '${addBtn}',
             'edit': '${editBtn}',
             'remove': '${removeBtn}',
             'import': '${importLDAPBtn}'
            },
            content: $('trustedUsersEditorTemplateId').innerHTML,
            displayText: $('trustedUsersListRowTemplateId').innerHTML,
			formatCallback: listWidgetformatCallback 
        });

        var importButton = trustedUsersList.buttonElements[3];
        importButton.onclick = showImportPopUp;

}

OrionCore.addLoadHandler (initializeTrustedUsers);

function showImportPopUp(){
    scor.actions.doAsyncAction("<%=URLConstants.SEARCH_AD_LIST_URL%>", ["osType","<%=PolicyConstants.POLICY_OS.UNIX.getValue()%>"], _searchADListSuccess, _searchADListFailure, "POST");
}


function _searchADListSuccess(result){

    trustedUsersEntityType = "User";
    var adList =   result['adVOList'];
    var dropDownList  = $('adDropDownList');
    dropDownList.innerHTML = '';
    var dropDownDiv = document.createElement("DIV");
    var dropDownBox = document.createElement("SELECT");
    dropDownBox.setAttribute("id","adDropDownId");

    for(var i=0; i < adList.length; i++){
        var option = document.createElement("OPTION");
        var adName = adList[i].name;
        option.appendChild(document.createTextNode(adName));
        var adId = adList[i].id
        option.setAttribute("value",adId);
        dropDownBox.appendChild(option);
    }
    dropDownDiv.appendChild(dropDownBox);
    dropDownList.innerHTML = dropDownDiv.innerHTML;

    OrionCore.showDialogBox(true, $('trustedUsersImportFromAD').innerHTML, OrionCore.DIALOG_OK_CANCEL);
    scorSetDialogSize(400,700);
    OrionCore.setDialogBoxTitle('${importLDAPTitle}');
    var adDropDown = scor.utils.GetElementFromDialogBox('adDropDownId','select');
    OrionEvent.registerHandler(adDropDown, adDropDownListChangeHandler, null, 'change', false);
       
    if(adList.length === 0){
        var emptyADListLabel = scor.utils.GetElementFromDialogBox('emptyADListError','label');
        emptyADListLabel.innerHTML = '${emptyLDAPServerListErrorLabel}';
        hideAllADImportDialogElements();
    }else {
        registerSearchADUser();
        OrionCore.dialogBoxOkHandler = function(){
            if(trustedUsersEntityType === "Group"){
                var validationObj =  searchADGroupValidator();
                if(validationObj.isInvalid()){
                    return false;
                }
                unregisterSearchADGroup();
            } else {
                var validationObj = searchADUserValidator();
                if(validationObj.isInvalid()){
                    return false;
                }
                unregisterSearchADUser();
            }
            epoEnableApplyButton();
            var chkBoxes = scor.utils.scorFindElementsByNames($('<%=Constants.dialogBoxId%>'), 'input', 'trustedUserChkBox');
            var idList = scor.utils.getValuesOfSelectedChkBoxes(chkBoxes);
            trustedUsersFormData(idList);
        };
    }
}


function adDropDownListChangeHandler(){
       var globalCatalogBox = scor.utils.GetElementFromDialogBox('globalCatalogChkBox','input');
       if(globalCatalogBox !== null){
           globalCatalogBox.checked = false;
       }
       var globalCatalogHiddenField =  scor.utils.GetElementFromDialogBox('globalCatalog','input');
       if (globalCatalogHiddenField !== null){
           globalCatalogHiddenField.value = 'false';
       }
       clearADSearchList();
}

function hideAllADImportDialogElements(){
    var adInnerDiv = scor.utils.GetElementFromDialogBox('adInnerDiv','div');
    adInnerDiv.style.display = "none";
}


function trustedUsersFormData(selectedIDs){

    for (var rowKey in selectedIDs)
    {
        var selectedID = selectedIDs[rowKey];
        var trustedUsersObj = trustedUsersSearchList[selectedID]
		var subGroupChkBox = scorFindElementById(scorGetDialogBox(),'input','group'+selectedID+'Id');
		if (subGroupChkBox!=null) {
			if(subGroupChkBox.checked){
				trustedUsersObj.includeSubgroups = 'Yes';
			}else {
				trustedUsersObj.includeSubgroups = 'No';
			}
		}
        trustedUserInsertRow(trustedUsersObj);
    }

}


function trustedUserInsertRow(trustedUsersObj){

    var newObj;
    if(trustedUsersEntityType === "Group"){
        newObj = {"trustedUsersDisplayNameId" : "",
            "trustedUsersUNameId" : trustedUsersObj.groupName,
            "trustedUsersTagId" : trustedUsersObj.tag,
            "trustedUsersTypeId" : "Group",
			"trustedUsersSubgroupsId" : trustedUsersObj.includeSubgroups,
			"trustedUsersGidNumberId" :trustedUsersObj.gidNumber,
            "trustedUsersLdapServerId" : trustedUsersObj.ldapServerId,
            "trustedUsersLdapServerTypeId" : trustedUsersObj.ldapServerType,
            "trustedUsersOsTypeId" : "<%=PolicyConstants.POLICY_OS.UNIX.getValue()%>"
        }

    }   else {

        newObj = {"trustedUsersDisplayNameId" : trustedUsersObj.displayName,
            "trustedUsersUNameId" : trustedUsersObj.userName,
            "trustedUsersTagId" : trustedUsersObj.tag,
            "trustedUsersTypeId" : "User",
		    "trustedUsersSubgroupsId" : "",
            "trustedUsersNetbiosNameId" : trustedUsersObj.netbiosName,
            "trustedUsersUidNumberId" : trustedUsersObj.uidNumber,
            "trustedUsersGidNumberId" : trustedUsersObj.gidNumber,
            "trustedUsersLdapServerId" : trustedUsersObj.ldapServerId,
            "trustedUsersLdapServerTypeId" : trustedUsersObj.ldapServerType,
            "trustedUsersOsTypeId" : "<%=PolicyConstants.POLICY_OS.UNIX.getValue()%>"
        }
    }
    trustedUsersList.insert(newObj);
}


function _searchADListFailure(){
    
    alert('${searchADListFailed}');
}


function trustedUsersSearchAD(){
	clearADSearchList();
    clearTrustedSearchLimitLabel();
	enableFindBtn(false);
    if(trustedUsersEntityType === "Group"){
        trustedUsersSearchADGroups();
    }  else {
        trustedUsersSearchADUsers();
    }
}


function trustedUsersSearchADUsers() {


    var ldapListBox = scor.utils.GetElementFromDialogBox('adDropDownId','select');
    var ldapId = ldapListBox.value;

    var searchUser = '';
    var searchUserBox = scor.utils.GetElementFromDialogBox('trustedUsersSearchUser','input');
    if(searchUserBox != null){
        searchUser = searchUserBox.value;
    }

    var searchGroup = '';
    var searchGroupBox = scor.utils.GetElementFromDialogBox('trustedUsersGroupName','input');
    if(searchGroupBox != null){
        searchGroup = searchGroupBox.value;
    }

    var searchBy = scor.utils.getValuesOfSelectedRadioFromDialogBox('searchBy');
    if(searchBy === null){
        searchBy = "<%=TrustedUserConstants.SEARCH_USER_BY_UID%>";
    }

    scor.actions.doAsyncAction("<%=URLConstants.SEARCH_LDAP_USERS_FOR_UNIX%>", 
    [
     "<%=TrustedUserConstants.SEARCH_USER%>", searchUser,
     "<%=TrustedUserConstants.SEARCH_GROUP%>", searchGroup,
     "<%=TrustedUserConstants.AD_ID%>", ldapId,
     "<%=TrustedUserConstants.SEARCH_BY%>", searchBy,
     "<%=TrustedUserConstants.TRUSTED_USERS_SEARCH_LIMIT%>", trustedUsersSearchLimit,
     ],
     _trustedUsersSearchADUsersSuccess, _trustedUsersSearchADUsersFailure, "POST");
}


function _trustedUsersSearchADUsersSuccess(result) {
    
    var trustedUsersSearchADList = getTrustedUsersSearchADDiv();
    trustedUsersSearchADList.innerHTML="";

    trustedUsersSearchList = result['entityList'] ;

    if(trustedUsersSearchList.length == 0){
        scor.utils.appendNoResultFound(trustedUsersSearchADList);
		enableFindBtn(true);
        return;
    }

    trustedUsersSearchADList.appendChild(scorCreateTableHeader("scorUsersHeaderTemplate"));

    var listDiv = document.createElement("DIV");
    listDiv.style.overflow = "auto";
    listDiv.style.border = "1px solid #ccc";

    var table = document.createElement("TABLE");
    table.setAttribute("id","scorUsersDataTableId");
    table.cellSpacing = 3;
    table.cellPadding = 0;
    table.setAttribute("width","95%");
    var tbody = document.createElement("TBODY");
    var trx = document.createElement("TR");
    var tdx = document.createElement("TD");

    var trustedUsersListLength = trustedUsersSearchList.length;

    if(trustedUsersListLength > trustedUsersSearchLimit){
        trustedUsersListLength = trustedUsersSearchLimit;
        var labelElem = scor.utils.GetElementFromDialogBox("searchTrustedLimit","label");
        labelElem.innerHTML = '${trustedUserSearchLimitLabel}';
    }

    for(var i=0; i < trustedUsersListLength; i++)
    {
        var row = scorCreateADSearchUserTableRow(trustedUsersSearchList[i],i);
        tdx.appendChild(row);
        trx.appendChild(tdx);
        tbody.appendChild(trx);
    }
    table.appendChild(tbody);
    listDiv.appendChild(table);
    trustedUsersSearchADList.appendChild(listDiv);
	enableFindBtn(true);
}


function _trustedUsersSearchADUsersFailure(){
    
    alert('${searchUsersFromADFailed}');
	enableFindBtn(true);
}


function scorCreateADSearchUserTableRow(obj,i) {
	var newbox = document.createElement('div');
    newbox.style.borderBottom = "1px solid #e5e5e5";
    newbox.style.padding = "0px";
    newbox.style.cursor = "pointer";
    var rowTable = document.createElement("TABLE");
    rowTable.setAttribute("cellspacing","3");
    rowTable.setAttribute("width","100%");
    var rowTbody = document.createElement("TBODY");
    var tr = document.createElement("TR");
    tr.setAttribute("align","left");
    var td = document.createElement("TD");
    td.setAttribute("width","15%");
    var rdo;
    try{
        rdo =document.createElement("<INPUT TYPE='CHECKBOX' NAME='trustedUserChkBox' VALUE="+i+">");
    }catch(err){
        rdo = document.createElement('input');
        rdo.setAttribute('type','CHECKBOX');
        rdo.setAttribute('name','trustedUserChkBox');
        rdo.setAttribute('value',i);
    }
    td.appendChild(rdo);

    var td1 = document.createElement("TD");
    td1.setAttribute("id","td1");
    td1.setAttribute("width","30%");
    td1.appendChild(document.createTextNode(obj.userName));
    var td2 = document.createElement("TD");
    td2.setAttribute("id","td2");
    td2.setAttribute("width","20%");
    td2.appendChild(document.createTextNode(obj.displayName));
    var td3 = document.createElement("TD");
    td3.setAttribute("id","td3");
    td3.style.display="none";
    td3.appendChild(document.createTextNode(obj.tag));
    var td4 = document.createElement("TD");
    td4.setAttribute("id","td4");
    td4.style.display="none";
    td4.appendChild(document.createTextNode("User"));
    var td5 = document.createElement("TD");
    td5.setAttribute("id","td5");
    td5.setAttribute("width","20%");
    td5.appendChild(document.createTextNode(obj.groupName || ''));
    var td6 = document.createElement("TD");
    td6.setAttribute("id","td6");
    td6.setAttribute("width","15%");
    td6.appendChild(document.createTextNode(obj.gidNumber || ''));
    
    tr.appendChild(td);
    tr.appendChild(td1);
    tr.appendChild(td2);
    tr.appendChild(td3);
    tr.appendChild(td4);
    tr.appendChild(td5);
    tr.appendChild(td6);

    rowTbody.appendChild(tr);
    rowTable.appendChild(rowTbody);
    newbox.appendChild(rowTable);
    return newbox;
}


function trustedUsersSearchADGroups(){

    var adListBox = scor.utils.GetElementFromDialogBox('adDropDownId','select');
    var id = adListBox.value;

    var searchGroup = '';
    var searchGroupBox = scor.utils.GetElementFromDialogBox('trustedUsersADGroupName','input');
    if(searchGroupBox != null){
        searchGroup = searchGroupBox.value;
    }

    /*
    var globalCatalog = 'false';
    var globalCatalogHiddenField = scor.utils.GetElementFromDialogBox('globalCatalog','input');
    if(globalCatalogHiddenField != null){
        globalCatalog = globalCatalogHiddenField.value;
    }
    */

    scor.actions.doAsyncAction ("<%=URLConstants.SEARCH_LDAP_GROUPS_FOR_UNIX%>", 
    [
    "searchGroup",searchGroup,
    "id",id,
    //"globalCatalog",globalCatalog,
    "trustedGroupsSearchLimit",trustedGroupsSearchLimit
    ], 
    _trustedUsersSearchADGroupsSuccess, _trustedUsersSearchADGroupsFailure, "POST");
}


function _trustedUsersSearchADGroupsSuccess(result){
    

    trustedUsersSearchList  = result['entityList'] ;
    var groupSearchADList = getTrustedUsersSearchADDiv();
    groupSearchADList.innerHTML="";

    if(trustedUsersSearchList.length == 0){
        scor.utils.appendNoResultFound(groupSearchADList);
		enableFindBtn(true);
        return;
    }

    groupSearchADList.appendChild(scorCreateTableHeader("scorGroupsHeaderTemplate"));

    var listDiv = document.createElement("DIV");
    listDiv.style.overflow = "auto";
    listDiv.style.border = "1px solid #ccc";

    var table = document.createElement("TABLE");
    table.setAttribute("id","scorUsersDataTableId");
    table.cellSpacing = 3;
    table.cellPadding = 0;
    table.setAttribute("width","95%");
    var tbody = document.createElement("TBODY");
    var trx = document.createElement("TR");
    var tdx = document.createElement("TD");

    var groupListLength = trustedUsersSearchList.length;

    if(groupListLength > trustedGroupsSearchLimit){
        groupListLength = trustedGroupsSearchLimit;
        var labelElem = scor.utils.GetElementFromDialogBox("searchTrustedLimit","label");
        labelElem.innerHTML = '${trustedGroupSearchLimitLabel}';
    }

    for(var i=0; i < groupListLength; i++)
    {
        var row = scorCreateADSearchGroupTableRow(trustedUsersSearchList[i],i);
        tdx.appendChild(row);
        trx.appendChild(tdx);
        tbody.appendChild(trx);
    }
    table.appendChild(tbody);
    listDiv.appendChild(table);
    groupSearchADList.appendChild(listDiv);
	enableFindBtn(true);
}


function _trustedUsersSearchADGroupsFailure(){
    
    alert('${searchGroupsFromADFailed}');
	enableFindBtn(true);
}


function scorCreateADSearchGroupTableRow(obj,i) {
	var newbox = document.createElement('div');
    newbox.style.borderBottom = "1px solid #e5e5e5";
    newbox.style.padding = "0px";
    newbox.style.cursor = "pointer";
    var rowTable = document.createElement("TABLE");
    rowTable.setAttribute("cellspacing","3");
    rowTable.setAttribute("width","100%");
    var rowTbody = document.createElement("TBODY");
    var tr = document.createElement("TR");
    tr.setAttribute("align","left");
    var td = document.createElement("TD");
    td.setAttribute("width","15%");
    var rdo;
    try{
        rdo =document.createElement("<INPUT TYPE='CHECKBOX' NAME='trustedUserChkBox' VALUE="+i+">");
    }catch(err){
        rdo = document.createElement('input');
        rdo.setAttribute('type','CHECKBOX');
        rdo.setAttribute('name','trustedUserChkBox');
        rdo.setAttribute('value',i);
    }
    td.appendChild(rdo);

    var td1 = document.createElement("TD");
    td1.setAttribute("id","td1");
    td1.setAttribute("width","40%");
    td1.appendChild(document.createTextNode(obj.groupName));
    var td2 = document.createElement("TD");
    td2.setAttribute("id","td2");
    td2.style.display="none";
    td2.appendChild(document.createTextNode(obj.tag));
    var td3 = document.createElement("TD");
    td3.setAttribute("id","td3");
    td3.style.display="none";
    td3.appendChild(document.createTextNode("Group"));
    var td4 = document.createElement("TD");
    td4.setAttribute("id","td4");
    td4.setAttribute("width","25%");
    td4.appendChild(document.createTextNode(obj.gidNumber));
    var td5 = document.createElement("TD");
    td5.setAttribute("id","td5");
    td5.style.display="none";
    td5.appendChild(document.createTextNode(obj.ldapServerType));
    var td6 = document.createElement("TD");
    td6.setAttribute("id","td6");
    td6.style.display="none";
    td6.appendChild(document.createTextNode(obj.ldapServerId));
    var td7 = document.createElement("TD");
    td7.setAttribute("id","td7");
    td7.style.display="none";
    td7.appendChild(document.createTextNode(obj.osType));

    var td8 = document.createElement("TD");
    td8.setAttribute("width","20%");
	var subgroupChkBox;
	try{
        subgroupChkBox =document.createElement("<INPUT TYPE='CHECKBOX' ID='group'"+i+"Id NAME='subgroupChkBox' VALUE='Yes' checked='checked'>");
    }catch(err){
        subgroupChkBox = document.createElement('input');
        subgroupChkBox.setAttribute('type','CHECKBOX');
        subgroupChkBox.setAttribute('name','subgroupChkBox');
        subgroupChkBox.setAttribute('id','group'+i+"Id");
		subgroupChkBox.setAttribute('checked','checked');
		subgroupChkBox.setAttribute('value','Yes');
    }
    td8.appendChild(subgroupChkBox);

    tr.appendChild(td);
    tr.appendChild(td1);
    tr.appendChild(td2);
    tr.appendChild(td3);
    tr.appendChild(td4);
    tr.appendChild(td5);
    tr.appendChild(td6);
    tr.appendChild(td7);
    tr.appendChild(td8);

    rowTbody.appendChild(tr);
    rowTable.appendChild(rowTbody);
    newbox.appendChild(rowTable);
    return newbox;
}
function rePopulateTrustedUsersGroups(users,groups){
    scor.utils.clearMagicListWidget(trustedUsersList);
    populateTrustedUsers(users);
    populateTrustedGroups(groups);
}

function populateTrustedUsers(trustedUserObj){

    trustedUserObj = trustedUserObj ? trustedUserObj : {};
    for(var i=0; i < trustedUserObj.length; i++)
    {
    	var netbiosName = trustedUserObj[i].netbiosName;
    	if (netbiosName == null || netbiosName == undefined) {
    		netbiosName = "";
    	}
        var newObj = {"trustedUsersDisplayNameId" : trustedUserObj[i].displayName,
            "trustedUsersUNameId" : trustedUserObj[i].userName,
            "trustedUsersTagId" : trustedUserObj[i].tag,
            "trustedUsersTypeId" : "User",
			"trustedUsersSubgroupsId" : "",
			"trustedUsersNetbiosNameId" : netbiosName,
			"trustedUsersUidNumberId" : trustedUserObj[i].uidNumber,
			"trustedUsersGidNumberId" : trustedUserObj[i].gidNumber,
			"trustedUsersLdapServerId" : trustedUserObj[i].ldapServerId,
			"trustedUsersLdapServerTypeId" : trustedUserObj[i].ldapServerType,
			"trustedUsersOsTypeId" : "<%=PolicyConstants.POLICY_OS.UNIX.getValue()%>"
        }
        trustedUsersList.insert(newObj) ;
    }
}


function populateTrustedGroups(trustedGroupObj){

    trustedGroupObj = trustedGroupObj ? trustedGroupObj : {};
    for(var i=0; i < trustedGroupObj.length; i++)
    {
        var newObj = {"trustedUsersDisplayNameId" : "",
            "trustedUsersUNameId" : trustedGroupObj[i].groupName,
            "trustedUsersTagId" : trustedGroupObj[i].tag,
            "trustedUsersTypeId" : "Group",
			"trustedUsersSubgroupsId" : trustedGroupObj[i].includeSubgroups,
			"trustedUsersGidNumberId" : trustedGroupObj[i].gidNumber,
            "trustedUsersLdapServerId" : trustedGroupObj[i].ldapServerId,
            "trustedUsersLdapServerTypeId" : trustedGroupObj[i].ldapServerType,
            "trustedUsersOsTypeId" : "<%=PolicyConstants.POLICY_OS.UNIX.getValue()%>"
        }
        trustedUsersList.insert(newObj) ;
    }
}



function getTrustedUsers(){

    var vo = [];

    var rows = trustedUsersList.getRows();
    for (var rowKey in rows)
    {
        var row = rows[rowKey];
        if (row != null && row != undefined)
        {
            if (scor.utils.trim(row['trustedUsersTypeId']) === "User" )  {
                vo.push({"displayName": scor.utils.trim(row['trustedUsersDisplayNameId']),
                    "userName": scor.utils.trim(row['trustedUsersUNameId']),
                    "tag":scor.utils.trim(row['trustedUsersTagId']),
                    "netbiosName": scor.utils.trim(row['trustedUsersNetbiosNameId']),
                    "uidNumber": scor.utils.trim(row['trustedUsersUidNumberId']),
                    "gidNumber": scor.utils.trim(row['trustedUsersGidNumberId']),
                    "ldapServerId": "",
                    "ldapServerType": scor.utils.trim(row['trustedUsersLdapServerTypeId']),
                    "osType": "<%=PolicyConstants.POLICY_OS.UNIX.getValue()%>"
                });
            }
        }
    }
    return vo;
}


function getTrustedGroups(){
    var vo = [];

    var rows = trustedUsersList.getRows();
    for (var rowKey in rows)
    {
        var row = rows[rowKey];
        if (row != null && row != undefined)
        {
            if (scor.utils.trim(row['trustedUsersTypeId']) === "Group" )  {
                vo.push( {"groupName": scor.utils.trim(row['trustedUsersUNameId']),
                    "tag":scor.utils.trim(row['trustedUsersTagId']),
					"includeSubgroups": scor.utils.trim(row['trustedUsersSubgroupsId']),
					"gidNumber":scor.utils.trim(row['trustedUsersGidNumberId']),
                    "ldapServerId": scor.utils.trim(row['trustedUsersLdapServerId']),
                    "ldapServerType": scor.utils.trim(row['trustedUsersLdapServerTypeId']),
                    "osType": "<%=PolicyConstants.POLICY_OS.UNIX.getValue()%>"
                });
            }
        }
    }
    return vo;
}

function clearSearchListDiv(){
    clearTrustedSearchLimitLabel();
    clearADSearchList();  
}

function setADRadioInputUI(id,entityType){
    if(trustedUsersEntityType === entityType) {
            return;
    }
    clearTrustedSearchLimitLabel();
    clearADSearchList();
    clearErrorDiv();
    if(entityType === "Group"){
        unregisterSearchADUser();
        setADRadioInputDiv(id,entityType);
        registerSearchADGroup();
    } else {
        unregisterSearchADGroup();
        setADRadioInputDiv(id,entityType);
        registerSearchADUser();
    }
}


function clearErrorDiv(){
    var errorDiv = scor.utils.GetElementFromDialogBox('error_include','div');
    errorDiv.innerHTML = '';
}


function clearADSearchList(){
    var trustedUsersSearchAD = getTrustedUsersSearchADDiv();
    trustedUsersSearchAD.innerHTML = '';
}

function clearTrustedSearchLimitLabel(){
    var labelElem = scor.utils.GetElementFromDialogBox("searchTrustedLimit","label");
    labelElem.innerHTML = '';
}

function setADRadioInputDiv(id,entityType){
    trustedUsersEntityType = entityType;
    $("trustedUsersADRadioClick").innerHTML = $(id).innerHTML;
}


function getTrustedUsersSearchADDiv(){
    var trustedUsersSearchAD;
    var dialogNode = $('<%=Constants.dialogBoxId%>');
    var children = dialogNode.getElementsByTagName("div");
    for (var i = 0; i < children.length; i++)
    {
        if(children[i].id && children[i].id == "trustedUsersSearchADList")	{
            trustedUsersSearchAD = children[i];
            break;
        }
    }
    return trustedUsersSearchAD;
}


function trustedUsersAddCallback(){
    var trustedUsersType;
    var dialogNode = $('<%=Constants.dialogBoxId%>');
    var children = dialogNode.getElementsByTagName("input");
    for (var i = 0; i < children.length; i++)
    {
        if(children[i].id && children[i].id == "trustedUsersTypeId")	{
            trustedUsersType = children[i];
            break;
        }
    }
    trustedUsersType.value = "User";
    trustedUsersCommonCallBk('${importADAddUser}');
}

function trustedUsersEditCallback(){
	var selectedRow = trustedUsersList.selrow;
    if(typeof selectedRow === 'undefined' || selectedRow === null){
		return;
    }
    trustedUsersCommonCallBk('${importADEditUser}');
}

function trustedUsersCommonCallBk(title){
    OrionCore.setDialogBoxTitle(title);
    var trustedUserName = scor.utils.GetElementFromDialogBox('trustedUsersUNameId','input');
    var trustedUserTag = scor.utils.GetElementFromDialogBox('trustedUsersTagId','input');
    OrionEvent.registerHandler(trustedUserName,trustedUserNameValidator , null, "keyup", false);
    OrionEvent.registerHandler(trustedUserTag,trustedUserTagValidator,null, "keyup", false);
    OrionForm.revalidate();
    var existingOkHanlder = OrionCore.dialogBoxOkHandler;
    OrionCore.dialogBoxOkHandler = function () {
        var validationObj = trustedUserNameValidator();
        if(validationObj.isInvalid()){
            return false;
        }
        validationObj = trustedUserTagValidator();
        if(validationObj.isInvalid()){
            return false;
        }
        OrionEvent.unregisterHandler(trustedUserName, trustedUserNameValidator,  "keyup", false );
        OrionEvent.unregisterHandler(trustedUserTag, trustedUserTagValidator,  "keyup", false );
        var validationObj2 = scor.validation.checkIfExistsInTheTrustedUserlist(trustedUsersList,[trustedUserName],'${repeated_error_msg}');
        if(validationObj2.isInvalid()){
            return false;
        }
        existingOkHanlder();
        myEpoEnableApplyButton();
    };
}


function registerSearchADUser(){
    var searchADUser = scor.utils.GetElementFromDialogBox('trustedUsersSearchUser','input');
    OrionEvent.registerHandler(searchADUser,searchADUserValidator , null, "keyup", false);
}


function unregisterSearchADUser(){
    var searchADUser = scor.utils.GetElementFromDialogBox('trustedUsersSearchUser','input');
    OrionEvent.unregisterHandler(searchADUser, searchADUserValidator,  "keyup", false );
}


function registerSearchADGroup(){
    var searchADGroup = scor.utils.GetElementFromDialogBox('trustedUsersADGroupName','input');
    OrionEvent.registerHandler(searchADGroup,searchADGroupValidator , null, "keyup", false);
}


function unregisterSearchADGroup(){
    var searchADGroup = scor.utils.GetElementFromDialogBox('trustedUsersADGroupName','input');
    OrionEvent.unregisterHandler(searchADGroup, searchADGroupValidator, "keyup", false );
}


function searchADUserValidator(){
    return trustedUserEmptyTextBoxValidator('trustedUsersSearchUser');
}


function searchADGroupValidator(){
    return trustedUserEmptyTextBoxValidator('trustedUsersADGroupName');
}


function trustedUserNameValidator(){
    return trustedUserEmptyTextBoxValidator('trustedUsersUNameId');
}


function trustedUserTagValidator(){
    return trustedUserEmptyTextBoxValidator('trustedUsersTagId');
}


function trustedUserEmptyTextBoxValidator(id){
    var elem = scor.utils.GetElementFromDialogBox(id,'input');
    return scor.validation.emptyValidater(elem);
}


function enableTrustedUsersList(enable){
    trustedUsersList.setEnabled(enable);
}

function adjustGroupUIEnableSearchGroup(){
   var trustedUserDiv =  $('trustedUsersImportFromAD');
   var adImportSearchRadios = scor.utils.scorFindElementsByNames(trustedUserDiv,'input','adUserType');
   for(var i=0; i<adImportSearchRadios.length; i++){
        if(adImportSearchRadios[i].type === 'radio' && adImportSearchRadios[i].value === 'Group'){
           adImportSearchRadios[i].disabled = "";
           break;
        }
    }
}

function enableFindBtn(isEnabled) {
	var findBtn = scor.utils.GetElementFromDialogBox('findBtnId','input');
    if(findBtn != null){
       OrionCore.setEnabled(findBtn, isEnabled);
    }
}

 function trustedUserChkBoxClkHandler(box,hiddenField){
        if(box.checked){
            hiddenField.value = 'true';
        }else{
            hiddenField.value = 'false';
        }
    }


</script>


