<!-- Copyright (C) 2014-2018 McAfee, Inc.  All rights reserved. -->
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ page import="com.mcafee.scor.common.HelpConstants" %>

<script type="text/javascript">
	OrionHelp.setHelpId("${helpPageId}");
</script>
<%
	final String ANCHOR_URL = "AnalyticsUrlAnchor";
%>
<orion:box id="recon.tabstrip.reconconfig" width="auto" height="auto">
   <div id="analyticsPageInternalDiv" align="center">
    <br/><br/><br/><br/>
	<c:if test='${networkControlUrl == null || networkControlUrl == ""}'>
		<c:choose>
			<c:when	test='${analyticsUrl != "https://[AnalyticsServerHostName]:[port]/S3Control/epo_login.jsp"}'>
				<h4 align="center"><orion:message
					key="scor.serversettings.keys.analyticsServerURL.text"
					escape="HTML" /> <br />
				<br />
				<orion:message
					key="scor.serversettings.keys.analyticsServerURL.text.open"
					escape="HTML" /> <a id="AnalyticsUrlAnchor" target="_blank"
					href="${analyticsUrl}"> <orion:message
					key="scor.serversettings.keys.analyticsServerURL.text.as"
					escape="HTML" /> </a></h4>

				<%--<iframe id="AnalyticsFrame" src="${analyticsUrl}" width="100%" height="600">--%>
				<%--<p>Browser problem</p>--%>
				<%--</iframe>--%>
			</c:when>
			<c:when	test='${analyticsUrl == "https://[AnalyticsServerHostName]:[port]/S3Control/epo_login.jsp"}'>
				<div id="errorAnalyticsNotConfigured" style="color: red;"><orion:message
					key="scor.analytics.error.urlNotConfiguredMessage" escape="HTML" />
				</div>
			</c:when>
		</c:choose>
	</c:if>
	<c:if test='${networkControlUrl != null && networkControlUrl != ""}'>
		<h4 align="center"><orion:message
			key="scor.serversettings.keys.networkControlURL.text" escape="HTML" />
		<br />
		<br />
		<orion:message
			key="scor.serversettings.keys.networkControlURL.text.open"
			escape="HTML" /> <a id="AnalyticsUrlAnchor" target="_blank"
			href="${networkControlUrl}"> <orion:message
			key="scor.serversettings.keys.networkControlURL.text.as"
			escape="HTML" /> </a></h4>
	</c:if>
	</div>
</orion:box>

<script type="text/javascript">
    function _addressSuccess(address) {
        var anchor = $("<%=ANCHOR_URL%>");
        if (address) {
            while (address.indexOf('"') != -1) {
                address = address.replace('"', '');
            }
            anchor.href = address;
        }
    }

    function refreshAnalyticsFrame() {
    	OrionHelp.setHelpId("<%=HelpConstants.CONFIGURE_RECONCILIATION_PAGE%>");
        var anchor = $("<%=ANCHOR_URL%>");
        if (anchor !== null) {
            scor.actions.doAsyncAction("/SOLIDCORE_META/getAnalyticsServerAddress.do", null, _addressSuccess);
        }
    }

</script>

