<!-- COPYRIGHT:		Copyright (C) 2019 McAfee, Inc.  All rights reserved-->

<%@taglib uri="http://www.mcafee.com/orion" prefix="orion"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<%@page import="com.mcafee.scor.common.ScorReturnCodes"%>
<%@page import="com.mcafee.scor.cpe.CPEConstants"%>
<%@page import="com.mcafee.scor.common.URLConstants"%>


<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>"/>


<c:set var="cpeTab" value="CpeApplicationsSystemTab" scope="request"/>


        <orion:message var="titleText" key="scor.cpe.bysystems.title" escape="none"/>
        <orion:table2
                cellRendererAttr="<%=CPEConstants.CPE_BY_SYSTEMS_CELL_RENDR_ATTR%>"
                datasourceAttr="<%=CPEConstants.CPE_BY_SYSTEMS_DATASOURCE_ATTR%>"
                showCheckboxColumn="false"
                sortOrder="0"
                showTitleBar="false"
                allowExport="true"
                allowConfiguration="true"
                allowAction="true"
                allowFilter="true"
                expandFilters="true"
                showFilters="true"
                allowAdvancedFilter="true"
                enableDrilldown="false"
                id="cpeBySystemsTable"

                titleText="${ titleText }">
        </orion:table2>




