<%-- COPYRIGHT:		Copyright (C) 2015 McAfee, Inc.  All rights reserved--%>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib uri="http://www.mcafee.com/scor" prefix="scor" %>

<orion:message key="scor.navigation.close" var="closeButton"  escape="none"/>
<orion:message key="scor.fileDiff.group" var="group"  escape="HTML"/>
<orion:message key="scor.fileDiff.host" var="host"  escape="HTML"/>
<orion:message key="scor.fileDiff.file" var="file"  escape="HTML"/>
<orion:message key="scor.fileDiff.version" var="version"  escape="HTML"/>
<orion:message key="scor.fileDiff.advancedComparison.Title" var="title"  escape="none"/>
<orion:message key="scor.fileDiff.advancedComparison.file1" var="file1"  escape="none"/>
<orion:message key="scor.fileDiff.advancedComparison.file2" var="file2"  escape="none"/>
<orion:message key="scor.fileDiff.advancedComparison.showComparison" var="showComparison"  escape="none"/>
<orion:core>
<orion:corehead>		
		
		<%@ page import="com.mcafee.scor.common.URLConstants" %>
		<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>"/>
		<jsp:include page="/common/includejQuery.jsp"/>
</orion:corehead>	
<orion:corebody>
<orion:navigation />
<orion:content>
<script type="text/javascript">
OrionHelp.setHelpId("${helpPageId}");
var scor = scor || {};
scor.fd = scor.fd || {};
scor.fd.advancedComparison = scor.fd.advancedComparison || {};
scor.fd.advancedComparison.attr = scor.fd.advancedComparison.attr || {};
scor.fd.advancedComparison.leftSelectedGroupId = 2;
scor.fd.advancedComparison.rightSelectedGroupId = 2;
scor.fd.advancedComparison.leftFileAttrVO = scor.fd.advancedComparison.leftFileAttrVO || {};
scor.fd.advancedComparison.rightFileAttrVO = scor.fd.advancedComparison.rightFileAttrVO || {};

scor.fd.advancedComparison.attr.VO = function(groupId, systemName, filePath, fileRevision) { 		
	var vo = {
        "filePath":filePath,
        "groupId":groupId,
        "systemName":systemName,
		"fileRevision":fileRevision
    };

    var commonFunc = scor.utils.getVosCommonFuncs(vo);

    return {
        "common": commonFunc
    };
}

 function closeButton() {
        history.back()
    }

scor.fd.validateCompare = function(){
	if(!(isEmpty($j('#left_fd_systems').val())) && !(isEmpty($j('#left_fd_filePaths').val())) && !(isEmpty($j('#right_fd_systems').val())) 
			&& !(isEmpty($j('#right_fd_filePaths').val())) && !(isEmpty(document.getElementById("left_fileRevision_select").value))
			&& !(isEmpty(document.getElementById("right_fileRevision_select").value))){
			OrionCore.setEnabledById( "advancedFileComparison", true ) ;		
	}
}
    
    scor.fd.compareButton = function(){
    	scor.fd.advancedComparison.leftFileAttrVO = new scor.fd.advancedComparison.attr.VO(
    														scor.fd.advancedComparison.leftSelectedGroupId
    														, $j('#left_fd_systems').val()
    														, $j('#left_fd_filePaths').val()
															, document.getElementById("left_fileRevision_select").value
    														)
    	var leftStrigifyVO = scor.fd.advancedComparison.leftFileAttrVO.common.getJSONString();    	
    	
    	scor.fd.advancedComparison.rightFileAttrVO = new scor.fd.advancedComparison.attr.VO(
    														scor.fd.advancedComparison.rightSelectedGroupId
    														, $j('#right_fd_systems').val()
    														, $j('#right_fd_filePaths').val()
															, document.getElementById("right_fileRevision_select").value
    														)
    	var rightStrigifyVO = scor.fd.advancedComparison.rightFileAttrVO.common.getJSONString();
    	
    	
    	var paramMap = ["leftAttributes", leftStrigifyVO,"rightAttributes",rightStrigifyVO];
	    OrionCore.doAction("/SOLIDCORE_META/getAdvancedComparisonOfFiles.do", paramMap, "GET");    
		
		if(scor.fd.advancedComparison.leftSelectedGroupId == undefined ||  $j('#left_fd_systems').val() == undefined || 
			 $j('#left_fd_filePaths').val() == undefined || document.getElementById("left_fileRevision_select").value == undefined){
			OrionCore.setEnabledById( "close", false );
		}
    
    }

function isEmpty(str) {
	return (!str || 0 === str.length);
}

    
    

scor.fd.getLeftFileRevisionSuccess = function (){
	OrionCore.showPleaseWait(false);
	var left_select_box = document.getElementById("left_fileRevision_select");
	left_select_box.disabled = false;
	$j('#left_fileRevision_select').css("color","#4b4b4b","border-color","#8C8C8C");
	$j('#left_fileRevision_select').trigger('change');
}

scor.fd.getLeftFileRevisionFailure = function(){
	OrionCore.showPleaseWait(false);
}

scor.fd.getRightFileRevisionSuccess = function (){
	OrionCore.showPleaseWait(false);
	var right_select_box = document.getElementById("right_fileRevision_select");
	right_select_box.disabled = false;
	$j('#right_fileRevision_select').css("color","#4b4b4b","border-color","#8C8C8C");
	$j('#right_fileRevision_select').trigger('change');
}

scor.fd.getRightFileRevisionFailure = function(){
	OrionCore.showPleaseWait(false);
}

$j(function() {	
	 $j("#left_fd_filePaths").attr("disabled", true); 	
	 $j("#right_fd_filePaths").attr("disabled", true); 
	 $j("#left_fd_systems").css("width", "95%").css("height", "30px");
	 $j("#left_fd_filePaths").css("width", "95%").css("height", "30px");

	 $j("#right_fd_systems").css("width", "95%").css("height", "30px");
	 $j("#right_fd_filePaths").css("width", "95%").css("height", "30px");

	 $j('.scorFDLabel').css("color", '#4b4b4b').css('font-weight','bold').css('font-size','10px').css('line-height','16px').css('padding','10px');

	


	ScorAutoComplete.setFilter("scor_RIGHT_FILE_DIFF_ENABLED_SYSTEM_AUTO_COMP_DS_ATTR", scor.fd.advancedComparison.rightSelectedGroupId);
	ScorAutoComplete.setFilter("scor_LEFT_FILE_DIFF_ENABLED_SYSTEM_AUTO_COMP_DS_ATTR", scor.fd.advancedComparison.leftSelectedGroupId);

	$j('#left_group_select').change(function(){
		var left_group_box = document.getElementById("left_group_select");
		scor.fd.advancedComparison.leftSelectedGroupId = left_group_box.value;
		ScorAutoComplete.setFilter("scor_LEFT_FILE_DIFF_ENABLED_SYSTEM_AUTO_COMP_DS_ATTR", scor.fd.advancedComparison.leftSelectedGroupId);
		$j('#left_fd_systems').val('');
		$j('#left_fd_filePaths').val('');
		$j('#left_fileRevision_select').empty();
		$j('#left_fileRevision_select').attr('disabled', 'disabled');
		OrionCore.setEnabledById( "advancedFileComparison", false );
	})

	$j('#right_group_select').change(function(){
		var right_group_box = document.getElementById("right_group_select");
		scor.fd.advancedComparison.rightSelectedGroupId = right_group_box.value;
		ScorAutoComplete.setFilter("scor_RIGHT_FILE_DIFF_ENABLED_SYSTEM_AUTO_COMP_DS_ATTR", scor.fd.advancedComparison.rightSelectedGroupId);
		$j('#right_fd_systems').val('');
		$j('#right_fd_filePaths').val('');
		$j('#right_fileRevision_select').empty();
		$j('#right_fileRevision_select').attr('disabled', 'disabled');
		OrionCore.setEnabledById( "advancedFileComparison", false );
	})

	$j('#left_fd_systems').autocomplete({
				select: function(event, ui) { 
					$j("#left_fd_filePaths").attr("disabled", false); 	
					var systemName = ui.item.label;
					var filterStr = scor.fd.advancedComparison.leftSelectedGroupId + ":" + systemName;
					ScorAutoComplete.setFilter("scor_LEFT_FILE_DIFF_FILE_PATH_AUTO_COMP_DS_ATTR", filterStr);
					$j('#left_fd_filePaths').val('');
					$j('#left_fileRevision_select').empty();
					$j('#left_fileRevision_select').attr('disabled', 'disabled')
					OrionCore.setEnabledById( "advancedFileComparison", false );
				},

				change: function(event, ui) { 
					$j("#left_fd_filePaths").attr("disabled", false); 	
					var systemName = $j('#left_fd_systems').val();
					$j('#left_fd_filePaths').val('');
					if(systemName === ""){
						$j("#left_fd_filePaths").attr("disabled", true); 							
					}
					var filterStr = scor.fd.advancedComparison.leftSelectedGroupId + ":" + systemName;
					ScorAutoComplete.setFilter("scor_LEFT_FILE_DIFF_FILE_PATH_AUTO_COMP_DS_ATTR", filterStr);
					
					$j('#left_fileRevision_select').empty();
					$j('#left_fileRevision_select').attr('disabled', 'disabled')		
					OrionCore.setEnabledById( "advancedFileComparison", false );
				}
	});

	$j('#left_fd_systems').focus(function(){
		ScorAutoComplete.setFilter("scor_LEFT_FILE_DIFF_ENABLED_SYSTEM_AUTO_COMP_DS_ATTR", scor.fd.advancedComparison.leftSelectedGroupId);		
		return false;
	})

	$j('#left_fd_systems').keyup(function(){
		$j('#left_fd_filePaths').val('');
		$j('#left_fileRevision_select').empty();
		$j('#left_fileRevision_select').attr('disabled', 'disabled')
		OrionCore.setEnabledById( "advancedFileComparison", false );
		return false;
	})	


	$j('#left_fd_filePaths').autocomplete( {
		select:function(event, ui){
			var systemName = $j('#left_fd_systems').val();
			var filePath = ui.item.label;
			OrionCore.showPleaseWait(true);
			OrionCore.loadSelectBoxAsync("left_fileRevision_select",  
				"/SOLIDCORE_META/getFileRevisionsForHostAndFile.do", 
				["groupId",scor.fd.advancedComparison.leftSelectedGroupId,"systemName",systemName,"filePath",filePath], 
				scor.fd.getLeftFileRevisionSuccess, scor.fd.getLeftFileRevisionFailure);			
		},
		change: function(event, ui) { 						
				var systemName = $j('#left_fd_systems').val();
				var filePath = $j('#left_fd_filePaths').val();;
					
				$j('#left_fileRevision_select').empty();
				$j('#left_fileRevision_select').attr('disabled', 'disabled');
				if(isEmpty(filePath)){
				}else{
					OrionCore.loadSelectBoxAsync("left_fileRevision_select",  
						"/SOLIDCORE_META/getFileRevisionsForHostAndFile.do", 
						["groupId",scor.fd.advancedComparison.leftSelectedGroupId,"systemName",systemName,"filePath",filePath], 
						scor.fd.getLeftFileRevisionSuccess, scor.fd.getLeftFileRevisionFailure);								
				}
				$j('#left_fileRevision_select').trigger('change');
				}
				
	});

	$j('#left_fd_filePaths').focus(function(){
		var systemName = $j('#left_fd_systems').val();
		var filterStr = scor.fd.advancedComparison.leftSelectedGroupId + ":" + systemName;
		ScorAutoComplete.setFilter("scor_LEFT_FILE_DIFF_FILE_PATH_AUTO_COMP_DS_ATTR", filterStr);
		return false;
	})

	$j('#left_fd_filePaths').keyup(function(){
		$j('#left_fileRevision_select').empty();
		$j('#left_fileRevision_select').attr('disabled', 'disabled')
		OrionCore.setEnabledById( "advancedFileComparison", false );
		return false;
	})	
	

	$j('#right_fd_systems').autocomplete({
				select: function(event, ui) { 
					$j("#right_fd_filePaths").attr("disabled", false); 	
					var systemName = ui.item.label;
					var filterStr = scor.fd.advancedComparison.rightSelectedGroupId + ":" + systemName;
					ScorAutoComplete.setFilter("scor_RIGHT_FILE_DIFF_FILE_PATH_AUTO_COMP_DS_ATTR", filterStr);
					$j('#right_fd_filePaths').val('');
					$j('#right_fileRevision_select').empty();
					$j('#right_fileRevision_select').attr('disabled', 'disabled');
					OrionCore.setEnabledById( "advancedFileComparison", false );
				},

				change: function(event, ui) { 
					$j("#right_fd_filePaths").attr("disabled", false); 	
					var systemName = $j('#right_fd_systems').val();
					$j('#right_fd_filePaths').val('');
					if(systemName === ""){
						$j("#right_fd_filePaths").attr("disabled", true); 							
					}
					var filterStr = scor.fd.advancedComparison.rightSelectedGroupId + ":" + systemName;
					ScorAutoComplete.setFilter("scor_RIGHT_FILE_DIFF_FILE_PATH_AUTO_COMP_DS_ATTR", filterStr);
					
					$j('#right_fileRevision_select').empty();
					$j('#right_fileRevision_select').attr('disabled', 'disabled')	;		
					OrionCore.setEnabledById( "advancedFileComparison", false );
				}
	});

	$j('#right_fd_systems').focus(function(){
		ScorAutoComplete.setFilter("scor_RIGHT_FILE_DIFF_ENABLED_SYSTEM_AUTO_COMP_DS_ATTR", scor.fd.advancedComparison.rightSelectedGroupId);		
		return false;
	})

	$j('#right_fd_systems').keyup(function(){
		$j('#right_fd_filePaths').val('');
		$j('#right_fileRevision_select').empty();
		$j('#right_fileRevision_select').attr('disabled', 'disabled')
		OrionCore.setEnabledById( "advancedFileComparison", false );
		return false;
	})


	$j('#right_fd_filePaths').autocomplete( {
		select:function(event, ui){
			var systemName = $j('#right_fd_systems').val();
			var filePath = ui.item.label;
			OrionCore.showPleaseWait(true);
			OrionCore.loadSelectBoxAsync("right_fileRevision_select",  
				"/SOLIDCORE_META/getFileRevisionsForHostAndFile.do", 
				["groupId",scor.fd.advancedComparison.rightSelectedGroupId,"systemName",systemName,"filePath",filePath], 
				scor.fd.getRightFileRevisionSuccess, scor.fd.getRightFileRevisionFailure);				
		},
		change: function(event, ui) { 						
				var systemName = $j('#right_fd_systems').val();
				var filePath = $j('#right_fd_filePaths').val();;
					
				$j('#right_fileRevision_select').empty();
				$j('#right_fileRevision_select').attr('disabled', 'disabled');
				if(isEmpty(filePath)){
				}else{
				OrionCore.loadSelectBoxAsync("right_fileRevision_select",  
						"/SOLIDCORE_META/getFileRevisionsForHostAndFile.do", 
						["groupId",scor.fd.advancedComparison.rightSelectedGroupId,"systemName",systemName,"filePath",filePath], 
						scor.fd.getRightFileRevisionSuccess, scor.fd.getRightFileRevisionFailure);
						}				
					$j('#right_fileRevision_select').trigger('change');
				}		

	});

	$j('#right_fd_filePaths').focus(function(){
		var systemName = $j('#right_fd_systems').val();
		var filterStr = scor.fd.advancedComparison.rightSelectedGroupId + ":" + systemName;
		ScorAutoComplete.setFilter("scor_RIGHT_FILE_DIFF_FILE_PATH_AUTO_COMP_DS_ATTR", filterStr);
		return false;
	})

	$j('#right_fd_filePaths').keyup(function(){		
		$j('#right_fileRevision_select').empty();
		$j('#right_fileRevision_select').attr('disabled', 'disabled')
		OrionCore.setEnabledById( "advancedFileComparison", false );
		return false;
	})

	$j('#left_fileRevision_select').change(function(){
		scor.fd.validateCompare();	
	})

	$j('#right_fileRevision_select').change(function(){
		scor.fd.validateCompare();		
	})

 });



</script>
<orion:vbox>	
	<orion:titlebar id="scorAdvancedComparisonTitleId" text = "${title}" />  
	<!--<orion:box background=" rgb(235, 235, 235)" height="10"/>-->
	<orion:hbox height="400">
		<orion:box>
		<orion:titlebar id="leftDataTitle" text = "${file1}" />
			<table style="border: 1px solid; background-color: #D6E4F0;width:100%;">
				<tr>
					<td>&nbsp; </td>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td id="leftGroupLabel" class="scorFDLabel">${group}: </td>
					<td id="leftGrouptValue" >
						 <orion:select id="left_group_select" items="${fdGroupSelect}"/>
					</td>
				</tr>
				<tr>
					<td>&nbsp; </td>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td id="leftHostLabel" class="scorFDLabel">${host} </td>
					<td id="leftHostValue" >
						 <scor:scorAutoCompleteTextBox id="left_fd_systems" datasourceAttr="scor_LEFT_FILE_DIFF_ENABLED_SYSTEM_AUTO_COMP_DS_ATTR" minLength="1" />
					</td>
				</tr>
				<tr>
					<td>&nbsp; </td>
					<td>&nbsp;</td>
				</tr>
				<tr id="leftFilePath">
					<td id="leftFilePathLabel" class="scorFDLabel">${file}: </td>
					<td id="leftFilePathValue">
						 <scor:scorAutoCompleteTextBox id="left_fd_filePaths" datasourceAttr="scor_LEFT_FILE_DIFF_FILE_PATH_AUTO_COMP_DS_ATTR" minLength="1"/>
					</td>
				</tr>
				<tr>
					<td>&nbsp; </td>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td id="leftFileRevisionLabel" class="scorFDLabel">${version}: </td>
					<td id="leftFileRevisionValue" ><orion:select id="left_fileRevision_select" items="${leftFileRevsion}" disabled="true"/>
 </td>
				</tr>
				<tr>
					<td>&nbsp; </td>
					<td>&nbsp;</td>
				</tr>
			</table>
		</orion:box>
		
		<orion:box width="1" background="white" />
		
		<orion:box >
		<orion:titlebar id="leftDataTitle" text = "${file2}" />
			<table style="border: 1px solid; background-color: #D6E4F0;width:100%">
				<tr>
					<td>&nbsp; </td>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td id="rightGroupLabel" class="scorFDLabel">${group}: </td>
					<td id="rightGroupValue" >
						 <orion:select id="right_group_select" items="${fdGroupSelect}"/>
					</td>
				</tr>
				<tr>
					<td>&nbsp; </td>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td id="rightHostLabel" class="scorFDLabel">${host} </td>
					<td id="rightHostValue" >
						<scor:scorAutoCompleteTextBox id="right_fd_systems" datasourceAttr="scor_RIGHT_FILE_DIFF_ENABLED_SYSTEM_AUTO_COMP_DS_ATTR" minLength="1"/>
					</td>
				</tr>
				<tr>
					<td>&nbsp; </td>
					<td>&nbsp;</td>
				</tr>
				
				<tr id="rightFilePath">
					<td id="rightFilePathLabel" class="scorFDLabel">${file}: </td>
					<td id="rightFilePathValue">
						<scor:scorAutoCompleteTextBox id="right_fd_filePaths" datasourceAttr="scor_RIGHT_FILE_DIFF_FILE_PATH_AUTO_COMP_DS_ATTR" minLength="1"/>
					</td>
				</tr>
				<tr>
					<td>&nbsp; </td>
					<td>&nbsp;</td>
				</tr>
				
				<tr>
					<td id="rightFileRevisionLabel" class="scorFDLabel">${version}: </td>
					<td id="rightFileRevisionValue" ><orion:select id="right_fileRevision_select" items="${rightFileRevision}" disabled="true"/></td>
				</tr>
				<tr>
					<td>&nbsp; </td>
					<td>&nbsp;</td>
				</tr>
			</table>
		</orion:box>
	</orion:hbox>
	<orion:box/>

		<orion:footerbar>
			<orion:button id="advancedFileComparison" text="${showComparison}" onclick="scor.fd.compareButton();" disabled = "true"/>
			<orion:button id="close" text="${closeButton}" onclick="closeButton();"/>
		</orion:footerbar>
</orion:vbox>
</orion:content>
</orion:corebody>
</orion:core>