<%-- COPYRIGHT:		Copyright (C) 2015-2018 McAfee, Inc.  All rights reserved--%>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://www.mcafee.com/orion/console" prefix="console" %>
<%@ taglib uri="http://www.mcafee.com/scor" prefix="scor" %>

<%@page import="com.mcafee.scor.inventory.InventoryConstants"%>
<%@ page import="com.mcafee.scor.common.HelpConstants" %>


<orion:message key="scor.reporting.inventory.binaryDetails.detailPageTitle" var="binaryDetailPageTitle" escape="none"/>
<orion:message key="scor.reporting.inventory.binaryDetails.trustScoreTitle" var="trustScoreTitle" escape="none"/>
<orion:message key="scor.reporting.inventory.binaryDetails.binaryProperties" var="binaryProperties" escape="none"/>
<orion:message key="scor.reporting.inventory.binaryDetails.firstSeenTitle" var="firstSeenTitle" escape="none"/>
<orion:message key="scor.reporting.inventory.binaryDetails.firstSeenOn" var="firstSeenOn" escape="html"/>
<orion:message key="scor.reporting.inventory.binaryDetails.firstSeenAt" var="firstSeenAt" escape="html"/>
<orion:message key="scor.reporting.inventory.binaryDetails.cloudTrustScoreNotAvailable" var="cloudTrustScoreNotAvailable" escape="html"/>
<orion:message key="scor.common.notavailable" var="firstSeenNotAvailable" escape="html"/>
<orion:message key="scor.reporting.inventory.binaryDetails.chartTitle" var="chartTitle" escape="none"/>
<orion:message key="scor.reporting.inventory.binaryDetails.more" var="more" escape="html"/>
<orion:message key="scor.reporting.inventory.binaryDetails.systemsForBinaryTableTitle" var="systemsForBinaryTableTitle" escape="none"/>
<orion:message key="scor.inventory.trustlevel.good" var="trustLevelGood" escape="javascript"/>
<orion:message key="scor.inventory.trustlevel.bad" var="trustLevelBad" escape="javascript"/>
<orion:message key="scor.navigation.close" var="close" escape="none"/>
<orion:message key="scor.navigation.back" var="back" escape="none"/>

<orion:message key="scor.inventory.da.embedVersion" var="embedVesion" escape="html"/>
<orion:message key="scor.inventory.da.binaryBaseName" var="binaryBaseName" escape="html"/>
<orion:message key="scor.inventory.da.binarySHA1" var="binarySHA1" escape="html"/>
<orion:message key="scor.inventory.da.binarySHA256" var="binarySHA256" escape="html"/>
<orion:message key="scor.inventory.da.binaryMD5" var="binaryMD5" escape="html"/>
<orion:message key="scor.inventory.da.effectiveLevel" var="customTrustLevel" escape="html"/>
<orion:message key="scor.inventory.da.invBinaryPath" var="binaryPath" escape="html"/>
<orion:message key="scor.inventory.da.displayName" var="displayName" escape="html"/>
<orion:message key="scor.inventory.da.certSubject" var="certificateSubject" escape="html"/>

<orion:message key="scor.reputation.known.trusted" var="trustLevelKnownTrusted" escape="javascript"/>
<orion:message key="scor.reputation.most.likely.trusted" var="trustLevelMostLikelyTrusted" escape="javascript"/>
<orion:message key="scor.reputation.might.be.trusted" var="trustLevelMightBeTrusted" escape="javascript"/>
<orion:message key="scor.reputation.unknown" var="trustLevelUnknown" escape="javascript"/>
<orion:message key="scor.reputation.might.be.malicious" var="trustLevelMightBeMalicious" escape="javascript"/>
<orion:message key="scor.reputation.most.likely.malicious" var="trustLevelMostLikelyMalicious" escape="javascript"/>
<orion:message key="scor.reputation.known.malicious" var="trustLevelKnownMalicious" escape="javascript"/>

<orion:message key="scor.common.notavailable" var="certNotAvailable" escape="javascript"/>
<orion:message key="scor.cert.title" var="certificateTitleLabel" escape="html" />
<orion:message key="scor.cert.title" var="certificateTitleLabelJS" escape="javascript" />
<orion:message key="scor.cert.notAvailableHoverMsg" var="certificateNotAvailableHoverMsgJS" escape="javascript" />
<orion:message key="scor.cert.subject" var="subjectLabel" escape="html" />
<orion:message key="scor.cert.issuedby" var="issuedByLabel" escape="html" />
<orion:message key="scor.cert.reputation" var="certReputationLabel" escape="html" />
<orion:message key="scor.cert.reputationSource" var="certReputationSourceLabel" escape="html" />
<orion:message key="scor.cert.publicKeyAlgorithm" var="pubKeyAlgorithmLabel" escape="html" />
<orion:message key="scor.cert.publicKeyLength" var="pubKeyLengthLabel" escape="html" />
<orion:message key="scor.certificate.da.PUBLIC_KEY_HASH" var="publicKeyHashLabel" escape="html" />
<orion:message key="scor.certificate.reputation.da.CERT_HASH" var="certHashLabel" escape="html" />
<orion:message key="scor.certificate.da.VALID_FROM" var="certValidFromLabel" escape="html" />
<orion:message key="scor.certificate.da.VALID_TO" var="certValidToLabel" escape="html" />
<orion:message key="scor.inventory.detail.showFullBinaryPath" var="showFullBinaryPathLabel" escape="html" />
<orion:message key="scor.inventory.detail.showFullBinaryPath" var="showFullBinaryPathLabelJS" escape="javascript" />
<orion:message key="scor.cert.reputation.${scorEffectiveCertDetail.certReputation.effectiveReputation}" var="certReputationValueLabel" escape="javascript" />
<orion:message key="${scorEffectiveCertReputationSourceKey}" var="certReputationSourceValueLabel" escape="html" />
<orion:message key="scor.cert.reputation.lookupInTIE" var="lookupInTIEVarJS" escape="javascript" />
<orion:message key="scor.common.key.notAvailable" var="notAvailableValue" escape="javascript" />
<c:set var="embedVerionValue" value="${scorInventoryBinaryPropMap['embedVersion']}"/>
<c:set var="displayVendorValue" value="${scorInventoryBinaryPropMap['displayVendor']}"/>
<c:set var="binaryNameValue" value="${scorInventoryBinaryPropMap['binaryBaseName']}"/>
<c:set var="binarySHA1Value" value="${scorInventoryBinaryPropMap['binarySHA1']}"/>
<c:set var="binarySHA256Value" value="${scorInventoryBinaryPropMap['binarySHA256']}"/>
<c:set var="binaryMD5Value" value="${scorInventoryBinaryPropMap['binaryMD5']}"/>
<c:set var="prevalenceValue" value="${scorInventoryBinaryPropMap['prevalence']}"/>
<c:set var="displayNameValue" value="${scorInventoryBinaryPropMap['displayName']}"/>
<c:set var="displayVersionValue" value="${scorInventoryBinaryPropMap['displayVersion']}"/>
<c:set var="effectiveCustomTrustLevelValue" value="${scorInventoryBinaryPropMap['effectiveCustomTrustLevel']}"/>
<c:set var="maxValueFieldSizeVar" value="<%=InventoryConstants.INV_DETAIL_VALUE_FIELD_MAX_LENGTH%>" />
<c:set var="maxValueFieldSizeForBinaryNameVar" value="<%=InventoryConstants.INV_DETAIL_VALUE_FIELD_MAX_LENGTH_FOR_BINARY_NAME%>" />
<c:set var="certificateSubjectValue" value="${scorInventoryBinaryPropMap['certSubject']}" />

<orion:core>
    <orion:corehead>   	
		
		<orion:script context="<%=URLConstants.SLASH_WEB_APP_NAME%>" src="/jsFiles/commonUtil.js"/>
		<orion:style context="/SOLIDCORE_META" url="/css/override.css" />
		<%@ page import="com.mcafee.scor.common.URLConstants" %>
		<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>"/>
	</orion:corehead>
    <orion:corebody>
		<orion:navigation/>
        <orion:content>
       		<script type="text/javascript">
                OrionHelp.setHelpId("${scorInvBinaryDetailHelpPageId}");
            </script>
            <orion:vbox>
				<orion:titlebar text="${binaryDetailPageTitle}" />
				<orion:hbox height= "150">
					<orion:box width="530" >
						
						<table style="border-bottom: 0;width:100%; padding-left:5px">
							<tr ><td style = "width:90%">
								<table class="orionPList" cellspacing="0" style="border-bottom: 0">
										
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left;  width:120px; ">
											${binaryBaseName}:
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
                                     	<div id="binaryNameDivId" style="word-wrap:break-word; width:380px;"></div>
										<div id="binaryBaseNamePanelId"  class="panelOnTop">
										   <div id="baseNameInPanel" class="bd" style="word-wrap:break-word; width:300px;"></div>
										</div>
                                     	
										</td>
										</tr>	
										
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left;  width:120px;">
											${embedVesion}:
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left;" >
                                     		${orion:escapeHtml(embedVerionValue)}
										</td>
										</tr>	
										
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left;  width:120px ">
											${binaryPath}:
										 </th>
										<td id="entTrustLevelCell" class="orionPListPropertyValue" style="border-right: 0; text-align: left" >                                     		
										<div id="binaryPathDivId" style="word-wrap:break-word; width:380px;"></div>
										<div id="binaryPathPanelId"  class="panelOnTop"> 
										   <div id="pathInPanel" class="bd" style="word-wrap:break-word; width:300px;"></div>
										</div> 
										</td>
										</tr>	
										
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left; width:120px;">${firstSeenOn}</th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left">${scorBinaryFirstSeenHost}</td>
										</tr>
										
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left; width:120px;">${firstSeenAt}</th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left">${scorBinaryFirstSeenTime}</td>
										</tr> 
													
										</table>
							 </td>

							 </tr>
						</table>
					
						</orion:box>		
					
					<orion:box width="auto">
						<table style="border-bottom: 0;width:100%">
						
							<tr ><td style = "width:90%">
								<table class="orionPList" cellspacing="0" style="border-bottom: 0">
									
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left;  width:100px">
											${customTrustLevel}:
										 </th>
										<td id="entTrustLevelCell" class="orionPListPropertyValue" style="border-right: 0; text-align: left" >                                     		
										<div id="invBinaryReputationDivId"></div>
										</td>
										</tr>
										
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left;  width:100px">
											${binarySHA1}:
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
                                     		${orion:escapeHtml(binarySHA1Value)}
										</td>
										</tr>
										
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left;  width:100px">
											${binarySHA256}:
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
                                     		${orion:escapeHtml(binarySHA256Value)}
										</td>
										</tr>
										
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left; width:100px">
											${binaryMD5}:
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
                                     		${orion:escapeHtml(binaryMD5Value)}
										</td>
										</tr>
										
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left;  width:100px;">
											${displayName}:
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
                                     		${orion:escapeHtml(displayNameValue)}&nbsp;${orion:escapeHtml(displayVersionValue)}
										</td>
										</tr>
										<tr class="orionPListRow" style="border-bottom: 0">
										<th class="orionPListPropertyName" style="border-right: 0; text-align: left;  width:100px;">
											${certificateSubject}:
										 </th>
										<td class="orionPListPropertyValue" style="border-right: 0; text-align: left" >
											<div id="publisherDivId" title="${certificateTitleLabel}" style="color: ${scorEffectiveCertReputationColor};">${orion:escapeHtml(certificateSubjectValue)}</div>
											<div class="panelOnTop" id="certDetailPanelDivId" style="width: 450px;"></div>
											</td>
										</tr>
										
								</table>	
							 </td>
								
							 </tr>
						</table>
					 </orion:box>
					  				 
					 <orion:box width="400" >
							<console:chart id="mychart.id" target="dashboard" datasourceAttr="${invChartDataSourceStr}" title="${chartTitle}" width="400" height="150" showExportButton="false"/>
					 </orion:box>
				</orion:hbox>
				
				<orion:table2 id="hostBinaryAssocTableId" titleText="${systemsForBinaryTableTitle}" datasourceAttr="scorInventoryHostBinaryDetailsDS" cellRendererAttr="scorInventoryHostBinaryDetailsCR" allowFilter="true" showFilters="true" enableDrilldown="false" singleSelect="true" properties="binaryAdditionTime,systemName,executionStatus,executionPermission,action"/>
				<orion:footerbar align="right">
					<orion:button id="back" text="${back}" onclick="OrionNavigation.back();"/>
					<orion:button id="close" text="${close}" onclick="lastInvAnchorPage();"/>
				</orion:footerbar>

            </orion:vbox>

        </orion:content>

		<div id="enterpriseTrustLevel" style="display: none;">
			<table>
				<tr>
					<td>${customTrustLevel} :</td>
					<td><orion:select id="trustLevels" items="${trustLevelItems}" />
					</td>
				</tr>
			</table>
		</div>

	<div id="certDetailDivId" style="display: none;">
		<div  class="bd">
			<table>
				<tr>
					<td style="font-weight: bold; width: 35%;">${subjectLabel}:</td>
					<td style="width: 65%;">${orion:escapeHtml(scorEffectiveCertDetail.cert.subject)}</td>
				</tr>
				<tr>
					<td style="font-weight: bold">${issuedByLabel}:</td>
					<td>${orion:escapeHtml(scorEffectiveCertDetail.cert.issuedBy)}</td>
				</tr>
				<tr>
					<td style="font-weight: bold">${certReputationLabel}:</td>
					<td><div id="certReputationDivId"></div></td>
				</tr>
				<tr>
					<td style="font-weight: bold">${certReputationSourceLabel}:</td>
					<td>${certReputationSourceValueLabel}</td>
				</tr>
				<tr>
					<td style="font-weight: bold">${pubKeyAlgorithmLabel}:</td>
					<td>${orion:escapeHtml(scorEffectiveCertDetail.cert.publicKeyAlgo)}</td>
				</tr>
				<tr>
					<td style="font-weight: bold">${pubKeyLengthLabel}:</td>
					<td>${orion:escapeHtml(scorEffectiveCertDetail.cert.publicKeyLength)}</td>
				</tr>
				<tr>
					<td style="font-weight: bold">${publicKeyHashLabel}:</td>
					<td>${orion:escapeHtml(scorEffectiveCertDetail.cert.publicKeyHash)}</td>
				</tr>
				<tr>
					<td style="font-weight: bold">${certHashLabel}:</td>
					<td>${orion:escapeHtml(scorEffectiveCertDetail.cert.certHash)}</td>
				</tr>
				<tr>
					<td style="font-weight: bold">${certValidFromLabel}:</td>
					<td>${scor:formatTimeProperty(scorEffectiveCertDetail.cert.validFrom, locale)}</td>
				</tr>
				<tr>
					<td style="font-weight: bold">${certValidToLabel}:</td>
					<td>${scor:formatTimeProperty(scorEffectiveCertDetail.cert.validTo, locale)}</td>
				</tr>
			</table>
		</div>
	</div>
	
	<div id="certNotAvailableDivId" style="display: none;"/>


		<script type="text/javascript">
		var scor;
		scor = scor || {};
		scor.invDetails = scor.invDetails || {};

		scor.invDetails.maxValueFieldSize =  '${maxValueFieldSizeVar}';
		scor.invDetails.maxValueFieldSizeForBinaryName =  '${maxValueFieldSizeForBinaryNameVar}';
		
		scor.invDetails.createAndPopulatePanel = function( valueString, panelId, valueDivId, panelValueId, maxLength){
			if( valueString != null && valueString.length > maxLength){
				$j("#"+panelValueId).html(valueString);
				scor.common.registerPanelAt( panelId, valueDivId, '${showFullBinaryPathLabelJS}' );
				$j("#"+panelId).show();
			}else{
				$j("#"+panelId).hide();
			}
		};
		
		setInvTrustLevel = function(){
		    var customTrustLevelValue = '${invBinaryReputation}';
		    var reputationColor = '${reputationColor}';
		    var trustLevelValue = '${trustLevelUnknown}';
		    if(customTrustLevelValue == 'scor.reputation.known.trusted'){
		    	trustLevelValue = '${trustLevelKnownTrusted}';
		    }else if(customTrustLevelValue == 'scor.reputation.most.likely.trusted'){
		    	trustLevelValue = '${trustLevelMostLikelyTrusted}';
		    } else if(customTrustLevelValue == 'scor.reputation.might.be.trusted'){
		    	trustLevelValue = '${trustLevelMightBeTrusted}';
		    } else if(customTrustLevelValue == 'scor.reputation.might.be.malicious'){
		    	trustLevelValue = '${trustLevelMightBeMalicious}';
		    } else if(customTrustLevelValue == 'scor.reputation.most.likely.malicious'){
		    	trustLevelValue = '${trustLevelMostLikelyMalicious}';
		    } else if(customTrustLevelValue == 'scor.reputation.known.malicious'){
		    	trustLevelValue = '${trustLevelKnownMalicious}';
		    } 	    
		    $j("#invBinaryReputationDivId").html('<span style="color:'+ reputationColor+ '">'+ trustLevelValue+'</span>');
		}
		
		function lastInvAnchorPage(){
			var closeURI = '${scorCloseURI}';
			if(closeURI == null){
				OrionNavigation.lastAnchorPage();
			}else{
				OrionNavigation.navigate(closeURI);
			}
		}
		
		function scorChangeExecStatus(id, execStatus, agentGUID){
			 
			OrionCore.doAction("/SOLIDCORE_META/allowBanFromBinaryDetailsUi.do", 
				['allowBanHostBinaryAssocId',id
				,'allowBanActionType',execStatus
				,'allowBanAgentGUID',agentGUID
				,'binaryDetailsPageUrl',location.href
				]
				,"GET", "_self");
		
		}

		onInvRowSelectSuccess = function(result){
			if(result == null) {
				return;
			}
			var resultObj = JSON.parse(result);
			var resultVO = scor.vos.Result(resultObj);
			var result = resultVO.getResult();
			var escapedBinaryPath = OrionCore.escapeHtml(result['binaryPath']);
			
			$j("#binaryPathDivId").html(scor.common.getShortenedString(escapedBinaryPath, scor.invDetails.maxValueFieldSize));
			scor.invDetails.createAndPopulatePanel( escapedBinaryPath, "binaryPathPanelId", "binaryPathDivId", "pathInPanel", scor.invDetails.maxValueFieldSize);	
			
			var escapedBaseName = OrionCore.escapeHtml('${binaryNameValue}');
			$j("#binaryNameDivId").html(scor.common.getShortenedString(escapedBaseName, scor.invDetails.maxValueFieldSizeForBinaryName));
			scor.invDetails.createAndPopulatePanel( escapedBaseName, "binaryBaseNamePanelId", "binaryNameDivId", "baseNameInPanel", scor.invDetails.maxValueFieldSizeForBinaryName );
			if('${binarySHA1Value}'){
				$j("#binaryNameDivId").append('&nbsp;&nbsp;<a href=/SOLIDCORE_META/evtShowReputationOnTIE.do?sha1='+'${binarySHA1Value}${scor_csrf_param_la}'+'>'+'${lookupInTIEVarJS}'+'</a>');
			}
		}

		onInvRowSelectFailure = function(){
			
		}
		
		invDetailsfnOnLoad = function(){
			MFSTable.get("hostBinaryAssocTableId").setOnStateChange(invDetailsfnOnRowSelect);
			
		}

		
		invDetailsfnOnRowSelect = function(uid){
			  var selectedIds =  MFSTable.get("hostBinaryAssocTableId").getSelected();
			  var params = ['selectedIds',selectedIds];
			  OrionCore.doAsyncAction('/SOLIDCORE_META/getInvDetailsForUID.do',
					  	params,
			            onInvRowSelectSuccess,
			            onInvRowSelectFailure,
			            "POST");
		}
		
		scor.invDetails.initializeCertificateTooltip = function() {
			if ('${scorEffectiveCertDetail.cert.subject}') {
				var certificateToolTipHtml = $j("#certDetailDivId").html();
				$j("#certDetailPanelDivId").html(certificateToolTipHtml);	
				scor.common.registerPanelAt("certDetailPanelDivId", "publisherDivId", '${certificateTitleLabelJS}', '450px');	
			}else{
				$j("#certNotAvailableDivId").html("${reqCertificateToolTipKeyForNotAvailable}");
				$j("#certDetailPanelDivId").addClass("bd");
				$j("#certDetailPanelDivId").html($j("#certNotAvailableDivId").html());
				scor.common.registerPanelAt("certDetailPanelDivId", "publisherDivId", '${certificateNotAvailableHoverMsgJS}', '450px');
			}				
		};
		
		scor.invDetails.setCertTrustLevel = function() {
			var certSubjectName = '${certificateSubjectValue}';
			if (!certSubjectName) {
				return;
			}
			var effectiveTrustLevelInt = '${scorEffectiveCertDetail.certReputation.effectiveReputation}';
			if (!effectiveTrustLevelInt) {
				return;
			}
			
			$j("#certReputationDivId").html('<span style="color:' + '${scorEffectiveCertReputationColor}' + '">'+ '${certReputationValueLabel}'+'</span>');
		}
		
		function _initPage(){
			setInvTrustLevel();
			var isUserAdmin= '${isUserAdmin}';
			var binaryTable=MFSTable.get("hostBinaryAssocTableId");
			binaryTable.setFilter("${filterString}");
			
			invDetailsfnOnLoad();
			
			var featureSelectBox =  $("hostBinaryAssocTableId_filterList");
			for ( var i = 0; i < featureSelectBox.options.length; i++ ) {
				if ( featureSelectBox.options[i].value == "${filterString}" ) {
					featureSelectBox.options[i].selected = true;
					break;;
				}
			}
			if (${isBinaryDetailsBackButtonDisabled} ==  true) {
				$('back').className = "orionButtonDisabled";
			}					

			$j("#binaryPathPanelId").hide();
			$j("#binaryBaseNamePanelId").hide();
			scor.invDetails.setCertTrustLevel();
			scor.invDetails.initializeCertificateTooltip();			
			if ('${scorEffectiveCertDetail.cert.subject}') {
				$j("#publisherDivId").append('&nbsp;&nbsp;<a href=/SOLIDCORE_META/showCertReoutationOnTIE.do?reqCertSha1='+'${scorEffectiveCertDetail.cert.certHash}${scor_csrf_param_la}'+'>'+'${lookupInTIEVarJS}'+'</a>');
			}	
			
			scor.utils.selectFirstRowOfMFSTable("hostBinaryAssocTableId");	
		}
		
		OrionCore.addLoadHandler(_initPage);   
		</script>

    </orion:corebody>
</orion:core>
