<!-- Copyright (C) 2014-2018 McAfee, Inc.  All rights reserved. -->
<%@ page import="com.mcafee.scor.common.Constants"%>
<%@ page import="com.mcafee.scor.common.URLConstants"%>
<%@ page import="com.mcafee.scor.common.HelpConstants"%>
<%@ page import="com.mcafee.scor.policy.PolicyConstants"%>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>

<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ page import="com.mcafee.scor.common.CommonConstants" %>
<orion:script context="/core" src="/majic.js" />
<jsp:include page="/common/includejQuery.jsp" />

<orion:message key="policy.mon.file.filters.duplicate" var="valFileFilterDuplicate" escape="javascript"/>
<orion:message key="scor.policy.mon.trackingPrefix" var="trackingPrefixVar" escape="javascript" />
<orion:message key="scor.policy.mon.encodingPrefix" var="encodingPrefixVar" escape="javascript" />
<orion:message key="scor.policy.mon.directoryPrefix" var="directoryPrefixVar" escape="javascript" />
<orion:message key="scor.policy.mon.recursePrefix" var="recursePrefixVar" escape="javascript" />
<orion:message key="policy.mon.file.filters.valFileTrackingRuleShouldNotHaveStar" var="valFileTrackingRuleShouldNotHaveStar" escape="javascript"/>
<orion:message key="policy.mon.file.filters.valPatternBoxStarInBetweenPattern" var="valPatternBoxStarInBetweenPattern" escape="javascript"/>
<orion:message key="policy.mon.file.filters.valPatternBoxMultipleStarInPattern" var="valPatternBoxMultipleStarInPattern" escape="javascript"/>
<orion:message key="policy.mon.file.filters.valPatternBoxCharactersNotValid" var="valPatternBoxCharactersNotValid" escape="javascript"/>
<orion:message key="policy.mon.file.filters.valPatternBoxDirectoryPathNotAllowed" var="valPatternBoxDirectoryPathNotAllowed" escape="javascript"/>
<orion:message key="policy.mon.filters.empty" var="valFilterEmpty" escape="javascript"/>
<orion:message key="policy.mon.file.filters.warningOnTopLevelPath" var="warningOnTopLevelPath" escape="javascript"/>
<orion:message key="policy.mon.filetracking.enabled" var="fileTrackingEnabled" escape="javascript"/>
<orion:message key="policy.mon.filetracking.disabled" var="fileTrackingDisabled" escape="javascript"/>
<orion:message key="scor.y" var="msgYes" escape="javascript"/>
<orion:message key="scor.n" var="msgNo" escape="javascript"/>

<script type="text/javascript">
var scor = scor || {};
scor.mon = scor.mon || {};
scor.mon.file = scor.mon.file || {};
scor.mon.file.pattern = scor.mon.file.pattern || {};
scor.mon.file.pattern.joinSeparator = '}, {';
scor.mon.file.pattern.newLinSeparator = '\n';
scor.mon.file.pattern.startChar = '{';
scor.mon.file.pattern.endChar = '}';
scor.mon.file.trackingSettings = scor.mon.file.trackingSettings || {};
scor.mon.file.trackingSettings.keyValueSeparator = ':';
scor.mon.file.trackingSettings.trackingStatusPreFix = '${trackingPrefixVar}' + scor.mon.file.trackingSettings.keyValueSeparator;
scor.mon.file.trackingSettings.directoryPreFix = '${directoryPrefixVar}' + scor.mon.file.trackingSettings.keyValueSeparator ;
scor.mon.file.trackingSettings.encodingPreFix = '${encodingPrefixVar}' + scor.mon.file.trackingSettings.keyValueSeparator;
scor.mon.file.trackingSettings.recursePreFix = '${recursePrefixVar}' + scor.mon.file.trackingSettings.keyValueSeparator;
scor.mon.file.defaultEncoding = 'AutoDetect';
scor.mon.file.displayValStr = 'displayVal';
scor.mon.file.dbValStr = 'dbVal';

scor.mon.file.isFdSupported = function(){
    var ret = false;
    var fileTrackingCheckBox =  scor.utils.GetElementFromDialogBox('fileTrackingCkBox','input');
    if(fileTrackingCheckBox){
    	ret = true;   
    }
    return ret;
}

scor.mon.file.isDirTrackingSupported = function(){
    var ret = false;
    var isDirectoryCheckBox =  scor.utils.GetElementFromDialogBox('isDirectory','input');
    if(isDirectoryCheckBox){
    	ret = true;   
    }       
    return ret;
}

scor.mon.file.getMajicList = function(){
	var majicList;
	var isWin = ('${orion:escapeJavaScriptString(param.osType)}' === '<%=PolicyConstants.POLICY_OS.WIN.getValue()%>');
	majicList = isWin?monWinPathFilterList:monUnixPathFilterList;
	return majicList;
}

function pathAddCallback()
{ 
	scor.mon.file.addEditFilterCallback(false);
	scor.mon.file.enableDisableFDElements(false);
}

function pathEditCallback()
{ 
  if(scor.mon.file.isFdSupported()){
  	scor.mon.file.setFileDiffChkBoxOnEdit(scor.mon.file.getMajicList());
  	scor.mon.file.setFileEncodingSelected(scor.mon.file.getMajicList());
	}
  if(scor.mon.file.isDirTrackingSupported()){
  	scor.mon.file.setDirectoryChkBoxOnEdit(scor.mon.file.getMajicList());
  	scor.mon.file.setRecurseChkBoxOnEdit(scor.mon.file.getMajicList());
  	scor.mon.file.setPatternsOnEdit(scor.mon.file.getMajicList());
  }
  var selectedRow = scor.mon.file.getMajicList();
  if(selectedRow.selrow){
	   scor.mon.file.addEditFilterCallback(true);
   } else{
        return;
        }
	scor.mon.file.inputFieldHandler(); 
 }
 scor.mon.file.addEditFilterCallback =function(isEdit){
	var dialogBoxTitle;
	if(isEdit){
	   dialogBoxTitle='<orion:message key="policy.mon.file.edit.filters" escape="javascript"/>';
	}
	else{
	   dialogBoxTitle='<orion:message key="policy.mon.file.add.filters" escape="javascript"/>';
	}
	OrionForm.revalidate(); 
	OrionCore.setDialogBoxTitle(dialogBoxTitle);
    if(scor.mon.file.isDirTrackingSupported()){
    	scorSetDialogSize(435, 570);
    }
    var majicList=scor.mon.file.getMajicList();
    var dialogValue = scor.mon.file.getDialogBoxFilterValues(); 
    scor.mon.file.registerHandler(dialogValue, majicList);    
    existingOkHanlder = OrionCore.dialogBoxOkHandler;
    OrionCore.dialogBoxOkHandler = function() {
   	 var allOk = scor.mon.file.isPathFilterValid(true, '${orion:escapeJavaScriptString(param.osType)}');
     if (allOk && scor.mon.file.isFileExist(majicList)) {
     	allOk = false;
        msg = "${valFileFilterDuplicate}";
        handleError(allOk, msg);
     }       
     if (allOk) {
    	dialogValue = scor.mon.file.getDialogBoxFilterValues();    	
     	scor.mon.file.insertInMajicList(isEdit, dialogValue, majicList);
       	scor.mon.file.unRegisterHandler(dialogValue);   
     	epoEnableApplyButton();  	 
     } else {    	
         return false;
     }
   }
};

scor.mon.file.inputFieldHandler = function(prop) {
	var isPathValid = scor.mon.file.isPathFilterValid(false, '${orion:escapeJavaScriptString(param.osType)}');
	var dialogBox = scor.mon.file.getDialogBoxFilterValues();
	if(isPathValid && dialogBox.fileTrackingCkBox && $j(dialogBox.fileTrackingCkBox).is(':checked')){
		  scor.mon.file.validatePathForFD();
	}else{
		scor.mon.file.enableDisableFDElements(isPathValid);
	}
}

scor.mon.file.validateIncludePatterns = function(){
	 var dialogValue = scor.mon.file.getDialogBoxFilterValues(); 
	 var patternErrorDiv = $j('#includePatternErrorDiv').get(0);
	 var isValid = scor.mon.file.validatePatterns($j(dialogValue.includePatterns).get(0), patternErrorDiv);
	 var excludePatternDOMElem =  $j(dialogValue.excludePatterns).get(0);
	if(isValid && $j.trim(excludePatternDOMElem.value) !== $j.trim(excludePatternDOMElem.defaultValue)
			 && $j.trim( $j(dialogValue.excludePatterns).val()) !== ''){
		isValid = scor.mon.file.validatePatterns($j(dialogValue.excludePatterns).get(0));
	 }
	 OrionCore.enableDialogBoxOkButton(isValid);
}

scor.mon.file.validateExcludePatterns = function(){
	 var dialogValue = scor.mon.file.getDialogBoxFilterValues(); 
	 var patternErrorDiv = $j('#excludePatternErrorDiv').get(0);
	 var isValid = scor.mon.file.validatePatterns($j(dialogValue.excludePatterns).get(0), patternErrorDiv);
	 var includePatternDOMElem =  $j(dialogValue.includePatterns).get(0);
	 if(isValid && $j.trim(includePatternDOMElem.value) !== $j.trim(includePatternDOMElem.defaultValue)
			 && $j.trim( $j(dialogValue.includePatterns).val()) !== ''){
		isValid = scor.mon.file.validatePatterns($j(dialogValue.includePatterns).get(0));
	 }	 
	 OrionCore.enableDialogBoxOkButton(isValid);
}

scor.mon.file.validatePatterns = function(patternBox, patternErrorDiv){
	 var regexStarInBetweenPattern = /.\*.|.\*{2}/;
	 var regexMultipleStarInPattern = /^\*{2}|\*{2}$|^\*.+\*$/;
	 var regexNotAllowedCharInPattern = /.(\/|\?|:|\"|<|>|\|).|^(\/|\?|:|\"|<|>|\|)|(\/|\?|:|\"|<|>|\|)$/;
	 var regexNotAllowedForwardSlash = /^(\\)|(\\)$|.\\./;	
	 var patternStr = $j(patternBox).val();
	 var patternArr = scor.mon.file.splitPatternSeparatedByNewline(patternStr);
	 var isValid = true;
	 var msg = "";
	 
	 $j.each(patternArr, function(index, patternVal){
		  if(isValid && regexStarInBetweenPattern.test(patternVal)) {
	            isValid = false;
	            msg = "${valPatternBoxStarInBetweenPattern}";
	        }else if(isValid && regexMultipleStarInPattern.test(patternVal)) {
	            isValid = false;
	            msg = "${valPatternBoxMultipleStarInPattern}";
	        }else if (isValid && regexNotAllowedForwardSlash.test(patternVal)) {
	            isValid = false;
	            msg = "${valPatternBoxDirectoryPathNotAllowed}";
	        }else if(isValid && regexNotAllowedCharInPattern.test(patternVal)) {
	            isValid = false;
	            msg = "${valPatternBoxCharactersNotValid}";
	        }
		 });
	 
	var validationObj = new scor.validation.constructors.ValidationResult(isValid, msg);
	if(patternErrorDiv){
		scor.validation.setValidationMessageInDiv(validationObj, patternBox, patternErrorDiv);	 

	}
	return isValid;
}

scor.mon.file.registerHandler = function(dialogValue, list){
	OrionEvent.registerHandler($j(dialogValue.field).get(0), scor.mon.file.inputFieldHandler, {"majicList" : list}, "keyup", false);
	OrionEvent.registerHandler($j(dialogValue.criteria).get(0), scor.mon.file.handlerForRadioButton, null, "click", false );
	OrionEvent.registerHandler($j(dialogValue.criteriaUnchecked).get(0), scor.mon.file.handlerForRadioButton, null, "click", false );
	if(scor.mon.file.isFdSupported()){
    	OrionEvent.registerHandler($j(dialogValue.fileTrackingCkBox).get(0), scor.mon.file.enableDisableFDElements, null, "click", false );    	      
    	if(scor.mon.file.isDirTrackingSupported()){
	    	OrionEvent.registerHandler($j(dialogValue.directoryElem).get(0), scor.mon.file.enableDisableDirElements, null, "click", false );  
	    	OrionEvent.registerHandler($j(dialogValue.includePatterns).get(0), scor.mon.file.validateIncludePatterns, null, "keyup", false );
	    	OrionEvent.registerHandler($j(dialogValue.excludePatterns).get(0), scor.mon.file.validateExcludePatterns, null, "keyup", false );      	
    	}    	
	}
}

scor.mon.file.unRegisterHandler = function(dialogValue){
	OrionEvent.unregisterHandler($j(dialogValue.field).get(0), scor.mon.file.inputFieldHandler, "keyup", false);
    OrionEvent.unregisterHandler($j(dialogValue.criteria).get(0), scor.mon.file.handlerForRadioButton,  "click", false );
    OrionEvent.unregisterHandler($j(dialogValue.criteriaUnchecked).get(0), scor.mon.file.handlerForRadioButton,  "click", false );
    if(scor.mon.file.isFdSupported()){
        OrionEvent.unregisterHandler($j(dialogValue.fileTrackingCkBox).get(0), scor.mon.file.enableDisableFDElements, null, "click", false );               
        if(scor.mon.file.isDirTrackingSupported()){
        	OrionEvent.unregisterHandler($j(dialogValue.directoryElem).get(0), scor.mon.file.enableDisableDirElements, null, "click", false );
        	OrionEvent.unregisterHandler($j(dialogValue.includePatterns).get(0), scor.mon.file.validateIncludePatterns, null, "keyup", false );
        	OrionEvent.unregisterHandler($j(dialogValue.excludePatterns).get(0), scor.mon.file.validateExcludePatterns, null, "keyup", false );
        }
    }
}

scor.mon.file.getSelectedRowFromList = function(list){
	var selectedRow = list.selrow;	
	if(typeof selectedRow === 'undefined' || selectedRow === null){
		return;
	}
	var row = list.list[selectedRow.id];	
	return row;
	
}

scor.mon.file.setFileDiffChkBoxOnEdit = function(list){
    if(!scor.mon.file.isFdSupported()){
        return;
    }
    var row = scor.mon.file.getSelectedRowFromList(list);
    var dialogValue = scor.mon.file.getDialogBoxFilterValues();    
    //row.fileTracking === 'Enabled' for mon Unix and row.fileTracking === 'true' for mon Win
    if(row.fileTracking === 'Enabled' || row.fileTracking === 'true'){
    	scor.mon.file.checkFDElement(dialogValue.fileTrackingCkBox, true);
    }
}

scor.mon.file.setFileEncodingSelected = function(list){
    if(!scor.mon.file.isFdSupported()){
        return;
    }
    var row = scor.mon.file.getSelectedRowFromList(list);
    var dialogValue = scor.mon.file.getDialogBoxFilterValues();    
    scor.mon.file.enableFileEncodingSelectList(dialogValue.selectFileEncoding, true);
    if(row.fileEncodingKey){
    	$j(dialogValue.selectFileEncoding).val(row.fileEncodingKey);  
    }else{
  		$j(dialogValue.selectFileEncoding).val(scor.mon.file.defaultEncoding);  
    }
}

scor.mon.file.setDirectoryChkBoxOnEdit = function(list){
    if(!scor.mon.file.isDirTrackingSupported()){
        return;
    }
    var row = scor.mon.file.getSelectedRowFromList(list);
    var dialogValue = scor.mon.file.getDialogBoxFilterValues();    
    if(row.isDirectory === 'true'){
    	scor.mon.file.checkDirElements(dialogValue.directoryElem, true);
    } 
}


scor.mon.file.setRecurseChkBoxOnEdit = function(list){
    if(!scor.mon.file.isDirTrackingSupported()){
        return;
    }
    var row = scor.mon.file.getSelectedRowFromList(list);
    var dialogValue = scor.mon.file.getDialogBoxFilterValues();    
    if(row.isRecurse === 'true'){
    	scor.mon.file.checkDirElements(dialogValue.recurseDirElem, true);
    } 
}


scor.mon.file.getIncludePatternFromList = function(list){
	if(!scor.mon.file.isDirTrackingSupported()){
        return;
    }
	var row = scor.mon.file.getSelectedRowFromList(list);
	return row.includePatterns;
}

scor.mon.file.getExcludePatternFromList = function(list){
	if(!scor.mon.file.isDirTrackingSupported()){
        return;
    }
	var row = scor.mon.file.getSelectedRowFromList(list);
	return row.excludePatterns;
}

scor.mon.file.setPatternsOnEdit = function(list){
    if(!scor.mon.file.isDirTrackingSupported()){
        return;
    }
    var includePatterns = scor.mon.file.getIncludePatternFromList(list);
    var excludePatterns = scor.mon.file.getExcludePatternFromList(list);
    var dialogValue = scor.mon.file.getDialogBoxFilterValues();
    scor.mon.file.enablePatternbox(dialogValue.includePatterns, true);
    scor.mon.file.enablePatternbox(dialogValue.excludePatterns, true);
    $j(dialogValue.includePatterns).val(includePatterns);
    $j(dialogValue.excludePatterns).val(excludePatterns);
}

scor.mon.file.validatePathForFD = function(os){
	 var dialogBox = scor.mon.file.getDialogBoxFilterValues(); 
	 var fieldValue = ''
	 if(dialogBox.field){
	      fieldValue = $j(dialogBox.field).val();
	 }
	 var validationObj;
	 validationObj = scor.validation.validateTopLevelPaths(fieldValue);	 
	 scor.validation.setValidationMessageInDiv(validationObj, dialogBox.field.get(0), $j("#error_include").get(0));
	 var re = '';
	 if ('${orion:escapeJavaScriptString(param.osType)}' === 'WIN'){
			 re = /.:\\\*\\|.\\\*\\|^\*/;
	 }else if('${orion:escapeJavaScriptString(param.osType)}' === 'UNIX'){
			re = /.\/\*\/|^\/\*\/|^\*/;
	 }	
	 var validPathForFD = true;	 
     if (re.test(fieldValue)) {
    	validPathForFD = false;      
     	validationObj = new scor.validation.constructors.ValidationResult(validPathForFD, "${valFileTrackingRuleShouldNotHaveStar}");    	 
    }else{
     	validationObj = new scor.validation.constructors.ValidationResult(validPathForFD, "");    
     }	 
     if(!validPathForFD){
     	scor.validation.setValidationMessageInDiv(validationObj, dialogBox.field.get(0), $j("#error_include").get(0));
     }
     scor.mon.file.enableDisableFDElements(validPathForFD);     
}

scor.validation.validateTopLevelPaths = function(path){
	var regexTopLevelEnvironmentVars = /^%HOMEDRIVE%\\?$|^%WINDIR%\\?$|^%SystemRoot%\\?$|^%SystemDrive%\\?$|^%PROGRAMDATA%\\?$|^%PROGRAMFILES%(\(X86\))?\\?$|^%PROGRAMW6432%\\?$/i;
	var regexTopLevelPaths = /^.:[\\]$|^.:\\users\\?$|^.:\\Documents and Settings\\?$|^.:\\windows\\?$|^.:\\Program Files( \(x86\))?\\?$|^.:\\Program Data\\?$|^.:\\winnt\\?$/i;
	var fpath = OrionCore.trim(path);	
	var validationObj;
	if(fpath){
		var isValid = true;
		var msg = "";
		 if(isValid && regexTopLevelPaths.test(fpath)) {
	            isValid = false;
	            msg = "${warningOnTopLevelPath}";
	     }
		 else if(isValid && regexTopLevelEnvironmentVars.test(fpath)) {
	            isValid = false;
	            msg = "${warningOnTopLevelPath}";
	     }
		 validationObj = new scor.validation.constructors.ValidationResult(isValid, msg);		 		
	}
	return validationObj;
}

scor.mon.file.enableDisableFDElements = function(isPathValid){	
    if(!scor.mon.file.isFdSupported()){
        return;
    }    
    var dialogBox = scor.mon.file.getDialogBoxFilterValues();
    var isPathValidForFD = false;    
    var fieldValue = ''
    if(dialogBox.field){
        fieldValue = $j(dialogBox.field).val();
    }
    if(isPathValid && !scor.validation.isNetworkPath(fieldValue)){
    	isPathValidForFD = true;            
     }
    var enableFileDiffChkBox = false;
    var enableFileEncodingSelectList = false;
    var enableIsDirectoryChkbox = false;
    if(isPathValidForFD && dialogBox.criteria && $j(dialogBox.criteria).val() == "Include"){
         enableFileDiffChkBox = true;        
    }
    scor.mon.file.enableFDElement(dialogBox.fileTrackingCkBox, enableFileDiffChkBox);
    
    if(enableFileDiffChkBox && dialogBox.fileTrackingCkBox && $j(dialogBox.fileTrackingCkBox).is(':enabled')
    	     && $j(dialogBox.fileTrackingCkBox).is(':checked')){    	
          enableFileEncodingSelectList = true;
          enableIsDirectoryChkbox = true;                         
    }else if( enableFileDiffChkBox && dialogBox.fileTrackingCkBox && $j(dialogBox.fileTrackingCkBox).is(':enabled')){
    	OrionCore.enableDialogBoxOkButton(true);
     }
    scor.mon.file.enableFileEncodingSelectList(dialogBox.selectFileEncoding, enableFileEncodingSelectList);
    scor.mon.file.enableDirElement(dialogBox.directoryElem, enableIsDirectoryChkbox);
    scor.mon.file.enableDisableDirElements();
}

scor.mon.file.enableDisableDirElements = function(){
	if(!scor.mon.file.isDirTrackingSupported()){
        return;
    }
	var isDirectoryEnable = false
	var dialogBox = scor.mon.file.getDialogBoxFilterValues();
	if(dialogBox.directoryElem && $j(dialogBox.directoryElem).is(':enabled') && $j(dialogBox.directoryElem).is(':checked')){
		isDirectoryEnable = true;
	}else if(dialogBox.directoryElem && $j(dialogBox.directoryElem).is(':enabled')){
		OrionCore.enableDialogBoxOkButton(true);
	}
	scor.mon.file.enableDirElement(dialogBox.recurseDirElem, isDirectoryEnable);
	scor.mon.file.enablePatternbox(dialogBox.includePatterns, isDirectoryEnable);
	scor.mon.file.enablePatternbox(dialogBox.excludePatterns, isDirectoryEnable)
    scor.mon.file.enableIsDirectoryMsg(dialogBox.isDirectory_msg, isDirectoryEnable);
	
	if(isDirectoryEnable){
		var isIncludePatternValid = true;
		var isExcludePatternValid = true;
		var includePatternDOMElem =  $j(dialogBox.includePatterns).get(0);
		var excludePatternDOMElem =  $j(dialogBox.excludePatterns).get(0);		
		
		if($j.trim(includePatternDOMElem.value) !== $j.trim(includePatternDOMElem.defaultValue)
				 && $j.trim( $j(dialogBox.includePatterns).val()) !== ''){
			isIncludePatternValid = scor.mon.file.validatePatterns(dialogBox.includePatterns, $j('#includePatternErrorDiv').get(0));
        }	
		if($j.trim(excludePatternDOMElem.value) !== $j.trim(excludePatternDOMElem.defaultValue)
				 && $j.trim( $j(dialogBox.excludePatterns).val() ) !== ''){
			isExcludePatternValid = scor.mon.file.validatePatterns(dialogBox.excludePatterns, $j('#excludePatternErrorDiv').get(0));
		}   
		if(isIncludePatternValid && isExcludePatternValid){
			OrionCore.enableDialogBoxOkButton(true);	
		}else{
			OrionCore.enableDialogBoxOkButton(false);
		}
	}
}

scor.mon.file.isFileExist = function(list){
	var dialogBox = scor.mon.file.getDialogBoxFilterValues();
	var fieldValue = $j.trim($j(dialogBox.field).val());
	var criteriaValue = $j(dialogBox.criteria).val();
	var fileEncodingKey;
	var fileTrackingDbVal;
	var directoryDbVal;
	var recurseDirDbVal;
	var includePatterns = "";
	var excludePatterns = "";
	if(scor.mon.file.isFdSupported()){
	        fileTrackingDbVal = $j(dialogBox.fileTrackingCkBox).is(':checked') ? "true" : "false";
	        fileEncodingKey = dialogBox.fileEncodingKey;
	}
	if(scor.mon.file.isDirTrackingSupported() && $j(dialogBox.fileTrackingCkBox).is(':enabled') && $j(dialogBox.fileTrackingCkBox).is(':checked')){
		if($j(dialogBox.directoryElem).is(':enabled')){
			directoryDbVal = $j(dialogBox.directoryElem).is(':checked') ? "true" : "false";
			if(directoryDbVal === "true"){
				recurseDirDbVal = $j(dialogBox.recurseDirElem).is(':checked') ? "true" : "false";
				includePatterns = scor.mon.file.getPatternBoxVal(dialogBox.includePatterns, dialogBox.directoryElem);
				excludePatterns = scor.mon.file.getPatternBoxVal(dialogBox.excludePatterns, dialogBox.directoryElem);
			}
		}
	}	  
    var rows = list.getRows();
    for (var rowKey in rows)
    {
        var row = rows[rowKey];
        var ruleExist = false;
        if (row != null && row != undefined)
        {
            var existFieldValue = scor.utils.trim(row['field']);
            var existCriteriaValue = scor.utils.trim(row['filter']);
            if ((existFieldValue === fieldValue) && (existCriteriaValue === criteriaValue) ){
            	ruleExist = true; 
            }else{
                continue;
                }

            if(scor.mon.file.isFdSupported() && scor.mon.file.isDirTrackingSupported() && $j(dialogBox.fileTrackingCkBox).is(':enabled')
            		&& $j(dialogBox.fileTrackingCkBox).is(':checked')){            
            	var existTrackingStatus = scor.utils.trim(row['fileTracking']);
            	var existIsDir = scor.utils.trim(row['isDirectory']);
            	var existRecurseDir = scor.utils.trim(row['isRecurse']);
            	var existFileEncodingKey = scor.utils.trim(row['fileEncodingKey']);
            	var existIncludePatterns = scor.utils.trim(row['includePatterns']);
            	var existExcludePatterns = scor.utils.trim(row['excludePatterns']);
            
            	if((directoryDbVal !== "true") && (directoryDbVal !== "true") && (directoryDbVal !== "true") && (directoryDbVal !== "true")){
            		if ((existTrackingStatus === fileTrackingDbVal) && (existFileEncodingKey === fileEncodingKey)
            				&&  (existIsDir !== "true") && (existRecurseDir !== "true")
                            && (existIncludePatterns !== "true") && (existExcludePatterns !== "true")){
                		ruleExist = true; 
                	}else{
                		ruleExist = false; 
                    	}
            	}else{
            	if ((existTrackingStatus === fileTrackingDbVal) && (existFileEncodingKey === fileEncodingKey)
                    && (existIsDir === directoryDbVal) && (existRecurseDir === recurseDirDbVal)
                    && (existIncludePatterns === includePatterns) && (existExcludePatterns === excludePatterns)){
            		ruleExist = true; 
            	}else{
            		ruleExist = false; 
                	}
            	}
            }else if(scor.mon.file.isFdSupported()){
            	var existFileEncodingKey = scor.utils.trim(row['fileEncodingKey']);
            	var existTracking = scor.utils.trim(row['fileTracking']);
            	if ((existTracking === fileTrackingDbVal || existTracking === scor.mon.file.getFileTrackingDisplayVal(fileTrackingDbVal)) 
                    	&& (existFileEncodingKey === fileEncodingKey)){    
                		ruleExist = true; 
                	}else{
            			ruleExist = false; 
                	}
               }
            if(ruleExist === true){
                return true;
            }
        }
    }
    return false;
}

scor.mon.file.isPathFilterValid = function (onOkClick, os) {
    var isValid = true;
    var msg = "";
    var isValidObj;
    var dialogValue = scor.mon.file.getDialogBoxFilterValues();
    var fieldValue = $j.trim($j(dialogValue.field).val());  
    var majicList=scor.mon.file.getMajicList();
   
    if (onOkClick === true) {
        if (isValid && fieldValue === '') {
            isValid = false;
            msg = "${valFilterEmpty}";
        }  
        
        if (isValid && scor.mon.file.isFileExist(majicList)) {
            isValid = false;
            msg = "${valFileFilterDuplicate}";
        }
    }
    if (isValid) {
        isValidObj = scor.validation.validatePath(fieldValue, '${orion:escapeJavaScriptString(param.osType)}');
        msg = isValidObj.msg;
        isValid = isValidObj.isValid;
    }
    handleError(isValid, msg);
    OrionCore.enableDialogBoxOkButton(isValid);
    return isValid;
}

scor.mon.file.handlerForRadioButton = function() {
	var dialogValue = scor.mon.file.getDialogBoxFilterValues();
	var fieldValue = $j.trim($j(dialogValue.field).val());  
	if(fieldValue !== ''){
		scor.mon.file.inputFieldHandler();
	}
}

scor.mon.file.insertInMajicList = function(edit, dialogValue, list){
	var rowObject;
	
	rowObject = scor.mon.file.createListRowObjectForMon(dialogValue);
		
	if(edit === true){
		list.insert(rowObject, true);
	}else{
	    list.insert(rowObject);
	}
}

//Function used for both, Windows and Linux, for the Content Change Tracking feature.
scor.mon.file.createListRowObjectForMon = function(dialogBox){
	
	var trackingSettingsVar;
	var filetrackingObj = {};
	filetrackingObj[scor.mon.file.dbValStr] = $j(dialogBox.fileTrackingCkBox).is(':checked') ? "true" : "false";	
	filetrackingObj[scor.mon.file.displayValStr] = scor.mon.file.getFileTrackingDisplayVal( filetrackingObj[scor.mon.file.dbValStr] );
	var filetrackingUIStr = scor.mon.file.trackingSettings.trackingStatusPreFix + filetrackingObj[scor.mon.file.displayValStr];
	trackingSettingsVar = filetrackingUIStr;

	var directoryObj = {};
	var recurseObj = {};	
	if(filetrackingObj[scor.mon.file.dbValStr] === "true"){
		var encodingUIStr = scor.mon.file.trackingSettings.encodingPreFix + dialogBox.fileEncodingLocalizedKey;
		trackingSettingsVar = trackingSettingsVar + ", "+encodingUIStr;
		
		directoryObj[scor.mon.file.dbValStr] = $j(dialogBox.directoryElem).is(':checked') ? "true" : "false";
		directoryObj[scor.mon.file.displayValStr] = scor.mon.file.getIsDirectoryDisplayVal(directoryObj[scor.mon.file.dbValStr]);
		var directoryUIStr = scor.mon.file.trackingSettings.directoryPreFix + directoryObj[scor.mon.file.displayValStr];
		trackingSettingsVar = trackingSettingsVar + ", "+ directoryUIStr;

		if(directoryObj[scor.mon.file.dbValStr] === "true"){
			recurseObj[scor.mon.file.dbValStr] = $j(dialogBox.recurseDirElem).is(':checked') ? "true" : "false";
			recurseObj[scor.mon.file.displayValStr] = scor.mon.file.getIsRecurseDisplayVal(recurseObj[scor.mon.file.dbValStr]);
			var recurseUIStr = scor.mon.file.trackingSettings.recursePreFix + recurseObj[scor.mon.file.displayValStr];
			trackingSettingsVar = trackingSettingsVar + ", "+ recurseUIStr;
		}
    }	
	var includePatterns = scor.mon.file.getPatternBoxVal(dialogBox.includePatterns, dialogBox.directoryElem);
	var excludePatterns = scor.mon.file.getPatternBoxVal(dialogBox.excludePatterns, dialogBox.directoryElem);
	
	var rowObject = {"filter" : $j(dialogBox.criteria).val(),
            "field" : $j(dialogBox.field).val(),
            "fileTrackingSettings" : trackingSettingsVar,
            "formattedIncludePatterns" : scor.mon.file.splitAndJoinPattern( includePatterns, scor.mon.file.pattern.joinSeparator
                    , scor.mon.file.pattern.startChar, scor.mon.file.pattern.endChar ),
            "formattedExcludePatterns" : scor.mon.file.splitAndJoinPattern( excludePatterns, scor.mon.file.pattern.joinSeparator
                    , scor.mon.file.pattern.startChar, scor.mon.file.pattern.endChar ),
            "fileTracking" : filetrackingObj[scor.mon.file.dbValStr],
            "isDirectory" : directoryObj[scor.mon.file.dbValStr],
            "isRecurse" : recurseObj[scor.mon.file.dbValStr],
            "fileEncodingKey" : dialogBox.fileEncodingKey,
            "fileEncodingLocalizedKey" : dialogBox.fileEncodingLocalizedKey,
            "includePatterns" : includePatterns,
            "excludePatterns" : excludePatterns            
        }
    return rowObject;
}

scor.mon.file.getPatternBoxVal = function(pattern, directoryElem){
	if($j(directoryElem).is(':disabled') 
			|| ($j(directoryElem).is(':enabled') && !($j(directoryElem).is(':checked')) )){
		return "";
	}
	if(pattern){
		var patternboxDOMElem = $j(pattern).get(0);
    	if (patternboxDOMElem.value === patternboxDOMElem.defaultValue){
    		return "";
    	}
    	return $j(pattern).val();
	}
}

scor.mon.file.getFileTrackingDisplayVal = function(filetrackingVal){
	if(filetrackingVal === "true"){
		return "${fileTrackingEnabled}";
	}else{
		return "${fileTrackingDisabled}";
	}
}

scor.mon.file.getIsDirectoryDisplayVal = function(directoryVal){
	if(directoryVal === "true"){
		return "${msgYes}";
	}else{
		return "${msgNo}";
	}
}

scor.mon.file.getIsRecurseDisplayVal = function(recurseVal){
	if(recurseVal === "true"){
		return "${msgYes}";
	}else{
		return "${msgNo}";
	}
}

//Function used for both, Windows and Linux, for the Content Change Tracking feature.
scor.mon.file.getPathVoForMon = function (list){
    var vo = [];
    var rows = list.getRows();
    for (var rowKey in rows)
    {
        var row = rows[rowKey];
        if (row != null && row != undefined)
        {
            vo.push({"field": OrionCore.trim(row['field']),
				"filter" : ( OrionCore.trim(row['filter'].toLowerCase()) === "Include".toLowerCase() ? "Include" : "Exclude"),
				"fileTracking" : row['fileTracking'],
				"fileEncodingKey" : row['fileEncodingKey'],
				"fileEncodingLocalizedKey" : row['fileEncodingLocalizedKey'],
				"isDirectory" : row['isDirectory'],
				"isRecurse" : row['isRecurse'],
                "includePatterns": scor.mon.file.splitPatternSeparatedByNewline(row['includePatterns']),
                "excludePatterns": scor.mon.file.splitPatternSeparatedByNewline(row['excludePatterns'])
                });
        }
    }
    return vo;
}

//Use this when pattern string is separated by line feed or carriage return. Provide join separator.
scor.mon.file.splitAndJoinPattern = function(patternStr, joinSeparator, startChar, endChar){
	var patternArr = scor.mon.file.splitPatternSeparatedByNewline(patternStr);
	return scor.mon.file.joinPatternArray(patternArr, joinSeparator, startChar, endChar);	
}

scor.mon.file.splitPatternSeparatedByNewline = function(patternStr){
	if(!patternStr ||$j.trim(patternStr).length === 0){
		return [];
		}
	var patternArr = patternStr.split(/\r|\r\n|\n/);
	patternArr = scor.mon.file.cleanArrayForEmptyStrings(patternArr);
	return patternArr;
}

scor.mon.file.joinPatternArray = function(patternArr, joinSeparator, startChar, endChar){
	if(!patternArr ||patternArr.length === 0 ){
		return "";
	}
	patternArr = scor.mon.file.cleanArrayForEmptyStrings(patternArr);
	var patternStr = '';
	if(startChar){
		patternStr = startChar;
	}
	patternStr = patternStr + patternArr.join(joinSeparator);
	if(endChar){
		patternStr = patternStr + endChar;
	}
	return patternStr;
}

scor.mon.file.cleanArrayForEmptyStrings = function(patternArr){
	patternArr = $j.grep(patternArr, function(arrItem){
				if(arrItem){
    				return arrItem;
				}
	});
	return patternArr;
}

//Function used for Win and Linux file and directory tracking feature
scor.mon.file.fillPathListForMon = function (obj, list){
    scor.utils.clearMagicListWidget(list);
    obj = obj ? obj : {}
    for (var i = 0; i < obj.length; i++)
    {   
        var filetrackingObj = {};
        var directoryObj = {};
        var recurseObj = {};
    	var trackingSettingsVar = "";
    	var formattedIncludePattern = "";
    	var formattedExcludePattern = "";
    	var includePatterns;
    	var excludePatterns;
    	
    	filetrackingObj[scor.mon.file.dbValStr] = ( obj[i].fileTracking ) ? obj[i].fileTracking : '';     	
    	filetrackingObj[scor.mon.file.displayValStr] = scor.mon.file.getFileTrackingDisplayVal( filetrackingObj[scor.mon.file.dbValStr] );
		var filetrackingUIStr = scor.mon.file.trackingSettings.trackingStatusPreFix + filetrackingObj[scor.mon.file.displayValStr];   	    	
    	trackingSettingsVar = filetrackingUIStr;    
    		
        if(filetrackingObj[scor.mon.file.dbValStr] === "true"){
        	var encodingUIStr = scor.mon.file.trackingSettings.encodingPreFix + obj[i].fileEncodingLocalizedKey;
    		trackingSettingsVar = trackingSettingsVar + ", "+encodingUIStr;
        
        	directoryObj[scor.mon.file.dbValStr] =  obj[i].isDirectory;        
        	directoryObj[scor.mon.file.displayValStr]  =scor.mon.file.getIsDirectoryDisplayVal(directoryObj[scor.mon.file.dbValStr]);
        	var directoryUIStr  = scor.mon.file.trackingSettings.directoryPreFix + directoryObj[scor.mon.file.displayValStr];
    		trackingSettingsVar = trackingSettingsVar + ", "+ directoryUIStr;

    		if(obj[i].isDirectory && directoryObj[scor.mon.file.dbValStr] === "true"){
    			recurseObj[scor.mon.file.dbValStr] = ( obj[i].isRecurse ) ? obj[i].isRecurse : '';
    			recurseObj[scor.mon.file.displayValStr]  =scor.mon.file.getIsRecurseDisplayVal(recurseObj[scor.mon.file.dbValStr]);    		
    			var recurseUIStr = scor.mon.file.trackingSettings.recursePreFix + recurseObj[scor.mon.file.displayValStr];
    			trackingSettingsVar = trackingSettingsVar + ", "+ recurseUIStr;
    		}    	
    			
    		formattedIncludePattern = scor.mon.file.joinPatternArray(obj[i].includePatterns, scor.mon.file.pattern.joinSeparator
    	    			, scor.mon.file.pattern.startChar, scor.mon.file.pattern.endChar);
    		formattedExcludePattern = scor.mon.file.joinPatternArray(obj[i].excludePatterns, scor.mon.file.pattern.joinSeparator
    					, scor.mon.file.pattern.startChar, scor.mon.file.pattern.endChar);
    		includePatterns = scor.mon.file.joinPatternArray(obj[i].includePatterns, scor.mon.file.pattern.newLinSeparator);
    		excludePatterns = scor.mon.file.joinPatternArray(obj[i].excludePatterns, scor.mon.file.pattern.newLinSeparator);
        }   	
    	
        var newObj = {"field" : obj[i].field, 
            //Filter is not defined in Directory CCT Rule    
			"filter" : (!(obj[i].filter) || obj[i].filter.toLowerCase() === "Include".toLowerCase() ? "Include" : "Exclude"), 
			"fileTrackingSettings" : trackingSettingsVar,
			"formattedIncludePatterns":formattedIncludePattern,
            "formattedExcludePatterns":formattedExcludePattern,        
            "fileTracking" : filetrackingObj[scor.mon.file.dbValStr],
            "isDirectory" : directoryObj[scor.mon.file.dbValStr],
            "isRecurse" : recurseObj[scor.mon.file.dbValStr] ,    
			"fileEncodingKey" : obj[i].fileEncodingKey,
			"fileEncodingLocalizedKey" : obj[i].fileEncodingLocalizedKey,
			"includePatterns" : includePatterns,
            "excludePatterns" : excludePatterns            
			}
        list.insert(newObj);
    }

}

scor.mon.file.enableFileEncodingSelectList = function(selectFileEncoding, enabled){
    if(!scor.mon.file.isFdSupported()){
        return;
    }    
    if(enabled){
    	$j(selectFileEncoding).attr('disabled', false); 
    }else{
    	$j(selectFileEncoding).attr('disabled', true);        
    }
}

scor.mon.file.checkFDElement = function(element, check){
	scor.mon.file.enableFDElement(element, check);
    if(!scor.mon.file.isFdSupported()){
        return;
    }
    if(check){
    	$j(element).attr('checked', true);
    }else{
    	$j(element).attr('checked', false);
    }
}

scor.mon.file.enableFDElement = function(element, enabled){
    if(!scor.mon.file.isFdSupported()){
        return;
    }
    if(enabled){
    	$j(element).attr('disabled', false);
    }else{
    	$j(element).attr('checked', false);
        $j(element).attr('disabled', true);
    }
}

scor.mon.file.checkDirElements = function(element, check){
	scor.mon.file.enableDisableDirElements(element, check);
    if(!scor.mon.file.isDirTrackingSupported()){
        return;
    }
    if(check){
    	$j(element).attr('checked', true);
    }else{
    	$j(element).attr('checked', false);
    }
}


scor.mon.file.enableDirElement = function(element, enabled){
    if(!scor.mon.file.isDirTrackingSupported()){
        return;
    }
    if(enabled){
    	$j(element).attr('disabled', false);
    }else{
        $j(element).attr('disabled', true);
    }
}

scor.mon.file.enablePatternbox = function(patternbox, enabled, errorDiv){
    if(!scor.mon.file.isDirTrackingSupported()){
        return;
    }
    var patternboxDOMElem = $j(patternbox).get(0); 	    
    if(enabled){
    	$j(patternbox).attr('disabled', false);     	 	
    }else{    	
    	$j(patternbox).attr('disabled', true);
        $j('#includePatternErrorDiv').html('');
        $j('#excludePatternErrorDiv').html('');
    }
    if(!patternboxDOMElem.value){
		patternboxDOMElem.value = patternboxDOMElem.defaultValue
    }
	if (patternboxDOMElem.value === patternboxDOMElem.defaultValue){
		$j(patternbox).addClass('scorMonPolicyHelpTextArea');
	}
	if (patternboxDOMElem.value !== patternboxDOMElem.defaultValue){
		$j(patternbox).removeClass('scorMonPolicyHelpTextArea');
	}
    $j(patternbox).focus(function() {
        if (this.value === this.defaultValue) {
            this.value = '';
            $j(this).removeClass('scorMonPolicyHelpTextArea');
         }})
        .blur(function() {
        if (this.value === '') {
        	$j(this).addClass('scorMonPolicyHelpTextArea');
            this.value = this.defaultValue;
        }
});
}

scor.mon.file.enableIsDirectoryMsg = function(element, enabled){
    if(!scor.mon.file.isDirTrackingSupported()){
        return;
    }
    if(enabled){
    	$j('#isDirectory_msg').css('display' , 'block')
    }else{
    	$j('#isDirectory_msg').css('display' , 'none')
    }
}

scor.mon.file.setAndGetFileEncodingFields = function(selectFileEncoding){
	if(selectFileEncoding){
		var selectedIndex = selectFileEncoding.selectedIndex;
		var fileEncodingKey;
		var fileEncodingLocalizedKey;
		if(selectFileEncoding.disabled == false && selectedIndex != -1){
			fileEncodingLocalizedKey = selectFileEncoding.options[selectedIndex].title;
			fileEncodingKey = selectFileEncoding.options[selectedIndex].value;
		}
    }	
    return {'fileEncodingKey' : fileEncodingKey, 'fileEncodingLocalizedKey' : fileEncodingLocalizedKey}
}

scor.mon.file.getDialogBoxFilterValues = function() {
	var dialogBox = OrionCore.getDialogBoxContainer();
    var fieldElement = $j(dialogBox).find('#field');
    var radioChecked = $j(dialogBox).find('input[name=filter]:checked');
    var radioUnChecked = $j(dialogBox).find('input[name=filter]:not(:checked)');  
    var fileTrackingChkBox =  $j(dialogBox).find('#fileTrackingCkBox');
    var selectFileEncoding = scor.utils.GetElementFromDialogBox('selectFileEncoding','select');
    var directoryElem = $j(dialogBox).find('#isDirectory');
    var recurseDirElem = $j(dialogBox).find('#recurseDir');
    var includePatterns =$j(dialogBox).find('#includePattern');
    var excludePatterns = $j(dialogBox).find('#excludePattern');
    var recurseDirElem = $j(dialogBox).find('#recurseDir');
    var fileEncodingObj = scor.mon.file.setAndGetFileEncodingFields(selectFileEncoding);
    
    
    return {'field': fieldElement, 'criteria': radioChecked, 'criteriaUnchecked': radioUnChecked, 'fileTrackingCkBox': fileTrackingChkBox
        ,'selectFileEncoding' : selectFileEncoding
        , 'fileEncodingKey' : fileEncodingObj.fileEncodingKey, 'fileEncodingLocalizedKey' : fileEncodingObj.fileEncodingLocalizedKey
        , 'directoryElem' : directoryElem, 'recurseDirElem' : recurseDirElem
        , 'includePatterns' : includePatterns, 'excludePatterns' : excludePatterns};
}
</script>
