<!-- COPYRIGHT:		Copyright (C) 2008-2018 McAfee, Inc.  All rights reserved-->
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>
<%@ taglib uri="http://www.mcafee.com/scor" prefix="scor" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ page import="com.mcafee.scor.common.Constants" %>
<%@ page import="com.mcafee.scor.queries.QueriesConstants" %>
<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>"/>
<jsp:include page="/common/includejQuery.jsp"/>


<orion:message key="scor.queries.findBtn.Txt" var="findBtnTxt" escape="none"/>
   
<script type="text/javascript">

	scorQSGetQueriesData = function(){
         var paramMap={};
        paramMap["type"] = 'SCOR_FD_FILE_REPOS';
        paramMap["queryNameCrit"] = $j("#queryNameSearchDialogId").val();
		var filterStr = JSON.stringify(paramMap);
	    ScorDialogTable.refresh("queriesTableD", filterStr, ScorDialogTable.tableParameters["queriesTableD"].visibleRows);
  		ScorAutoComplete.setFilter("queriesAutoCompleteds",filterStr);
	    ScorDialogTable.beginning('queriesTableD');
	}

    scorQSrefreshTable = function(){            
    	ScorDialogTable.refresh("queriesTableD", null, ScorDialogTable.tableParameters["queriesTableD"].visibleRows);
    }  
   
	$j('#queriesTableD_tableFooter').hide();
	var queryName = '${queryName}';
	$j('#queryNameSearchDialogId').val(queryName);
	var filter = '${filter}';
	ScorAutoComplete.setFilter("queriesAutoCompleteds",filter);
</script>

<orion:vbox>
		<!-- Search Tab -->
		<orion:box height="83">
	       
	        <table width="100%" height="70%" cellspacing="1px" cellpadding="1px" style="background:none #D6E4F0; width: 100%;">
	              <tr>						
					<td>							
		                <scor:scorAutoCompleteTextBox id="queryNameSearchDialogId" datasourceAttr="queriesAutoCompleteds" minLength="3" />
		            	<orion:button id="search_button_dialogID" text="${findBtnTxt}" disabled="false" onclick="scorQSGetQueriesData()"/>     
	                </td>				
				</tr>
	        </table>
	
	    </orion:box>
	    
    	<!--  queriesNames Search Table -->    			
        <scor:dialogTable id="queriesTableD" 
        datasourceAttr="<%=QueriesConstants.QUERY_DATASOURCE_ATTR%>" showCheckboxColumn="true"  singleSelect="true" properties="name" paginated="false" noRecordsKey="scor.queries.search.noRecordsFoundMessage"/>
                   
</orion:vbox>
